%%ItemTitle%%

Compare .NET Objects
Introduction
Send Feedback

Glossary Item Box

Project Description
What you have been waiting for. Perform a deep compare of any two .NET objects using reflection. Shows the differences between the two objects.

Compatiblity
Compatible with .NET Framework 3.5 and higher. Portable Class Library version works with .NET 4.0+, Silverlight 5+, Windows Phone 8+, Windows RT 8+, Xamarin iOS, and Xamarin Droid. It supports .NET Standard 1.6 and DotNetCore applications too.

NuGet Package
http://www.nuget.org/packages/CompareNETObjects

Features
  • Compare Children (on by default)
  • Handling for Trees with Children Pointing To Parents
  • Compare Dynamic Objects
  • Compare Primitive Types
  • Compare Structs
  • Compare IList Objects
  • Compare Single and Multi-Dimensional Arrays
  • Compare IDictionary Objects
  • Compare Publicly visible Class Fields and Properties
  • Compare Private Fields and Properties (off by default)
  • Compare Enums
  • Compare Timespans
  • Compare Guids
  • Compare Classes that Implement IList with Indexers
  • Compare DataSet Data
  • Compare DataTable Data
  • Compare DataRow Data
  • Compare DataColumn Differences
  • Compare LinearGradient
  • Compare HashSet
  • Compare URI
  • Compare IPEndPoint
  • Compare Types of Type (RuntimeType)
  • Source code in C#
  • NUnit Test Project Included
  • Ability to load settings from a config file for use with powershell
  • Several configuration options for comparing private elements, ignoring specific elements, including specific elements.
  • Property and Field Info reflection caching for increased performance
  • Rich Differences List or simple DifferencesString
  • Supports custom comparison functions
  • ElapsedMilliseconds indicates how long the comparison took
  • Ability to IgnoreCollectionOrder
  • Thread Safe
  • Ability to pass in the configuration
  • Ability to ignore indexer comparison
  • Interface member filtering
  • Ability to treat string.empty and null as equal
© Kellerman Software 2018. All Rights Reserved.


%%ItemTitle%%

Getting Started
Send Feedback

Glossary Item Box

Important

  • By default for performance reasons, Compare .NET Objects only detects the first difference. To capture all differences set Config.MaxDifferences to the maximum differences desired.
  • After the comparison, the differences are in the Differences list or in the DifferencesString properties.
  • By default, a deep comparison is performed. To perform a shallow comparison, set Config.CompareChildren = false
  • By default, private and internal properties and fields are not compared. Set ComparePrivateProperties and ComparePrivateFields to true to override this behavior.
  • By default an exception is thrown when class types are different. To ignore object types, set Config.IgnoreObjectTypes to true

C# Example

//This is the comparison class
CompareLogic compareLogic = new CompareLogic();

//Create a couple objects to compare
Person person1 = new Person();
person1.DateCreated = DateTime.Now;
person1.Name = "Greg";

Person person2 = new Person();
person2.Name = "John";
person2.DateCreated = person1.DateCreated;

ComparisonResult result = compareLogic.Compare(person1, person2);

//These will be different, write out the differences
if (result.AreEqual)
Console.WriteLine(result.Differences);

VB.NET Example

'This is the comparison class
Dim compareLogic As New CompareLogic()

'Create a couple objects to compare
Dim person1 As New Person()
person1.DateCreated = Date.Now
person1.Name = "Greg"

Dim person2 As New Person()
person2.Name = "John"
person2.DateCreated = person1.DateCreated

Dim result As ComparisonResult = compareLogic.Compare(person1, person2)

'These will be different, write out the differences
If result.AreEqual Then
Console.WriteLine(result.Differences)
End If

© Kellerman Software 2018. All Rights Reserved.


%%ItemTitle%%

System Requirements
Send Feedback

Glossary Item Box

For Use

  • .NET Framework 4.0 and higher
  • Portable Class Library Version can be used with .NET 4.0+, Silverlight 5+, Windows Phone 8+, Windows RT 8+
  • DotNetCore 1.3 or higher

For Development

  • Visual Studio 2013 and higher
  • NUnit 2.4 and higher

© Kellerman Software 2018. All Rights Reserved.


%%ItemTitle%%

What's New?
Send Feedback

Glossary Item Box

Breaking Changes

  • None

Bug fixes

  • None

New Features

  • Compare Dynamic Objects
  • Compare Properties on the root of a custom list

© Kellerman Software 2018. All Rights Reserved.


%%ItemTitle%%

Licensing
Send Feedback

Glossary Item Box

This software is provided free of charge from Kellerman Software.
It may be used in any project, including commercial for sale projects.

Check out our other great software at www.kellermansoftware.com:
* Free Quick Reference Pack for Developers
* Free Sharp Zip Wrapper
* NUnit Test Generator
* .NET Caching Library
* .NET Email Validation Library
* .NET FTP Library
* .NET Encryption Library
* .NET Logging Library
* Themed Winform Wizard
* Unused Stored Procedures
* AccessDiff
* .NET SFTP Library
* Ninja Database Pro (Object database for .NET, Silverlight, Windows Phone 7)
* Ninja WinRT Database (Object database for Windows 8 Runtime, Windows Phone 8)
* Knight Data Access Layer (ORM, LINQ Provider, Generator)
* CSV Reports (CSV Reader, Writer)
* What's Changed? (Compare words, strings, streams, and text files)
* Excel Reports
* Word Reports

Microsoft Public License (Ms-PL)

This license governs use of the accompanying software. If you use the software, you accept this license. If you do not accept the license, do not use the software.

1. Definitions

The terms "reproduce," "reproduction," "derivative works," and "distribution" have the same meaning here as under U.S. copyright law.

A "contribution" is the original software, or any additions or changes to the software.

A "contributor" is any person that distributes its contribution under this license.

"Licensed patents" are a contributor's patent claims that read directly on its contribution.

2. Grant of Rights

(A) Copyright Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free copyright license to reproduce its contribution, prepare derivative works of its contribution, and distribute its contribution or any derivative works that you create.

(B) Patent Grant- Subject to the terms of this license, including the license conditions and limitations in section 3, each contributor grants you a non-exclusive, worldwide, royalty-free license under its licensed patents to make, have made, use, sell, offer for sale, import, and/or otherwise dispose of its contribution in the software or derivative works of the contribution in the software.

3. Conditions and Limitations

(A) No Trademark License- This license does not grant you rights to use any contributors' name, logo, or trademarks.

(B) If you bring a patent claim against any contributor over patents that you claim are infringed by the software, your patent license from such contributor to the software ends automatically.

(C) If you distribute any portion of the software, you must retain all copyright, patent, trademark, and attribution notices that are present in the software.

(D) If you distribute any portion of the software in source code form, you may do so only under this license by including a complete copy of this license with your distribution. If you distribute any portion of the software in compiled or object code form, you may only do so under a license that complies with this license.

(E) The software is licensed "as-is." You bear the risk of using it. The contributors give no express warranties, guarantees or conditions. You may have additional consumer rights under your local laws which this license cannot change. To the extent permitted under your local laws, the contributors exclude the implied warranties of merchantability, fitness for a particular purpose and non-infringement.

© Kellerman Software 2018. All Rights Reserved.


%%ItemTitle%%

FAQ
Send Feedback

Glossary Item Box

Q: I would like to report a defect. I have an object with many differences and it is only reporting one difference.
A: By default for performance reasons, Compare .NET Objects only detects the first difference. To capture all differences set Config.MaxDifferences to the maximum differences desired.

Q: I want to show all the differences in my list of objects. If the lists are different counts, it doesn't compare everything. How can I compare it?
A: Set Config.MaxDifferences to the maximum difference desired. Set Config.IgnoreCollectionOrder to true. If you have a primary key for the class, make sure to define a Config.CollectionMatchingSpec.

Q: What if I don't want to compare everything?
A: Add the names of class types to the Config.ClassTypesToIgnore or add the names of members to the Config.MembersToIgnore. If you need something more complex, you can always implement your own custom comparer. See Custom Comparers.

Q: What can I use this thing for?
A: See the Uses topic.

© Kellerman Software 2018. All Rights Reserved.


%%ItemTitle%%

Configuration
Send Feedback
Using Compare .NET Objects > Configuration

Glossary Item Box

The Compare .NET Objects Library has the ability to do different configurations.

Default Configuration

CompareLogic logic = new CompareLogic();

logic.Config.MaxDifferences = 100;

Pass in the Configuration

ComparisonConfig config = new ComparisonConfig();

config.MaxDifferences = 100;

CompareLogic logic = new CompareLogic(config);

Application Settings Configuration

Edit the resource file for the application settings

© Kellerman Software 2018. All Rights Reserved.


%%ItemTitle%%

Comparing Lists and Arrays
Send Feedback
Using Compare .NET Objects > Comparing Lists and Arrays

Glossary Item Box

How are lists, arrays, dictionaries compared?

Lists of items are compared by looping through the enumerators. For performance reasons, it is assumed that the lists are in the same order. If the counts are different the comparison will exit as soon as it reaches the end of one of the lists. To compare all items in the list, ignore the order. See Ignoring Order for more information.

© Kellerman Software 2018. All Rights Reserved.


%%ItemTitle%%

Custom Comparers
Send Feedback
Using Compare .NET Objects > Custom Comparers

Glossary Item Box

To add a custom comparer, implement BaseTypeComparer and add to the Config.CustomComparers collection. Custom comparers are run before the built in comparers.

Example

public class MyCustomComparer : BaseTypeComparer
{
public MyCustomComparer(RootComparer rootComparer) : base(rootComparer)
{
}

public override bool IsTypeMatch(Type type1, Type type2)
{
return type1 == typeof (SpecificTenant);
}

public override void CompareType(ComparisonResult result, object object1, object object2, string breadCrumb)
{
var st1 = (SpecificTenant)object1;
var st2 = (SpecificTenant)object2;

if (st1.Name != st2.Name || st1.Amount > 100 || st2.Amount < 100)
{
Difference difference = new Difference
{
PropertyName = breadCrumb,
Object1Value = object1.ToString(),
Object2Value = object2.ToString()
};

result.Differences.Add(difference);
}
}
}

Usage

SpecificTenant tenant1 = new SpecificTenant();
tenant1.Name = "wire";
tenant1.Amount = 37;

SpecificTenant tenant2 = new SpecificTenant();
tenant2.Name = "wire";
tenant2.Amount = 155;

//No Custom Comparer
CompareLogic compareLogic = new CompareLogic();
Assert.IsFalse(compareLogic.Compare(tenant1, tenant2).AreEqual);

//specify custom selector
compareLogic.Config.CustomComparers.Add(new MyCustomComparer(RootComparerFactory.GetRootComparer()));

Assert.IsTrue(compareLogic.Compare(tenant1, tenant2).AreEqual);

tenant2.Amount = 42;
Assert.IsFalse(compareLogic.Compare(tenant1, tenant2).AreEqual);

© Kellerman Software 2018. All Rights Reserved.


%%ItemTitle%%

Ignoring Types
Send Feedback
Using Compare .NET Objects > Ignoring Types

Glossary Item Box

By default, the Compare .NET Objects Library will throw an exception if the class types are different. To compare classes that are different types, set Config.IgnoreObjectTypes = true

Example

RecipeDetail detail1 = new RecipeDetail(true, "Toffee");
detail1.Ingredient = "Crunchy Chocolate";

IndianRecipeDetail detail2 = new IndianRecipeDetail(true, "Toffee");
detail2.Ingredient = "Crunchy Chocolate";

CompareLogic compareLogic = new CompareLogic();
compareLogic.Config.IgnoreObjectTypes = true;
var result = compareLogic.Compare(detail1, detail2);

Assert.IsTrue(result.AreEqual, result.DifferencesString);

© Kellerman Software 2018. All Rights Reserved.


%%ItemTitle%%

Ignoring The Order
Send Feedback
Using Compare .NET Objects > Ignoring The Order

Glossary Item Box

Ignoring the Order

Sometimes lists, arrays, and dictionaries are equal to each other but they are in a different order. The Config.IgnoreCollectionOrder property can be used to compare lists that are not only out of order but also of different lengths. There is a huge performance decrease when Ignoring the Collection Order. This may be okay if you are comparing a few hundred objects at a time. By default all the simple type properties are used as a key for an object. To minimize the perforance impact, define a Config.CollectionMatchingSpec. This defines the key for the object.

Example:

CompareLogic logic = new CompareLogic();
logic.Config.IgnoreCollectionOrder = true;

var spec = new Dictionary<Type, IEnumerable<string>>();
spec.Add(typeof(Customer), new string[] { "CustomerId" });
logic.Config.CollectionMatchingSpec = spec;

© Kellerman Software 2018. All Rights Reserved.


%%ItemTitle%%

Ignore Members
Send Feedback
Using Compare .NET Objects > Ignore Members

Glossary Item Box

[Test]

public void IgnoreTypeMember()

{

ComparisonConfig config = new ComparisonConfig();

config.MembersToIgnore.Add("Person.Name");

Person person1 = new Person() {Name="Darth Vader"};

Person person2 = new Person() { Name = "Anakin Skywalker" };

CompareLogic compare = new CompareLogic(config);

var result = compare.Compare(person1,person2);

Assert.IsTrue(result.AreEqual);

}
© Kellerman Software 2018. All Rights Reserved.


%%ItemTitle%%

Uses
Send Feedback
Using Compare .NET Objects > Uses

Glossary Item Box

What can I use this thing for?

Verify ORM Mappings
Get a list of changes and log it to the database
Determine if an object is dirty
Verify all the data is being saved to the database by doing a save and then load.
Verify end to end translation for services.

© Kellerman Software 2018. All Rights Reserved.


%%ItemTitle%%

Beyond Compare
Send Feedback
Using Compare .NET Objects > Reports > Beyond Compare

Glossary Item Box

Beyond Compare Report

Compare .NET objects offers the ability to output the results as text files and then launch the third party difference tool Beyond Compare.

http://www.scootersoftware.com/index.php

Example

[Test]
public void BeyondCompareReportTest()
{
if (File.Exists("beyondExpected.txt"))
File.Delete("beyondExpected.txt");

if (File.Exists("beyondActual.txt"))
File.Delete("beyondActual.txt");

Movie beyondExpected = new Movie();
beyondExpected.Name = "Oblivion";
beyondExpected.PaymentForTomCruise = 2000000M;

Movie beyondActual = new Movie();
beyondActual.Name = "Edge of Tomorrow";
beyondActual.PaymentForTomCruise = 3000000M;

CompareLogic compareLogic = new CompareLogic();
compareLogic.Config.MaxDifferences = Int32.MaxValue;
ComparisonResult result = compareLogic.Compare(beyondExpected, beyondActual);

BeyondCompareReport beyondCompare = new BeyondCompareReport();
beyondCompare.OutputFiles(result.Differences, "beyondExpected.txt", "beyondActual.txt");

Assert.IsTrue(File.Exists("beyondExpected.txt"));
Assert.IsTrue(File.Exists("beyondActual.txt"));

beyondCompare.LaunchApplication("beyondExpected.txt", "beyondActual.txt");
}

© Kellerman Software 2018. All Rights Reserved.


%%ItemTitle%%

CSV Report
Send Feedback
Using Compare .NET Objects > Reports > CSV Report

Glossary Item Box

CSV Report

The CSV Reports outputs the results to a comma separated value file. The launch portion will open the file using whatever application is associated with the .csv extension. Normally this is Excel.

Example

[Test]
public void CsvReportTest()
{
if (File.Exists("movie.csv"))
File.Delete("movie.csv");

Movie movie1 = new Movie();
movie1.Name = "Oblivion";
movie1.PaymentForTomCruise = 2000000M;

Movie movie2 = new Movie();
movie2.Name = "Edge of Tomorrow";
movie2.PaymentForTomCruise = 3000000M;

CompareLogic compareLogic = new CompareLogic();
compareLogic.Config.MaxDifferences = Int32.MaxValue;
ComparisonResult result = compareLogic.Compare(movie1, movie2);

CsvReport csvReport = new CsvReport();
csvReport.OutputFile(result.Differences, "movie.csv");

Assert.IsTrue(File.Exists("movie.csv"));

csvReport.LaunchApplication("movie.csv");
}

© Kellerman Software 2018. All Rights Reserved.


%%ItemTitle%%

User Friendly Report
Send Feedback
Using Compare .NET Objects > Reports > User Friendly Report

Glossary Item Box

Sometimes you want to show the differences of an object to a user before they submit their changes to the database. The User Friendly report can be used to do this:

Example

[Test]
public void UserFriendlyReportTest()
{
if (File.Exists("movie.txt"))
File.Delete("movie.txt");

Movie movie1 = new Movie();
movie1.Name = "Oblivion";
movie1.PaymentForTomCruise = 2000000M;

Movie movie2 = new Movie();
movie2.Name = "Edge of Tomorrow";
movie2.PaymentForTomCruise = 3000000M;

CompareLogic compareLogic = new CompareLogic();
compareLogic.Config.MaxDifferences = Int32.MaxValue;
ComparisonResult result = compareLogic.Compare(movie1, movie2);

UserFriendlyReport friendlyReport = new UserFriendlyReport();
friendlyReport.OutputFile(result.Differences, "movie.txt");

Assert.IsTrue(File.Exists("movie.txt"));

Console.WriteLine(friendlyReport.OutputString(result.Differences));

friendlyReport.LaunchApplication("movie.txt");
}

© Kellerman Software 2018. All Rights Reserved.


%%ItemTitle%%

WinMerge Report
Send Feedback
Using Compare .NET Objects > Reports > WinMerge Report

Glossary Item Box

WinMerge Report

Compare .NET objects offers the ability to output the results as text files and then launch the third party difference tool WinMerge.

http://winmerge.org/

Example

[Test]
public void WinMergeReportTest()
{
if (File.Exists("winMergeExpected.txt"))
File.Delete("winMergeExpected.txt");

if (File.Exists("winMergeActual.txt"))
File.Delete("winMergeActual.txt");

Movie winMergeExpected = new Movie();
winMergeExpected.Name = "Oblivion";
winMergeExpected.PaymentForTomCruise = 2000000M;

Movie winMergeActual = new Movie();
winMergeActual.Name = "Edge of Tomorrow";
winMergeActual.PaymentForTomCruise = 3000000M;

CompareLogic compareLogic = new CompareLogic();
compareLogic.Config.MaxDifferences = Int32.MaxValue;
ComparisonResult result = compareLogic.Compare(winMergeExpected, winMergeActual);

WinMergeReport winMergeReport = new WinMergeReport();
winMergeReport.OutputFiles(result.Differences, "winMergeExpected.txt", "winMergeActual.txt");

Assert.IsTrue(File.Exists("winMergeExpected.txt"));
Assert.IsTrue(File.Exists("winMergeActual.txt"));

winMergeReport.LaunchApplication("winMergeExpected.txt", "winMergeActual.txt");
}

© Kellerman Software 2018. All Rights Reserved.


$$INTRODUCTION$$ - %%projecttitle%%

Introduction
Send Feedback

Glossary Item Box

Kellerman Software Logo

Project Description
What you have been waiting for. Perform a deep compare of any two .NET objects using reflection. Shows the differences between the two objects.

NuGet Package
http://www.nuget.org/packages/CompareNETObjects

Features
  • Compare Primitive Types
  • Compare Structs
  • Compare IList Objects
  • Compare Single and Multi-Dimensional Arrays
  • Compare IDictionary Objects
  • Compare Publicly visible Class Fields and Properties
  • Compare Children
  • Handling for Trees with Children Pointing To Parents
  • Compare Enums
  • Compare Timespans
  • Compare Guids
  • Compare Classes that Implement IList with Indexers
  • Compare DataSet Data
  • Compare DataTable Data
  • Compare DataRow Data
  • Compare LinearGradient
  • Compare HashSet
  • Compare URI
  • Compare Types of Type (RuntimeType)
  • Source code in both C# and in VB.NET
  • NUnit Test Project Included
  • Ability to load settings from a config file for use with powershell
  • Several configuration options for comparing private elements, and ignoring specific elements.
  • Property and Field Info reflection caching for increased performance
© Kellerman Software 2018 All Rights Reserved.


%%phrase%%

KellermanSoftware.Compare-NET-Objects Assembly
See Also Send Feedback

Glossary Item Box

Namespaces

Namespace | Description
KellermanSoftware.CompareNetObjects | Compare .NET Objects
KellermanSoftware.CompareNetObjects.IgnoreOrderTypes |
KellermanSoftware.CompareNetObjects.Reports |
KellermanSoftware.CompareNetObjects.TypeComparers |


$$GETTING_STARTED$$ - %%projecttitle%%

Getting Started
Send Feedback

Glossary Item Box

Important

  • By default for performance reasons, Compare .NET Objects only detects the first difference. To capture all differences set MaxDifferences to the maximum differences desired.
  • After the comparison, the differences are in the Differences list or in the DifferencesString properties.
  • By default, a deep comparison is performed. To perform a shallow comparison, set CompareChildren = false
  • By default, private properties and fields are not compared. Set ComparePrivateProperties and ComparePrivateFields to true to override this behavior.

C# Example

//This is the comparison class
CompareObjects compareObjects = new CompareObjects();

//Create a couple objects to compare
Person person1 = new Person();
person1.DateCreated = DateTime.Now;
person1.Name = "Greg";

Person person2 = new Person();
person2.Name = "John";
person2.DateCreated = person1.DateCreated;

//These will be different, write out the differences
if (!compareObjects.Compare(person1, person2))
    Console.WriteLine(compareObjects.DifferencesString);

VB.NET Example

'This is the comparison class
Dim compareObjects As New CompareObjects()

'Create a couple objects to compare
Dim person1 As New Person()
person1.DateCreated = Date.Now
person1.Name = "Greg"

Dim person2 As New Person()
person2.Name = "John"
person2.DateCreated = person1.DateCreated

'These will be different, write out the differences
If Not compareObjects.Compare(person1, person2) Then
    Console.WriteLine(compareObjects.DifferencesString)
End If


%%ItemTitle%%

KellermanSoftware.CompareNetObjects Namespace
See Also Inheritance Hierarchy Send Feedback

Glossary Item Box

Compare .NET Objects

Classes

 | Class | Description
Class | CompareException | CompareException with a Result Property
Class | CompareExtensions | A set of BDD style comparison extensions for use with Testing Frameworks
Class | CompareLogic | Class that allows comparison of two objects of the same type to each other. Supports classes, lists, arrays, dictionaries, child comparison and more.
Class | CompareObjects | Obsolete Use CompareLogic instead
Class | CompareParms | Compare Parameters
Class | ComparisonConfig | Configuration
Class | ComparisonResult | Details about the comparison
Class | Difference | Detailed information about the difference
Class | ExcludeLogic | Exclude types depending upon the configuration
Class | FileHelper | Helper methods for files and directories
Class | LogicEqualityComparer | Implements methods to support the comparison of objects for equality, in a customizable fashion.
Class | LogicEqualityComparer<T> | Implements methods to support the comparison of objects for equality, in a customizable fashion.
Class | ProcessHelper | Helper methods for processes
Class | PropertyEntity | Generic class for holding a Property Info, or Dynamic Info
Class | RootComparer | The base comparer which contains all the type comparers
Class | RootComparerFactory | Factory to create a root comparer
Class | StringHelper | Methods for manipulating strings
Class | TypeBackwardsCompatibilityExtensions | Extensions for Type to provide backward compatibility between latest and older .net Framework APIs.
Class | TypeHelper | Methods for detecting

Interfaces

 | Interface | Description
Interface | ICompareLogic | Interface for mocking

See Also

Reference

KellermanSoftware.Compare-NET-Objects Assembly


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareException Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : CompareException Class

Glossary Item Box

CompareException with a Result Property

Object Model

CompareException Class

Syntax

Visual Basic (Declaration)
Public Class CompareException
   Inherits System.Exception
Visual Basic (Usage) Copy Code
Dim instance As CompareException
C#
public class CompareException : System.Exception
Managed Extensions for C++
public __gc class CompareException : public System.Exception

Inheritance Hierarchy

System.Object
System.Exception
KellermanSoftware.CompareNetObjects.CompareException

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareException Members
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
CompareException Class Members
See Also Properties Methods Events Send Feedback
KellermanSoftware.CompareNetObjects Namespace : CompareException Class

Glossary Item Box

The following tables list the members exposed by CompareException.

Public Constructors

 | Name | Description
Public Constructor | CompareException Constructor | CompareException Constructor
Top

Public Properties

 | Name | Description
Public Property | Data | (Inherited from System.Exception)
Public Property | HelpLink | (Inherited from System.Exception)
Public Property | HResult | (Inherited from System.Exception)
Public Property | InnerException | (Inherited from System.Exception)
Public Property | Message | (Inherited from System.Exception)
Public Property | Result | The comparison Result
Public Property | Source | (Inherited from System.Exception)
Public Property | StackTrace | (Inherited from System.Exception)
Public Property | TargetSite | (Inherited from System.Exception)
Top

Public Methods

 | Name | Description
Public Method | GetBaseException | (Inherited from System.Exception)
Public Method | GetObjectData | (Inherited from System.Exception)
Public Method | GetType | (Inherited from System.Exception)
Public Method | ToString | (Inherited from System.Exception)
Top

Protected Events

 | Name | Description
Protected Event | SerializeObjectState | (Inherited from System.Exception)
Top

See Also

Reference

CompareException Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareException Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareException Class : CompareException Constructor

result
message

Glossary Item Box

CompareException Constructor

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal result As ComparisonResult, _
   ByVal message As System.String _
)
Visual Basic (Usage) Copy Code
Dim result As ComparisonResult
Dim message As System.String

Dim instance As New CompareException(result, message)
C#
public CompareException(
   ComparisonResult result,
   System.string message
)
Managed Extensions for C++
public: CompareException(
   ComparisonResult* result,
   System.string* message
)

Parameters

result
message

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareException Class
CompareException Members


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
CompareException Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : CompareException Class

Glossary Item Box

For a list of all members of this type, see CompareException members.

Public Properties

 | Name | Description
Public Property | Data | (Inherited from System.Exception)
Public Property | HelpLink | (Inherited from System.Exception)
Public Property | HResult | (Inherited from System.Exception)
Public Property | InnerException | (Inherited from System.Exception)
Public Property | Message | (Inherited from System.Exception)
Public Property | Result | The comparison Result
Public Property | Source | (Inherited from System.Exception)
Public Property | StackTrace | (Inherited from System.Exception)
Public Property | TargetSite | (Inherited from System.Exception)
Top

See Also

Reference

CompareException Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
Result Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareException Class : Result Property

Glossary Item Box

The comparison Result

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Result As ComparisonResult
Visual Basic (Usage) Copy Code
Dim instance As CompareException
Dim value As ComparisonResult

value = instance.Result
C#
public ComparisonResult Result {get;}
Managed Extensions for C++
public: __property ComparisonResult* get_Result();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareException Class
CompareException Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareExtensions Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : CompareExtensions Class

Glossary Item Box

A set of BDD style comparison extensions for use with Testing Frameworks

Object Model

CompareExtensions Class

Syntax

Visual Basic (Declaration)
<System.Runtime.CompilerServices.ExtensionAttribute()>
Public MustInherit NotInheritable Class CompareExtensions
Visual Basic (Usage) Copy Code
Dim instance As CompareExtensions
C#
[System.Runtime.CompilerServices.Extension()]
public static class CompareExtensions
Managed Extensions for C++
[System.Runtime.CompilerServices.Extension()]
public __gc abstract __sealed class CompareExtensions

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.CompareExtensions

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareExtensions Members
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
CompareExtensions Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects Namespace : CompareExtensions Class

Glossary Item Box

The following tables list the members exposed by CompareExtensions.

Public Properties

 | Name | Description
static (Shared in Visual Basic) | Config | Alter the configuration for the comparison
Top

Public Methods

 | Name | Description
static (Shared in Visual Basic) | ShouldCompare<T> | Throws a CompareException if the classes are not equal
static (Shared in Visual Basic) | ShouldNotCompare<T> | Throws a CompareException if the classes are equal
Top

See Also

Reference

CompareExtensions Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
CompareExtensions Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : CompareExtensions Class

Glossary Item Box

For a list of all members of this type, see CompareExtensions members.

Public Methods

 | Name | Description
static (Shared in Visual Basic) | ShouldCompare<T> | Throws a CompareException if the classes are not equal
static (Shared in Visual Basic) | ShouldNotCompare<T> | Throws a CompareException if the classes are equal
Top

See Also

Reference

CompareExtensions Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

T
[image]
Compare .NET Objects
ShouldCompare<T> Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareExtensions Class : ShouldCompare<T> Method

actual
expected
message

Glossary Item Box

Throws a CompareException if the classes are not equal

Syntax

Visual Basic (Declaration)
<System.Runtime.CompilerServices.ExtensionAttribute()>
Public Shared Sub ShouldCompare(Of T)( _
   ByVal actual As T, _
   ByVal expected As T, _
   Optional ByVal message As System.String _
)
Visual Basic (Usage) Copy Code
Dim actual As T
Dim expected As T
Dim message As System.String

CompareExtensions.ShouldCompare(Of T)(actual, expected, message)
C#
[System.Runtime.CompilerServices.Extension()]
public static void ShouldCompare<T>(
   T actual,
   T expected,
   System.string message
)
Managed Extensions for C++
[System.Runtime.CompilerServices.Extension()]
public: static void ShouldCompare<T>(
   T* actual,
   T* expected,
   System.string* message
)

Parameters

actual
expected
message

Type Parameters

T

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareExtensions Class
CompareExtensions Members


%%PageItemTitle%%

T
[image]
Compare .NET Objects
ShouldNotCompare<T> Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareExtensions Class : ShouldNotCompare<T> Method

actual
expected
message

Glossary Item Box

Throws a CompareException if the classes are equal

Syntax

Visual Basic (Declaration)
<System.Runtime.CompilerServices.ExtensionAttribute()>
Public Shared Sub ShouldNotCompare(Of T)( _
   ByVal actual As T, _
   ByVal expected As T, _
   Optional ByVal message As System.String _
)
Visual Basic (Usage) Copy Code
Dim actual As T
Dim expected As T
Dim message As System.String

CompareExtensions.ShouldNotCompare(Of T)(actual, expected, message)
C#
[System.Runtime.CompilerServices.Extension()]
public static void ShouldNotCompare<T>(
   T actual,
   T expected,
   System.string message
)
Managed Extensions for C++
[System.Runtime.CompilerServices.Extension()]
public: static void ShouldNotCompare<T>(
   T* actual,
   T* expected,
   System.string* message
)

Parameters

actual
expected
message

Type Parameters

T

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareExtensions Class
CompareExtensions Members


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
CompareExtensions Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : CompareExtensions Class

Glossary Item Box

For a list of all members of this type, see CompareExtensions members.

Public Properties

 | Name | Description
static (Shared in Visual Basic) | Config | Alter the configuration for the comparison
Top

See Also

Reference

CompareExtensions Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
Config Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareExtensions Class : Config Property

Glossary Item Box

Alter the configuration for the comparison

Syntax

Visual Basic (Declaration)
Public Shared Property Config As ComparisonConfig
Visual Basic (Usage) Copy Code
Dim value As ComparisonConfig

CompareExtensions.Config = value

value = CompareExtensions.Config
C#
public static ComparisonConfig Config {get; set;}
Managed Extensions for C++
public: __property static ComparisonConfig* get_Config();
public: __property static void set_Config(
   ComparisonConfig* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareExtensions Class
CompareExtensions Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareLogic Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : CompareLogic Class

Glossary Item Box

Class that allows comparison of two objects of the same type to each other. Supports classes, lists, arrays, dictionaries, child comparison and more.

Object Model

CompareLogic Class

Syntax

Visual Basic (Declaration)
Public Class CompareLogic
   Implements ICompareLogic
Visual Basic (Usage) Copy Code
Dim instance As CompareLogic
C#
public class CompareLogic : ICompareLogic
Managed Extensions for C++
public __gc class CompareLogic : public ICompareLogic

Example

CompareLogic compareLogic = new CompareLogic();

Person person1 = new Person();
person1.DateCreated = DateTime.Now;
person1.Name = "Greg";

Person person2 = new Person();
person2.Name = "John";
person2.DateCreated = person1.DateCreated;

ComparisonResult result = compareLogic.Compare(person1, person2);

if (!result.AreEqual)
   Console.WriteLine(result.DifferencesString);

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.CompareLogic

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareLogic Members
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
CompareLogic Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects Namespace : CompareLogic Class

Glossary Item Box

The following tables list the members exposed by CompareLogic.

Public Constructors

 | Name | Description
Public Constructor | CompareLogic Constructor | Overloaded.
Top

Public Properties

 | Name | Description
Public Property | Config | The default configuration
Top

Public Methods

 | Name | Description
Public Method | ClearCache | Reflection properties and fields are cached. By default this cache is cleared automatically after each compare.
Public Method | Compare | Compare two objects of the same type to each other.
Public Method | LoadConfiguration | Overloaded. Load the current configuration from a json stream
Public Method | SaveConfiguration | Overloaded. Save the current configuration to the passed stream
Top

See Also

Reference

CompareLogic Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareLogic Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareLogic Class : CompareLogic Constructor

Glossary Item Box

Overload List

Overload | Description
CompareLogic Constructor() | Set up defaults for the comparison
CompareLogic Constructor(ComparisonConfig) | Pass in the configuration
CompareLogic Constructor(Boolean) | Set up defaults for the comparison

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareLogic Class
CompareLogic Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareLogic Constructor()
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareLogic Class > CompareLogic Constructor : CompareLogic Constructor()

Glossary Item Box

Set up defaults for the comparison

Syntax

Visual Basic (Declaration)
Public Function New()
Visual Basic (Usage) Copy Code
Dim instance As New CompareLogic()
C#
public CompareLogic()
Managed Extensions for C++
public: CompareLogic();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareLogic Class
CompareLogic Members
Overload List


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareLogic Constructor(ComparisonConfig)
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareLogic Class > CompareLogic Constructor : CompareLogic Constructor(ComparisonConfig)

config

Glossary Item Box

Pass in the configuration

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal config As ComparisonConfig _
)
Visual Basic (Usage) Copy Code
Dim config As ComparisonConfig

Dim instance As New CompareLogic(config)
C#
public CompareLogic(
   ComparisonConfig config
)
Managed Extensions for C++
public: CompareLogic(
   ComparisonConfig* config
)

Parameters

config

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareLogic Class
CompareLogic Members
Overload List


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareLogic Constructor(Boolean)
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareLogic Class > CompareLogic Constructor : CompareLogic Constructor(Boolean)

useAppConfigSettings
If true, use settings from the app.config

Glossary Item Box

Set up defaults for the comparison

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal useAppConfigSettings As System.Boolean _
)
Visual Basic (Usage) Copy Code
Dim useAppConfigSettings As System.Boolean

Dim instance As New CompareLogic(useAppConfigSettings)
C#
public CompareLogic(
   System.bool useAppConfigSettings
)
Managed Extensions for C++
public: CompareLogic(
   System.bool useAppConfigSettings
)

Parameters

useAppConfigSettings
If true, use settings from the app.config

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareLogic Class
CompareLogic Members
Overload List


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
CompareLogic Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : CompareLogic Class

Glossary Item Box

For a list of all members of this type, see CompareLogic members.

Public Methods

 | Name | Description
Public Method | ClearCache | Reflection properties and fields are cached. By default this cache is cleared automatically after each compare.
Public Method | Compare | Compare two objects of the same type to each other.
Public Method | LoadConfiguration | Overloaded. Load the current configuration from a json stream
Public Method | SaveConfiguration | Overloaded. Save the current configuration to the passed stream
Top

See Also

Reference

CompareLogic Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
ClearCache Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareLogic Class : ClearCache Method

Glossary Item Box

Reflection properties and fields are cached. By default this cache is cleared automatically after each compare.

Syntax

Visual Basic (Declaration)
Public Sub ClearCache()
Visual Basic (Usage) Copy Code
Dim instance As CompareLogic

instance.ClearCache()
C#
public void ClearCache()
Managed Extensions for C++
public: void ClearCache();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareLogic Class
CompareLogic Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Compare Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareLogic Class : Compare Method

object1
object2

Glossary Item Box

Compare two objects of the same type to each other.

Syntax

Visual Basic (Declaration)
Public Function Compare( _
   ByVal object1 As System.Object, _
   ByVal object2 As System.Object _
) As ComparisonResult
Visual Basic (Usage) Copy Code
Dim instance As CompareLogic
Dim object1 As System.Object
Dim object2 As System.Object
Dim value As ComparisonResult

value = instance.Compare(object1, object2)
C#
public ComparisonResult Compare(
   System.object object1,
   System.object object2
)
Managed Extensions for C++
public: ComparisonResult* Compare(
   System.Object* object1,
   System.Object* object2
)

Parameters

object1
object2

Return Value

True if they are equal

Remarks

Check the Differences or DifferencesString Properties for the differences. Default MaxDifferences is 1 for performance

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareLogic Class
CompareLogic Members


%%PageItemTitle%%

[image]
Compare .NET Objects
LoadConfiguration Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareLogic Class : LoadConfiguration Method

Glossary Item Box

Load the current configuration from a json stream

Overload List

Overload | Description
LoadConfiguration(Stream) | Load the current configuration from a json stream
LoadConfiguration(String) | Load the current configuration from a json stream

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareLogic Class
CompareLogic Members


%%PageItemTitle%%

[image]
Compare .NET Objects
LoadConfiguration(Stream) Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareLogic Class > LoadConfiguration Method : LoadConfiguration(Stream) Method

stream

Glossary Item Box

Load the current configuration from a json stream

Syntax

Visual Basic (Declaration)
Public Overloads Sub LoadConfiguration( _
   ByVal stream As System.IO.Stream _
)
Visual Basic (Usage) Copy Code
Dim instance As CompareLogic
Dim stream As System.IO.Stream

instance.LoadConfiguration(stream)
C#
public void LoadConfiguration(
   System.IO.Stream stream
)
Managed Extensions for C++
public: void LoadConfiguration(
   System.IO.Stream* stream
)

Parameters

stream

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareLogic Class
CompareLogic Members
Overload List


%%PageItemTitle%%

[image]
Compare .NET Objects
LoadConfiguration(String) Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareLogic Class > LoadConfiguration Method : LoadConfiguration(String) Method

filePath

Glossary Item Box

Load the current configuration from a json stream

Syntax

Visual Basic (Declaration)
Public Overloads Sub LoadConfiguration( _
   ByVal filePath As System.String _
)
Visual Basic (Usage) Copy Code
Dim instance As CompareLogic
Dim filePath As System.String

instance.LoadConfiguration(filePath)
C#
public void LoadConfiguration(
   System.string filePath
)
Managed Extensions for C++
public: void LoadConfiguration(
   System.string* filePath
)

Parameters

filePath

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareLogic Class
CompareLogic Members
Overload List


%%PageItemTitle%%

[image]
Compare .NET Objects
SaveConfiguration Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareLogic Class : SaveConfiguration Method

Glossary Item Box

Save the current configuration to the passed stream

Overload List

Overload | Description
SaveConfiguration(Stream) | Save the current configuration to the passed stream
SaveConfiguration(String) | Save the current configuration to a json file

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareLogic Class
CompareLogic Members


%%PageItemTitle%%

[image]
Compare .NET Objects
SaveConfiguration(Stream) Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareLogic Class > SaveConfiguration Method : SaveConfiguration(Stream) Method

stream

Glossary Item Box

Save the current configuration to the passed stream

Syntax

Visual Basic (Declaration)
Public Overloads Sub SaveConfiguration( _
   ByVal stream As System.IO.Stream _
)
Visual Basic (Usage) Copy Code
Dim instance As CompareLogic
Dim stream As System.IO.Stream

instance.SaveConfiguration(stream)
C#
public void SaveConfiguration(
   System.IO.Stream stream
)
Managed Extensions for C++
public: void SaveConfiguration(
   System.IO.Stream* stream
)

Parameters

stream

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareLogic Class
CompareLogic Members
Overload List


%%PageItemTitle%%

[image]
Compare .NET Objects
SaveConfiguration(String) Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareLogic Class > SaveConfiguration Method : SaveConfiguration(String) Method

filePath

Glossary Item Box

Save the current configuration to a json file

Syntax

Visual Basic (Declaration)
Public Overloads Sub SaveConfiguration( _
   ByVal filePath As System.String _
)
Visual Basic (Usage) Copy Code
Dim instance As CompareLogic
Dim filePath As System.String

instance.SaveConfiguration(filePath)
C#
public void SaveConfiguration(
   System.string filePath
)
Managed Extensions for C++
public: void SaveConfiguration(
   System.string* filePath
)

Parameters

filePath

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareLogic Class
CompareLogic Members
Overload List


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
CompareLogic Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : CompareLogic Class

Glossary Item Box

For a list of all members of this type, see CompareLogic members.

Public Properties

 | Name | Description
Public Property | Config | The default configuration
Top

See Also

Reference

CompareLogic Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
Config Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareLogic Class : Config Property

Glossary Item Box

The default configuration

Syntax

Visual Basic (Declaration)
Public Property Config As ComparisonConfig
Visual Basic (Usage) Copy Code
Dim instance As CompareLogic
Dim value As ComparisonConfig

instance.Config = value

value = instance.Config
C#
public ComparisonConfig Config {get; set;}
Managed Extensions for C++
public: __property ComparisonConfig* get_Config();
public: __property void set_Config(
   ComparisonConfig* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareLogic Class
CompareLogic Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareObjects Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : CompareObjects Class

Glossary Item Box

Obsolete Use CompareLogic instead

Object Model

CompareObjects Class

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic instead", IsError=True)>
Public Class CompareObjects
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
C#
[System.Obsolete(Message="Use CompareLogic instead", IsError=true)]
public class CompareObjects
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic instead", IsError=true)]
public __gc class CompareObjects

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.CompareObjects

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Members
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
CompareObjects Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects Namespace : CompareObjects Class

Glossary Item Box

The following tables list the members exposed by CompareObjects.

Public Constructors

 | Name | Description
Public Constructor | CompareObjects Constructor | Overloaded.
Top

Public Properties

 | Name | Description
Public Property | ActualName | Obsolete Use CompareLogic.Config.ActualName instead
Public Property | AttributesToIgnore | Obsolete Use CompareLogic.Config.AttributesToIgnore instead
Public Property | AutoClearCache | Obsolete Use CompareLogic.Config.AutoClearCache instead
Public Property | Caching | Obsolete Use CompareLogic.Config.Caching instead
Public Property | CollectionMatchingSpec | Obsolete Use CompareLogic.Config.CollectionMatchingSpec instead
Public Property | CompareChildren | Obsolete Use CompareLogic.Config.CompareChildren instead
Public Property | CompareFields | Obsolete Use CompareLogic.Config.CompareFields instead
Public Property | ComparePrivateFields | Obsolete Use CompareLogic.Config.ComparePrivateFields instead
Public Property | ComparePrivateProperties | Obsolete Use CompareLogic.Config.ComparePrivateProperties instead
Public Property | CompareProperties | Obsolete Use CompareLogic.Config.CompareProperties instead
Public Property | CompareReadOnly | Obsolete Use CompareLogic.Config.CompareReadOnly instead
Public Property | CompareStaticFields | Obsolete Use CompareLogic.Config.CompareStaticFields instead
Public Property | CompareStaticProperties | Obsolete Use CompareLogic.Config.CompareStaticProperties instead
Public Property | CustomComparer | Obsolete Use CompareLogic.Config.CustomComparers instead
Public Property | DifferenceCallback | Obsolete Use CompareLogic.Config.DifferenceCallback instead
Public Property | Differences | Obsolete Use the ComparisonResult.Differences returned from CompareLogic.Compare
Public Property | DifferencesString | Obsolete Use the ComparisonResult.DifferencesString returned from CompareLogic.Compare
Public Property | ElapsedMilliseconds | Obsolete Use the ComparisonResult.ElapsedMilliseconds returned from CompareLogic.Compare
Public Property | ElementsToIgnore | Obsolete Use CompareLogic.Config.MembersToIgnore for members or CompareLogic.Config.ClassTypesToIgnore instead
Public Property | ElementsToInclude | Obsolete Use CompareLogic.Config.MembersToInclude or CompareLogic.Config.ClassTypesToInclude instead
Public Property | ExpectedName | Obsolete Use CompareLogic.Config.ExpectedName instead
Public Property | IgnoreCollectionOrder | Obsolete Use CompareLogic.Config.IgnoreCollectionOrder instead
Public Property | IgnoreObjectTypes | Obsolete Use CompareLogic.Config.IgnoreObjectTypes instead
Public Property | IsUseCustomTypeComparer | Obsolete Use CompareLogic.Config.CustomComparers instead
Public Property | MaxDifferences | Obsolete Use CompareLogic.Config.MaxDifferences instead
Public Property | ShowBreadcrumb | Obsolete Use CompareLogic.Config.ShowBreadcrumb instead
Top

Public Methods

 | Name | Description
Public Method | ClearCache | Obsolete Use CompareLogic.ClearCache instead
Public Method | Compare | Obsolete Use CompareLogic.Compare instead
Top

See Also

Reference

CompareObjects Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareObjects Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : CompareObjects Constructor

Glossary Item Box

Overload List

Overload | Description
CompareObjects Constructor() | Obsolete Use CompareLogic instead
CompareObjects Constructor(Boolean) | Obsolete Use CompareLogic instead

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareObjects Constructor()
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class > CompareObjects Constructor : CompareObjects Constructor()

Glossary Item Box

Obsolete Use CompareLogic instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic instead", IsError=True)>
Public Function New()
Visual Basic (Usage) Copy Code
Dim instance As New CompareObjects()
C#
[System.Obsolete(Message="Use CompareLogic instead", IsError=true)]
public CompareObjects()
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic instead", IsError=true)]
public: CompareObjects();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members
Overload List


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareObjects Constructor(Boolean)
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class > CompareObjects Constructor : CompareObjects Constructor(Boolean)

useAppConfigSettings

Glossary Item Box

Obsolete Use CompareLogic instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic instead", IsError=True)>
Public Function New( _
   ByVal useAppConfigSettings As System.Boolean _
)
Visual Basic (Usage) Copy Code
Dim useAppConfigSettings As System.Boolean

Dim instance As New CompareObjects(useAppConfigSettings)
C#
[System.Obsolete(Message="Use CompareLogic instead", IsError=true)]
public CompareObjects(
   System.bool useAppConfigSettings
)
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic instead", IsError=true)]
public: CompareObjects(
   System.bool useAppConfigSettings
)

Parameters

useAppConfigSettings

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members
Overload List


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
CompareObjects Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : CompareObjects Class

Glossary Item Box

For a list of all members of this type, see CompareObjects members.

Public Methods

 | Name | Description
Public Method | ClearCache | Obsolete Use CompareLogic.ClearCache instead
Public Method | Compare | Obsolete Use CompareLogic.Compare instead
Top

See Also

Reference

CompareObjects Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
ClearCache Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : ClearCache Method

Glossary Item Box

Obsolete Use CompareLogic.ClearCache instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.ClearCache instead", IsError=True)>
Public Sub ClearCache()
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects

instance.ClearCache()
C#
[System.Obsolete(Message="Use CompareLogic.ClearCache instead", IsError=true)]
public void ClearCache()
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.ClearCache instead", IsError=true)]
public: void ClearCache();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Compare Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : Compare Method

object1
object2

Glossary Item Box

Obsolete Use CompareLogic.Compare instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Compare instead", IsError=True)>
Public Function Compare( _
   ByVal object1 As System.Object, _
   ByVal object2 As System.Object _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim object1 As System.Object
Dim object2 As System.Object
Dim value As System.Boolean

value = instance.Compare(object1, object2)
C#
[System.Obsolete(Message="Use CompareLogic.Compare instead", IsError=true)]
public System.bool Compare(
   System.object object1,
   System.object object2
)
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Compare instead", IsError=true)]
public: System.bool Compare(
   System.Object* object1,
   System.Object* object2
)

Parameters

object1
object2

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
CompareObjects Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : CompareObjects Class

Glossary Item Box

For a list of all members of this type, see CompareObjects members.

Public Properties

 | Name | Description
Public Property | ActualName | Obsolete Use CompareLogic.Config.ActualName instead
Public Property | AttributesToIgnore | Obsolete Use CompareLogic.Config.AttributesToIgnore instead
Public Property | AutoClearCache | Obsolete Use CompareLogic.Config.AutoClearCache instead
Public Property | Caching | Obsolete Use CompareLogic.Config.Caching instead
Public Property | CollectionMatchingSpec | Obsolete Use CompareLogic.Config.CollectionMatchingSpec instead
Public Property | CompareChildren | Obsolete Use CompareLogic.Config.CompareChildren instead
Public Property | CompareFields | Obsolete Use CompareLogic.Config.CompareFields instead
Public Property | ComparePrivateFields | Obsolete Use CompareLogic.Config.ComparePrivateFields instead
Public Property | ComparePrivateProperties | Obsolete Use CompareLogic.Config.ComparePrivateProperties instead
Public Property | CompareProperties | Obsolete Use CompareLogic.Config.CompareProperties instead
Public Property | CompareReadOnly | Obsolete Use CompareLogic.Config.CompareReadOnly instead
Public Property | CompareStaticFields | Obsolete Use CompareLogic.Config.CompareStaticFields instead
Public Property | CompareStaticProperties | Obsolete Use CompareLogic.Config.CompareStaticProperties instead
Public Property | CustomComparer | Obsolete Use CompareLogic.Config.CustomComparers instead
Public Property | DifferenceCallback | Obsolete Use CompareLogic.Config.DifferenceCallback instead
Public Property | Differences | Obsolete Use the ComparisonResult.Differences returned from CompareLogic.Compare
Public Property | DifferencesString | Obsolete Use the ComparisonResult.DifferencesString returned from CompareLogic.Compare
Public Property | ElapsedMilliseconds | Obsolete Use the ComparisonResult.ElapsedMilliseconds returned from CompareLogic.Compare
Public Property | ElementsToIgnore | Obsolete Use CompareLogic.Config.MembersToIgnore for members or CompareLogic.Config.ClassTypesToIgnore instead
Public Property | ElementsToInclude | Obsolete Use CompareLogic.Config.MembersToInclude or CompareLogic.Config.ClassTypesToInclude instead
Public Property | ExpectedName | Obsolete Use CompareLogic.Config.ExpectedName instead
Public Property | IgnoreCollectionOrder | Obsolete Use CompareLogic.Config.IgnoreCollectionOrder instead
Public Property | IgnoreObjectTypes | Obsolete Use CompareLogic.Config.IgnoreObjectTypes instead
Public Property | IsUseCustomTypeComparer | Obsolete Use CompareLogic.Config.CustomComparers instead
Public Property | MaxDifferences | Obsolete Use CompareLogic.Config.MaxDifferences instead
Public Property | ShowBreadcrumb | Obsolete Use CompareLogic.Config.ShowBreadcrumb instead
Top

See Also

Reference

CompareObjects Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
ActualName Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : ActualName Property

Glossary Item Box

Obsolete Use CompareLogic.Config.ActualName instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.ActualName instead", IsError=True)>
Public Property ActualName As System.String
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.String

instance.ActualName = value

value = instance.ActualName
C#
[System.Obsolete(Message="Use CompareLogic.Config.ActualName instead", IsError=true)]
public System.string ActualName {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.ActualName instead", IsError=true)]
public: __property System.string* get_ActualName();
public: __property void set_ActualName(
   System.string* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
AttributesToIgnore Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : AttributesToIgnore Property

Glossary Item Box

Obsolete Use CompareLogic.Config.AttributesToIgnore instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.AttributesToIgnore instead", IsError=True)>
Public Property AttributesToIgnore As System.Collections.Generic.List(Of Type)
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Collections.Generic.List(Of Type)

instance.AttributesToIgnore = value

value = instance.AttributesToIgnore
C#
[System.Obsolete(Message="Use CompareLogic.Config.AttributesToIgnore instead", IsError=true)]
public System.Collections.Generic.List<Type> AttributesToIgnore {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.AttributesToIgnore instead", IsError=true)]
public: __property System.Collections.Generic.List<Type*>* get_AttributesToIgnore();
public: __property void set_AttributesToIgnore(
   System.Collections.Generic.List<Type*>* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
AutoClearCache Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : AutoClearCache Property

Glossary Item Box

Obsolete Use CompareLogic.Config.AutoClearCache instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.AutoClearCache instead", IsError=True)>
Public Property AutoClearCache As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Boolean

instance.AutoClearCache = value

value = instance.AutoClearCache
C#
[System.Obsolete(Message="Use CompareLogic.Config.AutoClearCache instead", IsError=true)]
public System.bool AutoClearCache {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.AutoClearCache instead", IsError=true)]
public: __property System.bool get_AutoClearCache();
public: __property void set_AutoClearCache(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Caching Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : Caching Property

Glossary Item Box

Obsolete Use CompareLogic.Config.Caching instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.Caching instead", IsError=True)>
Public Property Caching As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Boolean

instance.Caching = value

value = instance.Caching
C#
[System.Obsolete(Message="Use CompareLogic.Config.Caching instead", IsError=true)]
public System.bool Caching {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.Caching instead", IsError=true)]
public: __property System.bool get_Caching();
public: __property void set_Caching(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CollectionMatchingSpec Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : CollectionMatchingSpec Property

Glossary Item Box

Obsolete Use CompareLogic.Config.CollectionMatchingSpec instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.CollectionMatchingSpec instead", IsError=True)>
Public Property CollectionMatchingSpec As System.Collections.Generic.Dictionary(Of Type,IEnumerable(Of String))
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Collections.Generic.Dictionary(Of Type,IEnumerable(Of String))

instance.CollectionMatchingSpec = value

value = instance.CollectionMatchingSpec
C#
[System.Obsolete(Message="Use CompareLogic.Config.CollectionMatchingSpec instead", IsError=true)]
public System.Collections.Generic.Dictionary<Type,IEnumerable<string>> CollectionMatchingSpec {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.CollectionMatchingSpec instead", IsError=true)]
public: __property System.Collections.Generic.Dictionary<Type*,IEnumerable<string*>*>* get_CollectionMatchingSpec();
public: __property void set_CollectionMatchingSpec(
   System.Collections.Generic.Dictionary<Type*,IEnumerable<string*>*>* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareChildren Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : CompareChildren Property

Glossary Item Box

Obsolete Use CompareLogic.Config.CompareChildren instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.CompareChildren instead", IsError=True)>
Public Property CompareChildren As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Boolean

instance.CompareChildren = value

value = instance.CompareChildren
C#
[System.Obsolete(Message="Use CompareLogic.Config.CompareChildren instead", IsError=true)]
public System.bool CompareChildren {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.CompareChildren instead", IsError=true)]
public: __property System.bool get_CompareChildren();
public: __property void set_CompareChildren(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareFields Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : CompareFields Property

Glossary Item Box

Obsolete Use CompareLogic.Config.CompareFields instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.CompareFields instead", IsError=True)>
Public Property CompareFields As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Boolean

instance.CompareFields = value

value = instance.CompareFields
C#
[System.Obsolete(Message="Use CompareLogic.Config.CompareFields instead", IsError=true)]
public System.bool CompareFields {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.CompareFields instead", IsError=true)]
public: __property System.bool get_CompareFields();
public: __property void set_CompareFields(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ComparePrivateFields Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : ComparePrivateFields Property

Glossary Item Box

Obsolete Use CompareLogic.Config.ComparePrivateFields instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.ComparePrivateFields instead", IsError=True)>
Public Property ComparePrivateFields As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Boolean

instance.ComparePrivateFields = value

value = instance.ComparePrivateFields
C#
[System.Obsolete(Message="Use CompareLogic.Config.ComparePrivateFields instead", IsError=true)]
public System.bool ComparePrivateFields {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.ComparePrivateFields instead", IsError=true)]
public: __property System.bool get_ComparePrivateFields();
public: __property void set_ComparePrivateFields(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ComparePrivateProperties Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : ComparePrivateProperties Property

Glossary Item Box

Obsolete Use CompareLogic.Config.ComparePrivateProperties instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.ComparePrivateProperties instead", IsError=True)>
Public Property ComparePrivateProperties As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Boolean

instance.ComparePrivateProperties = value

value = instance.ComparePrivateProperties
C#
[System.Obsolete(Message="Use CompareLogic.Config.ComparePrivateProperties instead", IsError=true)]
public System.bool ComparePrivateProperties {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.ComparePrivateProperties instead", IsError=true)]
public: __property System.bool get_ComparePrivateProperties();
public: __property void set_ComparePrivateProperties(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareProperties Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : CompareProperties Property

Glossary Item Box

Obsolete Use CompareLogic.Config.CompareProperties instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.CompareProperties instead", IsError=True)>
Public Property CompareProperties As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Boolean

instance.CompareProperties = value

value = instance.CompareProperties
C#
[System.Obsolete(Message="Use CompareLogic.Config.CompareProperties instead", IsError=true)]
public System.bool CompareProperties {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.CompareProperties instead", IsError=true)]
public: __property System.bool get_CompareProperties();
public: __property void set_CompareProperties(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareReadOnly Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : CompareReadOnly Property

Glossary Item Box

Obsolete Use CompareLogic.Config.CompareReadOnly instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.CompareReadOnly instead", IsError=True)>
Public Property CompareReadOnly As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Boolean

instance.CompareReadOnly = value

value = instance.CompareReadOnly
C#
[System.Obsolete(Message="Use CompareLogic.Config.CompareReadOnly instead", IsError=true)]
public System.bool CompareReadOnly {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.CompareReadOnly instead", IsError=true)]
public: __property System.bool get_CompareReadOnly();
public: __property void set_CompareReadOnly(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareStaticFields Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : CompareStaticFields Property

Glossary Item Box

Obsolete Use CompareLogic.Config.CompareStaticFields instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.CompareStaticFields instead", IsError=True)>
Public Property CompareStaticFields As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Boolean

instance.CompareStaticFields = value

value = instance.CompareStaticFields
C#
[System.Obsolete(Message="Use CompareLogic.Config.CompareStaticFields instead", IsError=true)]
public System.bool CompareStaticFields {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.CompareStaticFields instead", IsError=true)]
public: __property System.bool get_CompareStaticFields();
public: __property void set_CompareStaticFields(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareStaticProperties Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : CompareStaticProperties Property

Glossary Item Box

Obsolete Use CompareLogic.Config.CompareStaticProperties instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.CompareStaticProperties instead", IsError=True)>
Public Property CompareStaticProperties As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Boolean

instance.CompareStaticProperties = value

value = instance.CompareStaticProperties
C#
[System.Obsolete(Message="Use CompareLogic.Config.CompareStaticProperties instead", IsError=true)]
public System.bool CompareStaticProperties {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.CompareStaticProperties instead", IsError=true)]
public: __property System.bool get_CompareStaticProperties();
public: __property void set_CompareStaticProperties(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CustomComparer Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : CustomComparer Property

Glossary Item Box

Obsolete Use CompareLogic.Config.CustomComparers instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.CustomComparers", IsError=True)>
Public Property CustomComparer As System.Action(Of CompareObjects,Object,Object,String)
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Action(Of CompareObjects,Object,Object,String)

instance.CustomComparer = value

value = instance.CustomComparer
C#
[System.Obsolete(Message="Use CompareLogic.Config.CustomComparers", IsError=true)]
public System.Action<CompareObjects,object,object,string> CustomComparer {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.CustomComparers", IsError=true)]
public: __property System.Action<CompareObjects*,Object*,Object*,string*>* get_CustomComparer();
public: __property void set_CustomComparer(
   System.Action<CompareObjects*,Object*,Object*,string*>* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
DifferenceCallback Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : DifferenceCallback Property

Glossary Item Box

Obsolete Use CompareLogic.Config.DifferenceCallback instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.DifferenceCallback instead", IsError=True)>
Public Property DifferenceCallback As System.Action(Of Difference)
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Action(Of Difference)

instance.DifferenceCallback = value

value = instance.DifferenceCallback
C#
[System.Obsolete(Message="Use CompareLogic.Config.DifferenceCallback instead", IsError=true)]
public System.Action<Difference> DifferenceCallback {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.DifferenceCallback instead", IsError=true)]
public: __property System.Action<Difference*>* get_DifferenceCallback();
public: __property void set_DifferenceCallback(
   System.Action<Difference*>* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Differences Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : Differences Property

Glossary Item Box

Obsolete Use the ComparisonResult.Differences returned from CompareLogic.Compare

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use the ComparisonResult.Differences returned from CompareLogic.Compare", IsError=True)>
Public Property Differences As System.Collections.Generic.List(Of Difference)
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Collections.Generic.List(Of Difference)

instance.Differences = value

value = instance.Differences
C#
[System.Obsolete(Message="Use the ComparisonResult.Differences returned from CompareLogic.Compare", IsError=true)]
public System.Collections.Generic.List<Difference> Differences {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use the ComparisonResult.Differences returned from CompareLogic.Compare", IsError=true)]
public: __property System.Collections.Generic.List<Difference*>* get_Differences();
public: __property void set_Differences(
   System.Collections.Generic.List<Difference*>* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
DifferencesString Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : DifferencesString Property

Glossary Item Box

Obsolete Use the ComparisonResult.DifferencesString returned from CompareLogic.Compare

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use the ComparisonResult.DifferencesString returned from CompareLogic.Compare", IsError=True)>
Public ReadOnly Property DifferencesString As System.String
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.String

value = instance.DifferencesString
C#
[System.Obsolete(Message="Use the ComparisonResult.DifferencesString returned from CompareLogic.Compare", IsError=true)]
public System.string DifferencesString {get;}
Managed Extensions for C++
[System.Obsolete(Message="Use the ComparisonResult.DifferencesString returned from CompareLogic.Compare", IsError=true)]
public: __property System.string* get_DifferencesString();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ElapsedMilliseconds Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : ElapsedMilliseconds Property

Glossary Item Box

Obsolete Use the ComparisonResult.ElapsedMilliseconds returned from CompareLogic.Compare

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use the ComparisonResult.ElapsedMilliseconds returned from CompareLogic.Compare", IsError=True)>
Public ReadOnly Property ElapsedMilliseconds As System.Long
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Long

value = instance.ElapsedMilliseconds
C#
[System.Obsolete(Message="Use the ComparisonResult.ElapsedMilliseconds returned from CompareLogic.Compare", IsError=true)]
public System.long ElapsedMilliseconds {get;}
Managed Extensions for C++
[System.Obsolete(Message="Use the ComparisonResult.ElapsedMilliseconds returned from CompareLogic.Compare", IsError=true)]
public: __property System.long get_ElapsedMilliseconds();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ElementsToIgnore Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : ElementsToIgnore Property

Glossary Item Box

Obsolete Use CompareLogic.Config.MembersToIgnore for members or CompareLogic.Config.ClassTypesToIgnore instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.MembersToIgnore for members or CompareLogic.Config.ClassTypesToIgnore instead", IsError=True)>
Public Property ElementsToIgnore As System.Collections.Generic.List(Of String)
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Collections.Generic.List(Of String)

instance.ElementsToIgnore = value

value = instance.ElementsToIgnore
C#
[System.Obsolete(Message="Use CompareLogic.Config.MembersToIgnore for members or CompareLogic.Config.ClassTypesToIgnore instead", IsError=true)]
public System.Collections.Generic.List<string> ElementsToIgnore {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.MembersToIgnore for members or CompareLogic.Config.ClassTypesToIgnore instead", IsError=true)]
public: __property System.Collections.Generic.List<string*>* get_ElementsToIgnore();
public: __property void set_ElementsToIgnore(
   System.Collections.Generic.List<string*>* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ElementsToInclude Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : ElementsToInclude Property

Glossary Item Box

Obsolete Use CompareLogic.Config.MembersToInclude or CompareLogic.Config.ClassTypesToInclude instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.MembersToInclude or CompareLogic.Config.ClassTypesToInclude instead", IsError=True)>
Public Property ElementsToInclude As System.Collections.Generic.List(Of String)
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Collections.Generic.List(Of String)

instance.ElementsToInclude = value

value = instance.ElementsToInclude
C#
[System.Obsolete(Message="Use CompareLogic.Config.MembersToInclude or CompareLogic.Config.ClassTypesToInclude instead", IsError=true)]
public System.Collections.Generic.List<string> ElementsToInclude {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.MembersToInclude or CompareLogic.Config.ClassTypesToInclude instead", IsError=true)]
public: __property System.Collections.Generic.List<string*>* get_ElementsToInclude();
public: __property void set_ElementsToInclude(
   System.Collections.Generic.List<string*>* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ExpectedName Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : ExpectedName Property

Glossary Item Box

Obsolete Use CompareLogic.Config.ExpectedName instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.ExpectedName instead", IsError=True)>
Public Property ExpectedName As System.String
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.String

instance.ExpectedName = value

value = instance.ExpectedName
C#
[System.Obsolete(Message="Use CompareLogic.Config.ExpectedName instead", IsError=true)]
public System.string ExpectedName {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.ExpectedName instead", IsError=true)]
public: __property System.string* get_ExpectedName();
public: __property void set_ExpectedName(
   System.string* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IgnoreCollectionOrder Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : IgnoreCollectionOrder Property

Glossary Item Box

Obsolete Use CompareLogic.Config.IgnoreCollectionOrder instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.IgnoreCollectionOrder instead", IsError=True)>
Public Property IgnoreCollectionOrder As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Boolean

instance.IgnoreCollectionOrder = value

value = instance.IgnoreCollectionOrder
C#
[System.Obsolete(Message="Use CompareLogic.Config.IgnoreCollectionOrder instead", IsError=true)]
public System.bool IgnoreCollectionOrder {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.IgnoreCollectionOrder instead", IsError=true)]
public: __property System.bool get_IgnoreCollectionOrder();
public: __property void set_IgnoreCollectionOrder(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IgnoreObjectTypes Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : IgnoreObjectTypes Property

Glossary Item Box

Obsolete Use CompareLogic.Config.IgnoreObjectTypes instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.IgnoreObjectTypes instead", IsError=True)>
Public Property IgnoreObjectTypes As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Boolean

instance.IgnoreObjectTypes = value

value = instance.IgnoreObjectTypes
C#
[System.Obsolete(Message="Use CompareLogic.Config.IgnoreObjectTypes instead", IsError=true)]
public System.bool IgnoreObjectTypes {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.IgnoreObjectTypes instead", IsError=true)]
public: __property System.bool get_IgnoreObjectTypes();
public: __property void set_IgnoreObjectTypes(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsUseCustomTypeComparer Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : IsUseCustomTypeComparer Property

Glossary Item Box

Obsolete Use CompareLogic.Config.CustomComparers instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.CustomComparers", IsError=True)>
Public Property IsUseCustomTypeComparer As System.Func(Of Type,Boolean)
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Func(Of Type,Boolean)

instance.IsUseCustomTypeComparer = value

value = instance.IsUseCustomTypeComparer
C#
[System.Obsolete(Message="Use CompareLogic.Config.CustomComparers", IsError=true)]
public System.Func<Type,bool> IsUseCustomTypeComparer {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.CustomComparers", IsError=true)]
public: __property System.Func<Type*,bool>* get_IsUseCustomTypeComparer();
public: __property void set_IsUseCustomTypeComparer(
   System.Func<Type*,bool>* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
MaxDifferences Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : MaxDifferences Property

Glossary Item Box

Obsolete Use CompareLogic.Config.MaxDifferences instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.MaxDifferences instead", IsError=True)>
Public Property MaxDifferences As System.Integer
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Integer

instance.MaxDifferences = value

value = instance.MaxDifferences
C#
[System.Obsolete(Message="Use CompareLogic.Config.MaxDifferences instead", IsError=true)]
public System.int MaxDifferences {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.MaxDifferences instead", IsError=true)]
public: __property System.int get_MaxDifferences();
public: __property void set_MaxDifferences(
   System.int value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ShowBreadcrumb Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareObjects Class : ShowBreadcrumb Property

Glossary Item Box

Obsolete Use CompareLogic.Config.ShowBreadcrumb instead

Syntax

Visual Basic (Declaration)
<System.ObsoleteAttribute(Message="Use CompareLogic.Config.ShowBreadcrumb instead", IsError=True)>
Public Property ShowBreadcrumb As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As CompareObjects
Dim value As System.Boolean

instance.ShowBreadcrumb = value

value = instance.ShowBreadcrumb
C#
[System.Obsolete(Message="Use CompareLogic.Config.ShowBreadcrumb instead", IsError=true)]
public System.bool ShowBreadcrumb {get; set;}
Managed Extensions for C++
[System.Obsolete(Message="Use CompareLogic.Config.ShowBreadcrumb instead", IsError=true)]
public: __property System.bool get_ShowBreadcrumb();
public: __property void set_ShowBreadcrumb(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareObjects Class
CompareObjects Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareParms Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : CompareParms Class

Glossary Item Box

Compare Parameters

Object Model

CompareParms Class

Syntax

Visual Basic (Declaration)
Public Class CompareParms
Visual Basic (Usage) Copy Code
Dim instance As CompareParms
C#
public class CompareParms
Managed Extensions for C++
public __gc class CompareParms

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.CompareParms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareParms Members
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
CompareParms Class Members
See Also Properties Send Feedback
KellermanSoftware.CompareNetObjects Namespace : CompareParms Class

Glossary Item Box

The following tables list the members exposed by CompareParms.

Public Constructors

 | Name | Description
Public Constructor | CompareParms Constructor |
Top

Public Properties

 | Name | Description
Public Property | BreadCrumb | The breadcrumb in the tree
Public Property | Config | The configuration settings
Public Property | Object1 | The first object to be compared
Public Property | Object1Type | The type of the first object
Public Property | Object2 | The second object to be compared
Public Property | Object2Type | The type of the second object
Public Property | ParentObject1 | A reference to the parent object1
Public Property | ParentObject2 | A reference to the parent object2
Public Property | Result | Details about the comparison
Top

See Also

Reference

CompareParms Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareParms Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareParms Class : CompareParms Constructor

Glossary Item Box

Syntax

Visual Basic (Declaration)
Public Function New()
Visual Basic (Usage) Copy Code
Dim instance As New CompareParms()
C#
public CompareParms()
Managed Extensions for C++
public: CompareParms();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareParms Class
CompareParms Members


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
CompareParms Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : CompareParms Class

Glossary Item Box

For a list of all members of this type, see CompareParms members.

Public Properties

 | Name | Description
Public Property | BreadCrumb | The breadcrumb in the tree
Public Property | Config | The configuration settings
Public Property | Object1 | The first object to be compared
Public Property | Object1Type | The type of the first object
Public Property | Object2 | The second object to be compared
Public Property | Object2Type | The type of the second object
Public Property | ParentObject1 | A reference to the parent object1
Public Property | ParentObject2 | A reference to the parent object2
Public Property | Result | Details about the comparison
Top

See Also

Reference

CompareParms Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
BreadCrumb Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareParms Class : BreadCrumb Property

Glossary Item Box

The breadcrumb in the tree

Syntax

Visual Basic (Declaration)
Public Property BreadCrumb As System.String
Visual Basic (Usage) Copy Code
Dim instance As CompareParms
Dim value As System.String

instance.BreadCrumb = value

value = instance.BreadCrumb
C#
public System.string BreadCrumb {get; set;}
Managed Extensions for C++
public: __property System.string* get_BreadCrumb();
public: __property void set_BreadCrumb(
   System.string* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareParms Class
CompareParms Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Config Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareParms Class : Config Property

Glossary Item Box

The configuration settings

Syntax

Visual Basic (Declaration)
Public Property Config As ComparisonConfig
Visual Basic (Usage) Copy Code
Dim instance As CompareParms
Dim value As ComparisonConfig

instance.Config = value

value = instance.Config
C#
public ComparisonConfig Config {get; set;}
Managed Extensions for C++
public: __property ComparisonConfig* get_Config();
public: __property void set_Config(
   ComparisonConfig* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareParms Class
CompareParms Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Object1 Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareParms Class : Object1 Property

Glossary Item Box

The first object to be compared

Syntax

Visual Basic (Declaration)
Public Property Object1 As System.Object
Visual Basic (Usage) Copy Code
Dim instance As CompareParms
Dim value As System.Object

instance.Object1 = value

value = instance.Object1
C#
public System.object Object1 {get; set;}
Managed Extensions for C++
public: __property System.Object* get_Object1();
public: __property void set_Object1(
   System.Object* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareParms Class
CompareParms Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Object1Type Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareParms Class : Object1Type Property

Glossary Item Box

The type of the first object

Syntax

Visual Basic (Declaration)
Public Property Object1Type As System.Type
Visual Basic (Usage) Copy Code
Dim instance As CompareParms
Dim value As System.Type

instance.Object1Type = value

value = instance.Object1Type
C#
public System.Type Object1Type {get; set;}
Managed Extensions for C++
public: __property System.Type* get_Object1Type();
public: __property void set_Object1Type(
   System.Type* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareParms Class
CompareParms Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Object2 Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareParms Class : Object2 Property

Glossary Item Box

The second object to be compared

Syntax

Visual Basic (Declaration)
Public Property Object2 As System.Object
Visual Basic (Usage) Copy Code
Dim instance As CompareParms
Dim value As System.Object

instance.Object2 = value

value = instance.Object2
C#
public System.object Object2 {get; set;}
Managed Extensions for C++
public: __property System.Object* get_Object2();
public: __property void set_Object2(
   System.Object* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareParms Class
CompareParms Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Object2Type Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareParms Class : Object2Type Property

Glossary Item Box

The type of the second object

Syntax

Visual Basic (Declaration)
Public Property Object2Type As System.Type
Visual Basic (Usage) Copy Code
Dim instance As CompareParms
Dim value As System.Type

instance.Object2Type = value

value = instance.Object2Type
C#
public System.Type Object2Type {get; set;}
Managed Extensions for C++
public: __property System.Type* get_Object2Type();
public: __property void set_Object2Type(
   System.Type* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareParms Class
CompareParms Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ParentObject1 Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareParms Class : ParentObject1 Property

Glossary Item Box

A reference to the parent object1

Syntax

Visual Basic (Declaration)
Public Property ParentObject1 As System.Object
Visual Basic (Usage) Copy Code
Dim instance As CompareParms
Dim value As System.Object

instance.ParentObject1 = value

value = instance.ParentObject1
C#
public System.object ParentObject1 {get; set;}
Managed Extensions for C++
public: __property System.Object* get_ParentObject1();
public: __property void set_ParentObject1(
   System.Object* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareParms Class
CompareParms Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ParentObject2 Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareParms Class : ParentObject2 Property

Glossary Item Box

A reference to the parent object2

Syntax

Visual Basic (Declaration)
Public Property ParentObject2 As System.Object
Visual Basic (Usage) Copy Code
Dim instance As CompareParms
Dim value As System.Object

instance.ParentObject2 = value

value = instance.ParentObject2
C#
public System.object ParentObject2 {get; set;}
Managed Extensions for C++
public: __property System.Object* get_ParentObject2();
public: __property void set_ParentObject2(
   System.Object* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareParms Class
CompareParms Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Result Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareParms Class : Result Property

Glossary Item Box

Details about the comparison

Syntax

Visual Basic (Declaration)
Public Property Result As ComparisonResult
Visual Basic (Usage) Copy Code
Dim instance As CompareParms
Dim value As ComparisonResult

instance.Result = value

value = instance.Result
C#
public ComparisonResult Result {get; set;}
Managed Extensions for C++
public: __property ComparisonResult* get_Result();
public: __property void set_Result(
   ComparisonResult* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareParms Class
CompareParms Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ComparisonConfig Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : ComparisonConfig Class

Glossary Item Box

Configuration

Object Model

ComparisonConfig Class

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataContractAttribute()>
Public Class ComparisonConfig
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
C#
[System.Runtime.Serialization.DataContract()]
public class ComparisonConfig
Managed Extensions for C++
[System.Runtime.Serialization.DataContract()]
public __gc class ComparisonConfig

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.ComparisonConfig

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Members
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
ComparisonConfig Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects Namespace : ComparisonConfig Class

Glossary Item Box

The following tables list the members exposed by ComparisonConfig.

Public Constructors

 | Name | Description
Public Constructor | ComparisonConfig Constructor | Default Constructor
Top

Public Properties

 | Name | Description
Public Property | ActualName | In the differences string, this is the name for the actual name. The default is: Actual
Public Property | AttributesToIgnore | A list of attributes to ignore a class, property or field
Public Property | AutoClearCache | Reflection properties and fields are cached. By default this cache is cleared after each compare. Set to false to keep the cache for multiple compares.
Public Property | Caching | By default properties and fields for types are cached for each compare. By default this cache is cleared after each compare.
Public Property | CaseSensitive | When comparing strings or StringBuilder types, perform a case sensitive comparison. The default is true.
Public Property | ClassTypesToIgnore | A list of class types to be ignored in the comparison. The default is to compare all class types.
Public Property | ClassTypesToInclude | Only these class types will be compared. The default is to compare all class types.
Public Property | CollectionMatchingSpec | Sometimes one wants to match items between collections by some key first, and then compare the matched objects. Without this, the comparer basically says there is no match in collection B for any given item in collection A that doesn't Compare with a result of true. The results of this aren't particularly useful for object graphs that are mostly the same, but not quite. Enter CollectionMatchingSpec The enumerable strings should be property (not field, for now, to keep it simple) names of the Type when encountered that will be used for matching You can use complex type properties, too, as part of the key to match. To match on all props/fields on such a matching key, Don't set this property (default comparer behavior) NOTE: types are looked up as exact. e.g. if foo is an entry in the dictionary and bar is a sub-class of foo, upon encountering a bar type, the comparer will not find the entry of foo
Public Property | CompareChildren | If true, child objects will be compared. The default is true. If false, and a list or array is compared list items will be compared but not their children.
Public Property | CompareDateTimeOffsetWithOffsets | When comparing DateTimeOffsets, offsets will be compared as well as the UtcDateTimes. The default is false.
Public Property | CompareFields | If true, compare fields of a class (see also CompareProperties). The default is true.
Public Property | ComparePrivateFields | If true, private fields will be compared. The default is false. Silverlight and WinRT restricts access to private variables.
Public Property | ComparePrivateProperties | If true, private properties and fields will be compared. The default is false. Silverlight and WinRT restricts access to private variables.
Public Property | CompareProperties | If true, compare properties of a class (see also CompareFields). The default is true.
Public Property | CompareReadOnly | If true, compare read only properties (only the getter is implemented). The default is true.
Public Property | CompareStaticFields | If true, static fields will be compared. The default is true.
Public Property | CompareStaticProperties | If true, static properties will be compared. The default is true.
Public Property | CustomComparers | A list of custom comparers that take priority over the built in comparers
Public Property | DecimalPrecision | The precision to compare decimal values. The default is 0.
Public Property | DifferenceCallback | Callback invoked each time the comparer finds a difference. The default is no call back.
Public Property | DoublePrecision | The precision to compare double values. The default is 0.
Public Property | ExpectedName | In the differences string, this is the name for expected name. The default is: Expected
Public Property | IgnoreCollectionOrder | If true, compare each item within a collection to every item in the other. The default is false. WARNING: setting this to true significantly impacts performance.
Public Property | IgnoreObjectDisposedException | Ignore exceptions when objects are disposed
Public Property | IgnoreObjectTypes | If true, objects will be compared ignore their type diferences. The default is false.
Public Property | IgnoreUnknownObjectTypes | If true, unknown object types will be ignored instead of throwing an exception. The default is false.
Public Property | InterfaceMembers | If a class implements an interface then only members of the interface will be compared. The default is all members are compared.
Public Property | MaxByteArrayDifferences | The maximum number of differences to detect when comparing byte arrays. The default is 1.
Public Property | MaxDifferences | The maximum number of differences to detect. The default is 1 for performance reasons.
Public Property | MaxMillisecondsDateDifference | Ignore millisecond differences between DateTime values or DateTimeOffset values. The default is 0 (any time difference will be shown).
Public Property | MaxStructDepth | When comparing struct, the depth to compare for children. The default is 2, the max is 5
Public Property | MembersToIgnore | Ignore Data Table Names, Data Table Column Names, properties, or fields by name during the comparison. Case sensitive. The default is to compare all members.
Public Property | MembersToInclude | Only compare elements by name for Data Table Names, Data Table Column Names, properties and fields. Case sensitive. The default is to compare all members.
Public Property | ShowBreadcrumb | Show breadcrumb at each stage of the comparision. The default is false. This is useful for debugging deep object graphs.
Public Property | SkipInvalidIndexers | If true, invalid indexers will be skipped. The default is false.
Public Property | TreatStringEmptyAndNullTheSame | If true, string.empty and null will be treated as equal for Strings and String Builder. The default is false.
Public Property | TypesToIgnore | A list of types to be ignored in the comparison. The default is to compare all types. A typical thing to not compare are GUIDs
Public Property | TypesToInclude | Only these types will be compared. The default is to compare all types.
Top

Public Methods

 | Name | Description
Public Method | Reset | Reset the configuration to the default values
Top

See Also

Reference

ComparisonConfig Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
ComparisonConfig Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : ComparisonConfig Constructor

Glossary Item Box

Default Constructor

Syntax

Visual Basic (Declaration)
Public Function New()
Visual Basic (Usage) Copy Code
Dim instance As New ComparisonConfig()
C#
public ComparisonConfig()
Managed Extensions for C++
public: ComparisonConfig();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
ComparisonConfig Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : ComparisonConfig Class

Glossary Item Box

For a list of all members of this type, see ComparisonConfig members.

Public Methods

 | Name | Description
Public Method | Reset | Reset the configuration to the default values
Top

See Also

Reference

ComparisonConfig Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
Reset Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : Reset Method

Glossary Item Box

Reset the configuration to the default values

Syntax

Visual Basic (Declaration)
Public Sub Reset()
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig

instance.Reset()
C#
public void Reset()
Managed Extensions for C++
public: void Reset();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
ComparisonConfig Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : ComparisonConfig Class

Glossary Item Box

For a list of all members of this type, see ComparisonConfig members.

Public Properties

 | Name | Description
Public Property | ActualName | In the differences string, this is the name for the actual name. The default is: Actual
Public Property | AttributesToIgnore | A list of attributes to ignore a class, property or field
Public Property | AutoClearCache | Reflection properties and fields are cached. By default this cache is cleared after each compare. Set to false to keep the cache for multiple compares.
Public Property | Caching | By default properties and fields for types are cached for each compare. By default this cache is cleared after each compare.
Public Property | CaseSensitive | When comparing strings or StringBuilder types, perform a case sensitive comparison. The default is true.
Public Property | ClassTypesToIgnore | A list of class types to be ignored in the comparison. The default is to compare all class types.
Public Property | ClassTypesToInclude | Only these class types will be compared. The default is to compare all class types.
Public Property | CollectionMatchingSpec | Sometimes one wants to match items between collections by some key first, and then compare the matched objects. Without this, the comparer basically says there is no match in collection B for any given item in collection A that doesn't Compare with a result of true. The results of this aren't particularly useful for object graphs that are mostly the same, but not quite. Enter CollectionMatchingSpec The enumerable strings should be property (not field, for now, to keep it simple) names of the Type when encountered that will be used for matching You can use complex type properties, too, as part of the key to match. To match on all props/fields on such a matching key, Don't set this property (default comparer behavior) NOTE: types are looked up as exact. e.g. if foo is an entry in the dictionary and bar is a sub-class of foo, upon encountering a bar type, the comparer will not find the entry of foo
Public Property | CompareChildren | If true, child objects will be compared. The default is true. If false, and a list or array is compared list items will be compared but not their children.
Public Property | CompareDateTimeOffsetWithOffsets | When comparing DateTimeOffsets, offsets will be compared as well as the UtcDateTimes. The default is false.
Public Property | CompareFields | If true, compare fields of a class (see also CompareProperties). The default is true.
Public Property | ComparePrivateFields | If true, private fields will be compared. The default is false. Silverlight and WinRT restricts access to private variables.
Public Property | ComparePrivateProperties | If true, private properties and fields will be compared. The default is false. Silverlight and WinRT restricts access to private variables.
Public Property | CompareProperties | If true, compare properties of a class (see also CompareFields). The default is true.
Public Property | CompareReadOnly | If true, compare read only properties (only the getter is implemented). The default is true.
Public Property | CompareStaticFields | If true, static fields will be compared. The default is true.
Public Property | CompareStaticProperties | If true, static properties will be compared. The default is true.
Public Property | CustomComparers | A list of custom comparers that take priority over the built in comparers
Public Property | DecimalPrecision | The precision to compare decimal values. The default is 0.
Public Property | DifferenceCallback | Callback invoked each time the comparer finds a difference. The default is no call back.
Public Property | DoublePrecision | The precision to compare double values. The default is 0.
Public Property | ExpectedName | In the differences string, this is the name for expected name. The default is: Expected
Public Property | IgnoreCollectionOrder | If true, compare each item within a collection to every item in the other. The default is false. WARNING: setting this to true significantly impacts performance.
Public Property | IgnoreObjectDisposedException | Ignore exceptions when objects are disposed
Public Property | IgnoreObjectTypes | If true, objects will be compared ignore their type diferences. The default is false.
Public Property | IgnoreUnknownObjectTypes | If true, unknown object types will be ignored instead of throwing an exception. The default is false.
Public Property | InterfaceMembers | If a class implements an interface then only members of the interface will be compared. The default is all members are compared.
Public Property | MaxByteArrayDifferences | The maximum number of differences to detect when comparing byte arrays. The default is 1.
Public Property | MaxDifferences | The maximum number of differences to detect. The default is 1 for performance reasons.
Public Property | MaxMillisecondsDateDifference | Ignore millisecond differences between DateTime values or DateTimeOffset values. The default is 0 (any time difference will be shown).
Public Property | MaxStructDepth | When comparing struct, the depth to compare for children. The default is 2, the max is 5
Public Property | MembersToIgnore | Ignore Data Table Names, Data Table Column Names, properties, or fields by name during the comparison. Case sensitive. The default is to compare all members.
Public Property | MembersToInclude | Only compare elements by name for Data Table Names, Data Table Column Names, properties and fields. Case sensitive. The default is to compare all members.
Public Property | ShowBreadcrumb | Show breadcrumb at each stage of the comparision. The default is false. This is useful for debugging deep object graphs.
Public Property | SkipInvalidIndexers | If true, invalid indexers will be skipped. The default is false.
Public Property | TreatStringEmptyAndNullTheSame | If true, string.empty and null will be treated as equal for Strings and String Builder. The default is false.
Public Property | TypesToIgnore | A list of types to be ignored in the comparison. The default is to compare all types. A typical thing to not compare are GUIDs
Public Property | TypesToInclude | Only these types will be compared. The default is to compare all types.
Top

See Also

Reference

ComparisonConfig Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
ActualName Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : ActualName Property

Glossary Item Box

In the differences string, this is the name for the actual name. The default is: Actual

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property ActualName As System.String
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.String

instance.ActualName = value

value = instance.ActualName
C#
[System.Runtime.Serialization.DataMember()]
public System.string ActualName {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.string* get_ActualName();
public: __property void set_ActualName(
   System.string* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
AttributesToIgnore Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : AttributesToIgnore Property

Glossary Item Box

A list of attributes to ignore a class, property or field

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property AttributesToIgnore As System.Collections.Generic.List(Of Type)
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Collections.Generic.List(Of Type)

instance.AttributesToIgnore = value

value = instance.AttributesToIgnore
C#
[System.Runtime.Serialization.DataMember()]
public System.Collections.Generic.List<Type> AttributesToIgnore {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.Collections.Generic.List<Type*>* get_AttributesToIgnore();
public: __property void set_AttributesToIgnore(
   System.Collections.Generic.List<Type*>* value
);

Example

AttributesToIgnore.Add(typeof(XmlIgnoreAttribute));

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
AutoClearCache Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : AutoClearCache Property

Glossary Item Box

Reflection properties and fields are cached. By default this cache is cleared after each compare. Set to false to keep the cache for multiple compares.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property AutoClearCache As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Boolean

instance.AutoClearCache = value

value = instance.AutoClearCache
C#
[System.Runtime.Serialization.DataMember()]
public System.bool AutoClearCache {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.bool get_AutoClearCache();
public: __property void set_AutoClearCache(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members
Caching Property


%%PageItemTitle%%

[image]
Compare .NET Objects
Caching Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : Caching Property

Glossary Item Box

By default properties and fields for types are cached for each compare. By default this cache is cleared after each compare.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property Caching As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Boolean

instance.Caching = value

value = instance.Caching
C#
[System.Runtime.Serialization.DataMember()]
public System.bool Caching {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.bool get_Caching();
public: __property void set_Caching(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members
AutoClearCache Property


%%PageItemTitle%%

[image]
Compare .NET Objects
CaseSensitive Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : CaseSensitive Property

Glossary Item Box

When comparing strings or StringBuilder types, perform a case sensitive comparison. The default is true.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property CaseSensitive As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Boolean

instance.CaseSensitive = value

value = instance.CaseSensitive
C#
[System.Runtime.Serialization.DataMember()]
public System.bool CaseSensitive {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.bool get_CaseSensitive();
public: __property void set_CaseSensitive(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ClassTypesToIgnore Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : ClassTypesToIgnore Property

Glossary Item Box

A list of class types to be ignored in the comparison. The default is to compare all class types.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property ClassTypesToIgnore As System.Collections.Generic.List(Of Type)
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Collections.Generic.List(Of Type)

instance.ClassTypesToIgnore = value

value = instance.ClassTypesToIgnore
C#
[System.Runtime.Serialization.DataMember()]
public System.Collections.Generic.List<Type> ClassTypesToIgnore {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.Collections.Generic.List<Type*>* get_ClassTypesToIgnore();
public: __property void set_ClassTypesToIgnore(
   System.Collections.Generic.List<Type*>* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ClassTypesToInclude Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : ClassTypesToInclude Property

Glossary Item Box

Only these class types will be compared. The default is to compare all class types.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property ClassTypesToInclude As System.Collections.Generic.List(Of Type)
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Collections.Generic.List(Of Type)

instance.ClassTypesToInclude = value

value = instance.ClassTypesToInclude
C#
[System.Runtime.Serialization.DataMember()]
public System.Collections.Generic.List<Type> ClassTypesToInclude {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.Collections.Generic.List<Type*>* get_ClassTypesToInclude();
public: __property void set_ClassTypesToInclude(
   System.Collections.Generic.List<Type*>* value
);

Remarks

If you specify a class type here no other class types will be compared unless it is in this list.

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CollectionMatchingSpec Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : CollectionMatchingSpec Property

Glossary Item Box

Sometimes one wants to match items between collections by some key first, and then compare the matched objects. Without this, the comparer basically says there is no match in collection B for any given item in collection A that doesn't Compare with a result of true. The results of this aren't particularly useful for object graphs that are mostly the same, but not quite. Enter CollectionMatchingSpec The enumerable strings should be property (not field, for now, to keep it simple) names of the Type when encountered that will be used for matching You can use complex type properties, too, as part of the key to match. To match on all props/fields on such a matching key, Don't set this property (default comparer behavior) NOTE: types are looked up as exact. e.g. if foo is an entry in the dictionary and bar is a sub-class of foo, upon encountering a bar type, the comparer will not find the entry of foo

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property CollectionMatchingSpec As System.Collections.Generic.Dictionary(Of Type,IEnumerable(Of String))
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Collections.Generic.Dictionary(Of Type,IEnumerable(Of String))

instance.CollectionMatchingSpec = value

value = instance.CollectionMatchingSpec
C#
[System.Runtime.Serialization.DataMember()]
public System.Collections.Generic.Dictionary<Type,IEnumerable<string>> CollectionMatchingSpec {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.Collections.Generic.Dictionary<Type*,IEnumerable<string*>*>* get_CollectionMatchingSpec();
public: __property void set_CollectionMatchingSpec(
   System.Collections.Generic.Dictionary<Type*,IEnumerable<string*>*>* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareChildren Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : CompareChildren Property

Glossary Item Box

If true, child objects will be compared. The default is true. If false, and a list or array is compared list items will be compared but not their children.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property CompareChildren As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Boolean

instance.CompareChildren = value

value = instance.CompareChildren
C#
[System.Runtime.Serialization.DataMember()]
public System.bool CompareChildren {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.bool get_CompareChildren();
public: __property void set_CompareChildren(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareDateTimeOffsetWithOffsets Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : CompareDateTimeOffsetWithOffsets Property

Glossary Item Box

When comparing DateTimeOffsets, offsets will be compared as well as the UtcDateTimes. The default is false.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property CompareDateTimeOffsetWithOffsets As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Boolean

instance.CompareDateTimeOffsetWithOffsets = value

value = instance.CompareDateTimeOffsetWithOffsets
C#
[System.Runtime.Serialization.DataMember()]
public System.bool CompareDateTimeOffsetWithOffsets {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.bool get_CompareDateTimeOffsetWithOffsets();
public: __property void set_CompareDateTimeOffsetWithOffsets(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareFields Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : CompareFields Property

Glossary Item Box

If true, compare fields of a class (see also CompareProperties). The default is true.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property CompareFields As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Boolean

instance.CompareFields = value

value = instance.CompareFields
C#
[System.Runtime.Serialization.DataMember()]
public System.bool CompareFields {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.bool get_CompareFields();
public: __property void set_CompareFields(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ComparePrivateFields Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : ComparePrivateFields Property

Glossary Item Box

If true, private fields will be compared. The default is false. Silverlight and WinRT restricts access to private variables.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property ComparePrivateFields As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Boolean

instance.ComparePrivateFields = value

value = instance.ComparePrivateFields
C#
[System.Runtime.Serialization.DataMember()]
public System.bool ComparePrivateFields {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.bool get_ComparePrivateFields();
public: __property void set_ComparePrivateFields(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ComparePrivateProperties Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : ComparePrivateProperties Property

Glossary Item Box

If true, private properties and fields will be compared. The default is false. Silverlight and WinRT restricts access to private variables.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property ComparePrivateProperties As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Boolean

instance.ComparePrivateProperties = value

value = instance.ComparePrivateProperties
C#
[System.Runtime.Serialization.DataMember()]
public System.bool ComparePrivateProperties {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.bool get_ComparePrivateProperties();
public: __property void set_ComparePrivateProperties(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareProperties Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : CompareProperties Property

Glossary Item Box

If true, compare properties of a class (see also CompareFields). The default is true.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property CompareProperties As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Boolean

instance.CompareProperties = value

value = instance.CompareProperties
C#
[System.Runtime.Serialization.DataMember()]
public System.bool CompareProperties {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.bool get_CompareProperties();
public: __property void set_CompareProperties(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareReadOnly Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : CompareReadOnly Property

Glossary Item Box

If true, compare read only properties (only the getter is implemented). The default is true.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property CompareReadOnly As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Boolean

instance.CompareReadOnly = value

value = instance.CompareReadOnly
C#
[System.Runtime.Serialization.DataMember()]
public System.bool CompareReadOnly {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.bool get_CompareReadOnly();
public: __property void set_CompareReadOnly(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareStaticFields Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : CompareStaticFields Property

Glossary Item Box

If true, static fields will be compared. The default is true.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property CompareStaticFields As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Boolean

instance.CompareStaticFields = value

value = instance.CompareStaticFields
C#
[System.Runtime.Serialization.DataMember()]
public System.bool CompareStaticFields {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.bool get_CompareStaticFields();
public: __property void set_CompareStaticFields(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareStaticProperties Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : CompareStaticProperties Property

Glossary Item Box

If true, static properties will be compared. The default is true.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property CompareStaticProperties As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Boolean

instance.CompareStaticProperties = value

value = instance.CompareStaticProperties
C#
[System.Runtime.Serialization.DataMember()]
public System.bool CompareStaticProperties {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.bool get_CompareStaticProperties();
public: __property void set_CompareStaticProperties(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CustomComparers Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : CustomComparers Property

Glossary Item Box

A list of custom comparers that take priority over the built in comparers

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property CustomComparers As System.Collections.Generic.List(Of BaseTypeComparer)
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Collections.Generic.List(Of BaseTypeComparer)

instance.CustomComparers = value

value = instance.CustomComparers
C#
[System.Runtime.Serialization.DataMember()]
public System.Collections.Generic.List<BaseTypeComparer> CustomComparers {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.Collections.Generic.List<BaseTypeComparer*>* get_CustomComparers();
public: __property void set_CustomComparers(
   System.Collections.Generic.List<BaseTypeComparer*>* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
DecimalPrecision Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : DecimalPrecision Property

Glossary Item Box

The precision to compare decimal values. The default is 0.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property DecimalPrecision As System.Decimal
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Decimal

instance.DecimalPrecision = value

value = instance.DecimalPrecision
C#
[System.Runtime.Serialization.DataMember()]
public System.decimal DecimalPrecision {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.decimal get_DecimalPrecision();
public: __property void set_DecimalPrecision(
   System.decimal value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
DifferenceCallback Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : DifferenceCallback Property

Glossary Item Box

Callback invoked each time the comparer finds a difference. The default is no call back.

Syntax

Visual Basic (Declaration)
Public Property DifferenceCallback As System.Action(Of Difference)
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Action(Of Difference)

instance.DifferenceCallback = value

value = instance.DifferenceCallback
C#
public System.Action<Difference> DifferenceCallback {get; set;}
Managed Extensions for C++
public: __property System.Action<Difference*>* get_DifferenceCallback();
public: __property void set_DifferenceCallback(
   System.Action<Difference*>* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
DoublePrecision Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : DoublePrecision Property

Glossary Item Box

The precision to compare double values. The default is 0.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property DoublePrecision As System.Double
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Double

instance.DoublePrecision = value

value = instance.DoublePrecision
C#
[System.Runtime.Serialization.DataMember()]
public System.double DoublePrecision {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.double get_DoublePrecision();
public: __property void set_DoublePrecision(
   System.double value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ExpectedName Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : ExpectedName Property

Glossary Item Box

In the differences string, this is the name for expected name. The default is: Expected

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property ExpectedName As System.String
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.String

instance.ExpectedName = value

value = instance.ExpectedName
C#
[System.Runtime.Serialization.DataMember()]
public System.string ExpectedName {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.string* get_ExpectedName();
public: __property void set_ExpectedName(
   System.string* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IgnoreCollectionOrder Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : IgnoreCollectionOrder Property

Glossary Item Box

If true, compare each item within a collection to every item in the other. The default is false. WARNING: setting this to true significantly impacts performance.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property IgnoreCollectionOrder As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Boolean

instance.IgnoreCollectionOrder = value

value = instance.IgnoreCollectionOrder
C#
[System.Runtime.Serialization.DataMember()]
public System.bool IgnoreCollectionOrder {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.bool get_IgnoreCollectionOrder();
public: __property void set_IgnoreCollectionOrder(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IgnoreObjectDisposedException Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : IgnoreObjectDisposedException Property

Glossary Item Box

Ignore exceptions when objects are disposed

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property IgnoreObjectDisposedException As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Boolean

instance.IgnoreObjectDisposedException = value

value = instance.IgnoreObjectDisposedException
C#
[System.Runtime.Serialization.DataMember()]
public System.bool IgnoreObjectDisposedException {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.bool get_IgnoreObjectDisposedException();
public: __property void set_IgnoreObjectDisposedException(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IgnoreObjectTypes Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : IgnoreObjectTypes Property

Glossary Item Box

If true, objects will be compared ignore their type diferences. The default is false.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property IgnoreObjectTypes As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Boolean

instance.IgnoreObjectTypes = value

value = instance.IgnoreObjectTypes
C#
[System.Runtime.Serialization.DataMember()]
public System.bool IgnoreObjectTypes {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.bool get_IgnoreObjectTypes();
public: __property void set_IgnoreObjectTypes(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IgnoreUnknownObjectTypes Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : IgnoreUnknownObjectTypes Property

Glossary Item Box

If true, unknown object types will be ignored instead of throwing an exception. The default is false.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property IgnoreUnknownObjectTypes As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Boolean

instance.IgnoreUnknownObjectTypes = value

value = instance.IgnoreUnknownObjectTypes
C#
[System.Runtime.Serialization.DataMember()]
public System.bool IgnoreUnknownObjectTypes {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.bool get_IgnoreUnknownObjectTypes();
public: __property void set_IgnoreUnknownObjectTypes(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
InterfaceMembers Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : InterfaceMembers Property

Glossary Item Box

If a class implements an interface then only members of the interface will be compared. The default is all members are compared.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property InterfaceMembers As System.Collections.Generic.List(Of Type)
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Collections.Generic.List(Of Type)

instance.InterfaceMembers = value

value = instance.InterfaceMembers
C#
[System.Runtime.Serialization.DataMember()]
public System.Collections.Generic.List<Type> InterfaceMembers {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.Collections.Generic.List<Type*>* get_InterfaceMembers();
public: __property void set_InterfaceMembers(
   System.Collections.Generic.List<Type*>* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
MaxByteArrayDifferences Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : MaxByteArrayDifferences Property

Glossary Item Box

The maximum number of differences to detect when comparing byte arrays. The default is 1.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property MaxByteArrayDifferences As System.Integer
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Integer

instance.MaxByteArrayDifferences = value

value = instance.MaxByteArrayDifferences
C#
[System.Runtime.Serialization.DataMember()]
public System.int MaxByteArrayDifferences {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.int get_MaxByteArrayDifferences();
public: __property void set_MaxByteArrayDifferences(
   System.int value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
MaxDifferences Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : MaxDifferences Property

Glossary Item Box

The maximum number of differences to detect. The default is 1 for performance reasons.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property MaxDifferences As System.Integer
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Integer

instance.MaxDifferences = value

value = instance.MaxDifferences
C#
[System.Runtime.Serialization.DataMember()]
public System.int MaxDifferences {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.int get_MaxDifferences();
public: __property void set_MaxDifferences(
   System.int value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
MaxMillisecondsDateDifference Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : MaxMillisecondsDateDifference Property

Glossary Item Box

Ignore millisecond differences between DateTime values or DateTimeOffset values. The default is 0 (any time difference will be shown).

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property MaxMillisecondsDateDifference As System.Integer
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Integer

instance.MaxMillisecondsDateDifference = value

value = instance.MaxMillisecondsDateDifference
C#
[System.Runtime.Serialization.DataMember()]
public System.int MaxMillisecondsDateDifference {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.int get_MaxMillisecondsDateDifference();
public: __property void set_MaxMillisecondsDateDifference(
   System.int value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
MaxStructDepth Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : MaxStructDepth Property

Glossary Item Box

When comparing struct, the depth to compare for children. The default is 2, the max is 5

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property MaxStructDepth As System.Integer
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Integer

instance.MaxStructDepth = value

value = instance.MaxStructDepth
C#
[System.Runtime.Serialization.DataMember()]
public System.int MaxStructDepth {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.int get_MaxStructDepth();
public: __property void set_MaxStructDepth(
   System.int value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
MembersToIgnore Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : MembersToIgnore Property

Glossary Item Box

Ignore Data Table Names, Data Table Column Names, properties, or fields by name during the comparison. Case sensitive. The default is to compare all members.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property MembersToIgnore As System.Collections.Generic.List(Of String)
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Collections.Generic.List(Of String)

instance.MembersToIgnore = value

value = instance.MembersToIgnore
C#
[System.Runtime.Serialization.DataMember()]
public System.Collections.Generic.List<string> MembersToIgnore {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.Collections.Generic.List<string*>* get_MembersToIgnore();
public: __property void set_MembersToIgnore(
   System.Collections.Generic.List<string*>* value
);

Example

MembersToIgnore.Add("CreditCardNumber");
            MembersToIgnore.Add("Invoice.InvoiceGuid");
            MembersToIgnore.Add("*Id");

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
MembersToInclude Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : MembersToInclude Property

Glossary Item Box

Only compare elements by name for Data Table Names, Data Table Column Names, properties and fields. Case sensitive. The default is to compare all members.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property MembersToInclude As System.Collections.Generic.List(Of String)
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Collections.Generic.List(Of String)

instance.MembersToInclude = value

value = instance.MembersToInclude
C#
[System.Runtime.Serialization.DataMember()]
public System.Collections.Generic.List<string> MembersToInclude {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.Collections.Generic.List<string*>* get_MembersToInclude();
public: __property void set_MembersToInclude(
   System.Collections.Generic.List<string*>* value
);

Example

MembersToInclude.Add("FirstName")

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ShowBreadcrumb Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : ShowBreadcrumb Property

Glossary Item Box

Show breadcrumb at each stage of the comparision. The default is false. This is useful for debugging deep object graphs.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property ShowBreadcrumb As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Boolean

instance.ShowBreadcrumb = value

value = instance.ShowBreadcrumb
C#
[System.Runtime.Serialization.DataMember()]
public System.bool ShowBreadcrumb {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.bool get_ShowBreadcrumb();
public: __property void set_ShowBreadcrumb(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
SkipInvalidIndexers Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : SkipInvalidIndexers Property

Glossary Item Box

If true, invalid indexers will be skipped. The default is false.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property SkipInvalidIndexers As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Boolean

instance.SkipInvalidIndexers = value

value = instance.SkipInvalidIndexers
C#
[System.Runtime.Serialization.DataMember()]
public System.bool SkipInvalidIndexers {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.bool get_SkipInvalidIndexers();
public: __property void set_SkipInvalidIndexers(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
TreatStringEmptyAndNullTheSame Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : TreatStringEmptyAndNullTheSame Property

Glossary Item Box

If true, string.empty and null will be treated as equal for Strings and String Builder. The default is false.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property TreatStringEmptyAndNullTheSame As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Boolean

instance.TreatStringEmptyAndNullTheSame = value

value = instance.TreatStringEmptyAndNullTheSame
C#
[System.Runtime.Serialization.DataMember()]
public System.bool TreatStringEmptyAndNullTheSame {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.bool get_TreatStringEmptyAndNullTheSame();
public: __property void set_TreatStringEmptyAndNullTheSame(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
TypesToIgnore Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : TypesToIgnore Property

Glossary Item Box

A list of types to be ignored in the comparison. The default is to compare all types. A typical thing to not compare are GUIDs

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property TypesToIgnore As System.Collections.Generic.List(Of Type)
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Collections.Generic.List(Of Type)

instance.TypesToIgnore = value

value = instance.TypesToIgnore
C#
[System.Runtime.Serialization.DataMember()]
public System.Collections.Generic.List<Type> TypesToIgnore {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.Collections.Generic.List<Type*>* get_TypesToIgnore();
public: __property void set_TypesToIgnore(
   System.Collections.Generic.List<Type*>* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
TypesToInclude Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonConfig Class : TypesToInclude Property

Glossary Item Box

Only these types will be compared. The default is to compare all types.

Syntax

Visual Basic (Declaration)
<System.Runtime.Serialization.DataMemberAttribute()>
Public Property TypesToInclude As System.Collections.Generic.List(Of Type)
Visual Basic (Usage) Copy Code
Dim instance As ComparisonConfig
Dim value As System.Collections.Generic.List(Of Type)

instance.TypesToInclude = value

value = instance.TypesToInclude
C#
[System.Runtime.Serialization.DataMember()]
public System.Collections.Generic.List<Type> TypesToInclude {get; set;}
Managed Extensions for C++
[System.Runtime.Serialization.DataMember()]
public: __property System.Collections.Generic.List<Type*>* get_TypesToInclude();
public: __property void set_TypesToInclude(
   System.Collections.Generic.List<Type*>* value
);

Remarks

If you specify a type here no others will be compared unless it is in this list. You must specify ALL Types that you want to compare.

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonConfig Class
ComparisonConfig Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ComparisonResult Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : ComparisonResult Class

Glossary Item Box

Details about the comparison

Object Model

ComparisonResult Class

Syntax

Visual Basic (Declaration)
Public Class ComparisonResult
Visual Basic (Usage) Copy Code
Dim instance As ComparisonResult
C#
public class ComparisonResult
Managed Extensions for C++
public __gc class ComparisonResult

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.ComparisonResult

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonResult Members
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
ComparisonResult Class Members
See Also Properties Send Feedback
KellermanSoftware.CompareNetObjects Namespace : ComparisonResult Class

Glossary Item Box

The following tables list the members exposed by ComparisonResult.

Public Constructors

 | Name | Description
Public Constructor | ComparisonResult Constructor | Set the configuration for the comparison
Top

Public Properties

 | Name | Description
Public Property | AreEqual | Returns true if the objects are equal
Public Property | Config | Configuration
Public Property | Differences | The differences found during the compare
Public Property | DifferencesString | The differences found in a string suitable for a textbox
Public Property | ElapsedMilliseconds | The amount of time in milliseconds it took for the comparison
Public Property | ExceededDifferences | Returns true if the number of differences has reached the maximum
Top

See Also

Reference

ComparisonResult Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
ComparisonResult Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonResult Class : ComparisonResult Constructor

config

Glossary Item Box

Set the configuration for the comparison

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal config As ComparisonConfig _
)
Visual Basic (Usage) Copy Code
Dim config As ComparisonConfig

Dim instance As New ComparisonResult(config)
C#
public ComparisonResult(
   ComparisonConfig config
)
Managed Extensions for C++
public: ComparisonResult(
   ComparisonConfig* config
)

Parameters

config

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonResult Class
ComparisonResult Members


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
ComparisonResult Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : ComparisonResult Class

Glossary Item Box

For a list of all members of this type, see ComparisonResult members.

Public Properties

 | Name | Description
Public Property | AreEqual | Returns true if the objects are equal
Public Property | Config | Configuration
Public Property | Differences | The differences found during the compare
Public Property | DifferencesString | The differences found in a string suitable for a textbox
Public Property | ElapsedMilliseconds | The amount of time in milliseconds it took for the comparison
Public Property | ExceededDifferences | Returns true if the number of differences has reached the maximum
Top

See Also

Reference

ComparisonResult Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
AreEqual Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonResult Class : AreEqual Property

Glossary Item Box

Returns true if the objects are equal

Syntax

Visual Basic (Declaration)
Public ReadOnly Property AreEqual As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ComparisonResult
Dim value As System.Boolean

value = instance.AreEqual
C#
public System.bool AreEqual {get;}
Managed Extensions for C++
public: __property System.bool get_AreEqual();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonResult Class
ComparisonResult Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Config Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonResult Class : Config Property

Glossary Item Box

Configuration

Syntax

Visual Basic (Declaration)
Public ReadOnly Property Config As ComparisonConfig
Visual Basic (Usage) Copy Code
Dim instance As ComparisonResult
Dim value As ComparisonConfig

value = instance.Config
C#
public ComparisonConfig Config {get;}
Managed Extensions for C++
public: __property ComparisonConfig* get_Config();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonResult Class
ComparisonResult Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Differences Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonResult Class : Differences Property

Glossary Item Box

The differences found during the compare

Syntax

Visual Basic (Declaration)
Public Property Differences As System.Collections.Generic.List(Of Difference)
Visual Basic (Usage) Copy Code
Dim instance As ComparisonResult
Dim value As System.Collections.Generic.List(Of Difference)

instance.Differences = value

value = instance.Differences
C#
public System.Collections.Generic.List<Difference> Differences {get; set;}
Managed Extensions for C++
public: __property System.Collections.Generic.List<Difference*>* get_Differences();
public: __property void set_Differences(
   System.Collections.Generic.List<Difference*>* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonResult Class
ComparisonResult Members


%%PageItemTitle%%

[image]
Compare .NET Objects
DifferencesString Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonResult Class : DifferencesString Property

Glossary Item Box

The differences found in a string suitable for a textbox

Syntax

Visual Basic (Declaration)
Public Property DifferencesString As System.String
Visual Basic (Usage) Copy Code
Dim instance As ComparisonResult
Dim value As System.String

instance.DifferencesString = value

value = instance.DifferencesString
C#
public System.string DifferencesString {get; set;}
Managed Extensions for C++
public: __property System.string* get_DifferencesString();
public: __property void set_DifferencesString(
   System.string* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonResult Class
ComparisonResult Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ElapsedMilliseconds Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonResult Class : ElapsedMilliseconds Property

Glossary Item Box

The amount of time in milliseconds it took for the comparison

Syntax

Visual Basic (Declaration)
Public ReadOnly Property ElapsedMilliseconds As System.Long
Visual Basic (Usage) Copy Code
Dim instance As ComparisonResult
Dim value As System.Long

value = instance.ElapsedMilliseconds
C#
public System.long ElapsedMilliseconds {get;}
Managed Extensions for C++
public: __property System.long get_ElapsedMilliseconds();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonResult Class
ComparisonResult Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ExceededDifferences Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ComparisonResult Class : ExceededDifferences Property

Glossary Item Box

Returns true if the number of differences has reached the maximum

Syntax

Visual Basic (Declaration)
Public ReadOnly Property ExceededDifferences As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ComparisonResult
Dim value As System.Boolean

value = instance.ExceededDifferences
C#
public System.bool ExceededDifferences {get;}
Managed Extensions for C++
public: __property System.bool get_ExceededDifferences();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ComparisonResult Class
ComparisonResult Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Difference Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : Difference Class

Glossary Item Box

Detailed information about the difference

Object Model

Difference Class

Syntax

Visual Basic (Declaration)
Public Class Difference
Visual Basic (Usage) Copy Code
Dim instance As Difference
C#
public class Difference
Managed Extensions for C++
public __gc class Difference

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.Difference

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

Difference Members
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
Difference Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects Namespace : Difference Class

Glossary Item Box

The following tables list the members exposed by Difference.

Public Constructors

 | Name | Description
Public Constructor | Difference Constructor |
Top

Public Properties

 | Name | Description
Public Property | ActualName | Name of Actual Object
Public Property | ChildPropertyName | The child property name
Public Property | ExpectedName | Name of Expected Object
Public Property | MessagePrefix | Prefix to put on the beginning of the message
Public Property | Object1 | Object1 as a reference
Public Property | Object1TypeName | The type of the first object
Public Property | Object1Value | Object1 Value as a string
Public Property | Object2 | Object2 as a reference
Public Property | Object2TypeName | The type of the second object
Public Property | Object2Value | Object2 Value as a string
Public Property | ParentObject1 | A reference to the parent of object1
Public Property | ParentObject2 | A reference to the parent of object2
Public Property | ParentPropertyName | Returns the parent property name
Public Property | PropertyName | The breadcrumb of the property leading up to the value
Top

Public Methods

 | Name | Description
Public Method | GetShortItem | Item and property name only
Public Method | GetWhatIsCompared | The type and index of what is compared
Public Method | ToString | Nicely formatted string
Top

See Also

Reference

Difference Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
Difference Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > Difference Class : Difference Constructor

Glossary Item Box

Syntax

Visual Basic (Declaration)
Public Function New()
Visual Basic (Usage) Copy Code
Dim instance As New Difference()
C#
public Difference()
Managed Extensions for C++
public: Difference();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

Difference Class
Difference Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
Difference Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : Difference Class

Glossary Item Box

For a list of all members of this type, see Difference members.

Public Methods

 | Name | Description
Public Method | GetShortItem | Item and property name only
Public Method | GetWhatIsCompared | The type and index of what is compared
Public Method | ToString | Nicely formatted string
Top

See Also

Reference

Difference Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
GetShortItem Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > Difference Class : GetShortItem Method

Glossary Item Box

Item and property name only

Syntax

Visual Basic (Declaration)
Public Function GetShortItem() As System.String
Visual Basic (Usage) Copy Code
Dim instance As Difference
Dim value As System.String

value = instance.GetShortItem()
C#
public System.string GetShortItem()
Managed Extensions for C++
public: System.string* GetShortItem();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

Difference Class
Difference Members


%%PageItemTitle%%

[image]
Compare .NET Objects
GetWhatIsCompared Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > Difference Class : GetWhatIsCompared Method

Glossary Item Box

The type and index of what is compared

Syntax

Visual Basic (Declaration)
Public Function GetWhatIsCompared() As System.String
Visual Basic (Usage) Copy Code
Dim instance As Difference
Dim value As System.String

value = instance.GetWhatIsCompared()
C#
public System.string GetWhatIsCompared()
Managed Extensions for C++
public: System.string* GetWhatIsCompared();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

Difference Class
Difference Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ToString Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > Difference Class : ToString Method

Glossary Item Box

Nicely formatted string

Syntax

Visual Basic (Declaration)
Public Overrides Function ToString() As System.String
Visual Basic (Usage) Copy Code
Dim instance As Difference
Dim value As System.String

value = instance.ToString()
C#
public override System.string ToString()
Managed Extensions for C++
public: System.string* ToString(); override

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

Difference Class
Difference Members


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
Difference Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : Difference Class

Glossary Item Box

For a list of all members of this type, see Difference members.

Public Properties

 | Name | Description
Public Property | ActualName | Name of Actual Object
Public Property | ChildPropertyName | The child property name
Public Property | ExpectedName | Name of Expected Object
Public Property | MessagePrefix | Prefix to put on the beginning of the message
Public Property | Object1 | Object1 as a reference
Public Property | Object1TypeName | The type of the first object
Public Property | Object1Value | Object1 Value as a string
Public Property | Object2 | Object2 as a reference
Public Property | Object2TypeName | The type of the second object
Public Property | Object2Value | Object2 Value as a string
Public Property | ParentObject1 | A reference to the parent of object1
Public Property | ParentObject2 | A reference to the parent of object2
Public Property | ParentPropertyName | Returns the parent property name
Public Property | PropertyName | The breadcrumb of the property leading up to the value
Top

See Also

Reference

Difference Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
ActualName Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > Difference Class : ActualName Property

Glossary Item Box

Name of Actual Object

Syntax

Visual Basic (Declaration)
Public Property ActualName As System.String
Visual Basic (Usage) Copy Code
Dim instance As Difference
Dim value As System.String

instance.ActualName = value

value = instance.ActualName
C#
public System.string ActualName {get; set;}
Managed Extensions for C++
public: __property System.string* get_ActualName();
public: __property void set_ActualName(
   System.string* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

Difference Class
Difference Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ChildPropertyName Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > Difference Class : ChildPropertyName Property

Glossary Item Box

The child property name

Syntax

Visual Basic (Declaration)
Public Property ChildPropertyName As System.String
Visual Basic (Usage) Copy Code
Dim instance As Difference
Dim value As System.String

instance.ChildPropertyName = value

value = instance.ChildPropertyName
C#
public System.string ChildPropertyName {get; set;}
Managed Extensions for C++
public: __property System.string* get_ChildPropertyName();
public: __property void set_ChildPropertyName(
   System.string* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

Difference Class
Difference Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ExpectedName Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > Difference Class : ExpectedName Property

Glossary Item Box

Name of Expected Object

Syntax

Visual Basic (Declaration)
Public Property ExpectedName As System.String
Visual Basic (Usage) Copy Code
Dim instance As Difference
Dim value As System.String

instance.ExpectedName = value

value = instance.ExpectedName
C#
public System.string ExpectedName {get; set;}
Managed Extensions for C++
public: __property System.string* get_ExpectedName();
public: __property void set_ExpectedName(
   System.string* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

Difference Class
Difference Members


%%PageItemTitle%%

[image]
Compare .NET Objects
MessagePrefix Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > Difference Class : MessagePrefix Property

Glossary Item Box

Prefix to put on the beginning of the message

Syntax

Visual Basic (Declaration)
Public Property MessagePrefix As System.String
Visual Basic (Usage) Copy Code
Dim instance As Difference
Dim value As System.String

instance.MessagePrefix = value

value = instance.MessagePrefix
C#
public System.string MessagePrefix {get; set;}
Managed Extensions for C++
public: __property System.string* get_MessagePrefix();
public: __property void set_MessagePrefix(
   System.string* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

Difference Class
Difference Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Object1 Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > Difference Class : Object1 Property

Glossary Item Box

Object1 as a reference

Syntax

Visual Basic (Declaration)
Public Property Object1 As System.Object
Visual Basic (Usage) Copy Code
Dim instance As Difference
Dim value As System.Object

instance.Object1 = value

value = instance.Object1
C#
public System.object Object1 {get; set;}
Managed Extensions for C++
public: __property System.Object* get_Object1();
public: __property void set_Object1(
   System.Object* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

Difference Class
Difference Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Object1TypeName Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > Difference Class : Object1TypeName Property

Glossary Item Box

The type of the first object

Syntax

Visual Basic (Declaration)
Public Property Object1TypeName As System.String
Visual Basic (Usage) Copy Code
Dim instance As Difference
Dim value As System.String

instance.Object1TypeName = value

value = instance.Object1TypeName
C#
public System.string Object1TypeName {get; set;}
Managed Extensions for C++
public: __property System.string* get_Object1TypeName();
public: __property void set_Object1TypeName(
   System.string* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

Difference Class
Difference Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Object1Value Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > Difference Class : Object1Value Property

Glossary Item Box

Object1 Value as a string

Syntax

Visual Basic (Declaration)
Public Property Object1Value As System.String
Visual Basic (Usage) Copy Code
Dim instance As Difference
Dim value As System.String

instance.Object1Value = value

value = instance.Object1Value
C#
public System.string Object1Value {get; set;}
Managed Extensions for C++
public: __property System.string* get_Object1Value();
public: __property void set_Object1Value(
   System.string* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

Difference Class
Difference Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Object2 Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > Difference Class : Object2 Property

Glossary Item Box

Object2 as a reference

Syntax

Visual Basic (Declaration)
Public Property Object2 As System.Object
Visual Basic (Usage) Copy Code
Dim instance As Difference
Dim value As System.Object

instance.Object2 = value

value = instance.Object2
C#
public System.object Object2 {get; set;}
Managed Extensions for C++
public: __property System.Object* get_Object2();
public: __property void set_Object2(
   System.Object* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

Difference Class
Difference Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Object2TypeName Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > Difference Class : Object2TypeName Property

Glossary Item Box

The type of the second object

Syntax

Visual Basic (Declaration)
Public Property Object2TypeName As System.String
Visual Basic (Usage) Copy Code
Dim instance As Difference
Dim value As System.String

instance.Object2TypeName = value

value = instance.Object2TypeName
C#
public System.string Object2TypeName {get; set;}
Managed Extensions for C++
public: __property System.string* get_Object2TypeName();
public: __property void set_Object2TypeName(
   System.string* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

Difference Class
Difference Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Object2Value Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > Difference Class : Object2Value Property

Glossary Item Box

Object2 Value as a string

Syntax

Visual Basic (Declaration)
Public Property Object2Value As System.String
Visual Basic (Usage) Copy Code
Dim instance As Difference
Dim value As System.String

instance.Object2Value = value

value = instance.Object2Value
C#
public System.string Object2Value {get; set;}
Managed Extensions for C++
public: __property System.string* get_Object2Value();
public: __property void set_Object2Value(
   System.string* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

Difference Class
Difference Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ParentObject1 Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > Difference Class : ParentObject1 Property

Glossary Item Box

A reference to the parent of object1

Syntax

Visual Basic (Declaration)
Public Property ParentObject1 As System.Object
Visual Basic (Usage) Copy Code
Dim instance As Difference
Dim value As System.Object

instance.ParentObject1 = value

value = instance.ParentObject1
C#
public System.object ParentObject1 {get; set;}
Managed Extensions for C++
public: __property System.Object* get_ParentObject1();
public: __property void set_ParentObject1(
   System.Object* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

Difference Class
Difference Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ParentObject2 Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > Difference Class : ParentObject2 Property

Glossary Item Box

A reference to the parent of object2

Syntax

Visual Basic (Declaration)
Public Property ParentObject2 As System.Object
Visual Basic (Usage) Copy Code
Dim instance As Difference
Dim value As System.Object

instance.ParentObject2 = value

value = instance.ParentObject2
C#
public System.object ParentObject2 {get; set;}
Managed Extensions for C++
public: __property System.Object* get_ParentObject2();
public: __property void set_ParentObject2(
   System.Object* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

Difference Class
Difference Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ParentPropertyName Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > Difference Class : ParentPropertyName Property

Glossary Item Box

Returns the parent property name

Syntax

Visual Basic (Declaration)
Public ReadOnly Property ParentPropertyName As System.String
Visual Basic (Usage) Copy Code
Dim instance As Difference
Dim value As System.String

value = instance.ParentPropertyName
C#
public System.string ParentPropertyName {get;}
Managed Extensions for C++
public: __property System.string* get_ParentPropertyName();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

Difference Class
Difference Members


%%PageItemTitle%%

[image]
Compare .NET Objects
PropertyName Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > Difference Class : PropertyName Property

Glossary Item Box

The breadcrumb of the property leading up to the value

Syntax

Visual Basic (Declaration)
Public Property PropertyName As System.String
Visual Basic (Usage) Copy Code
Dim instance As Difference
Dim value As System.String

instance.PropertyName = value

value = instance.PropertyName
C#
public System.string PropertyName {get; set;}
Managed Extensions for C++
public: __property System.string* get_PropertyName();
public: __property void set_PropertyName(
   System.string* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

Difference Class
Difference Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ExcludeLogic Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : ExcludeLogic Class

Glossary Item Box

Exclude types depending upon the configuration

Object Model

ExcludeLogic Class

Syntax

Visual Basic (Declaration)
Public MustInherit NotInheritable Class ExcludeLogic
Visual Basic (Usage) Copy Code
Dim instance As ExcludeLogic
C#
public static class ExcludeLogic
Managed Extensions for C++
public __gc abstract __sealed class ExcludeLogic

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.ExcludeLogic

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ExcludeLogic Members
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
ExcludeLogic Class Members
See Also Methods Send Feedback
KellermanSoftware.CompareNetObjects Namespace : ExcludeLogic Class

Glossary Item Box

The following tables list the members exposed by ExcludeLogic.

Public Methods

 | Name | Description
static (Shared in Visual Basic) | ExcludedByWildcard | Returns true if the property or field should be exluded by wilcard
static (Shared in Visual Basic) | IgnoredByAttribute | Check if any type has attributes that should be bypassed
static (Shared in Visual Basic) | ShouldExcludeClass | Check if the class should be exluded by Attribute
static (Shared in Visual Basic) | ShouldExcludeMember | Returns true if the property or field should be excluded
static (Shared in Visual Basic) | ShouldExcludeType | Check if the class type should be excluded based on the configuration
Top

See Also

Reference

ExcludeLogic Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
ExcludeLogic Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : ExcludeLogic Class

Glossary Item Box

For a list of all members of this type, see ExcludeLogic members.

Public Methods

 | Name | Description
static (Shared in Visual Basic) | ExcludedByWildcard | Returns true if the property or field should be exluded by wilcard
static (Shared in Visual Basic) | IgnoredByAttribute | Check if any type has attributes that should be bypassed
static (Shared in Visual Basic) | ShouldExcludeClass | Check if the class should be exluded by Attribute
static (Shared in Visual Basic) | ShouldExcludeMember | Returns true if the property or field should be excluded
static (Shared in Visual Basic) | ShouldExcludeType | Check if the class type should be excluded based on the configuration
Top

See Also

Reference

ExcludeLogic Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
ExcludedByWildcard Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ExcludeLogic Class : ExcludedByWildcard Method

config
info

Glossary Item Box

Returns true if the property or field should be exluded by wilcard

Syntax

Visual Basic (Declaration)
Public Shared Function ExcludedByWildcard( _
   ByVal config As ComparisonConfig, _
   ByVal info As System.Reflection.MemberInfo _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim config As ComparisonConfig
Dim info As System.Reflection.MemberInfo
Dim value As System.Boolean

value = ExcludeLogic.ExcludedByWildcard(config, info)
C#
public static System.bool ExcludedByWildcard(
   ComparisonConfig config,
   System.Reflection.MemberInfo info
)
Managed Extensions for C++
public: static System.bool ExcludedByWildcard(
   ComparisonConfig* config,
   System.Reflection.MemberInfo* info
)

Parameters

config
info

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ExcludeLogic Class
ExcludeLogic Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IgnoredByAttribute Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ExcludeLogic Class : IgnoredByAttribute Method

config
info

Glossary Item Box

Check if any type has attributes that should be bypassed

Syntax

Visual Basic (Declaration)
Public Shared Function IgnoredByAttribute( _
   ByVal config As ComparisonConfig, _
   ByVal info As System.Reflection.MemberInfo _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim config As ComparisonConfig
Dim info As System.Reflection.MemberInfo
Dim value As System.Boolean

value = ExcludeLogic.IgnoredByAttribute(config, info)
C#
public static System.bool IgnoredByAttribute(
   ComparisonConfig config,
   System.Reflection.MemberInfo info
)
Managed Extensions for C++
public: static System.bool IgnoredByAttribute(
   ComparisonConfig* config,
   System.Reflection.MemberInfo* info
)

Parameters

config
info

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ExcludeLogic Class
ExcludeLogic Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ShouldExcludeClass Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ExcludeLogic Class : ShouldExcludeClass Method

config
t1
t2

Glossary Item Box

Check if the class should be exluded by Attribute

Syntax

Visual Basic (Declaration)
Public Shared Function ShouldExcludeClass( _
   ByVal config As ComparisonConfig, _
   ByVal t1 As System.Type, _
   ByVal t2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim config As ComparisonConfig
Dim t1 As System.Type
Dim t2 As System.Type
Dim value As System.Boolean

value = ExcludeLogic.ShouldExcludeClass(config, t1, t2)
C#
public static System.bool ShouldExcludeClass(
   ComparisonConfig config,
   System.Type t1,
   System.Type t2
)
Managed Extensions for C++
public: static System.bool ShouldExcludeClass(
   ComparisonConfig* config,
   System.Type* t1,
   System.Type* t2
)

Parameters

config
t1
t2

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ExcludeLogic Class
ExcludeLogic Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ShouldExcludeMember Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ExcludeLogic Class : ShouldExcludeMember Method

config
info

Glossary Item Box

Returns true if the property or field should be excluded

Syntax

Visual Basic (Declaration)
Public Shared Function ShouldExcludeMember( _
   ByVal config As ComparisonConfig, _
   ByVal info As System.Reflection.MemberInfo _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim config As ComparisonConfig
Dim info As System.Reflection.MemberInfo
Dim value As System.Boolean

value = ExcludeLogic.ShouldExcludeMember(config, info)
C#
public static System.bool ShouldExcludeMember(
   ComparisonConfig config,
   System.Reflection.MemberInfo info
)
Managed Extensions for C++
public: static System.bool ShouldExcludeMember(
   ComparisonConfig* config,
   System.Reflection.MemberInfo* info
)

Parameters

config
info

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ExcludeLogic Class
ExcludeLogic Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ShouldExcludeType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ExcludeLogic Class : ShouldExcludeType Method

config
t1
t2

Glossary Item Box

Check if the class type should be excluded based on the configuration

Syntax

Visual Basic (Declaration)
Public Shared Function ShouldExcludeType( _
   ByVal config As ComparisonConfig, _
   ByVal t1 As System.Type, _
   ByVal t2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim config As ComparisonConfig
Dim t1 As System.Type
Dim t2 As System.Type
Dim value As System.Boolean

value = ExcludeLogic.ShouldExcludeType(config, t1, t2)
C#
public static System.bool ShouldExcludeType(
   ComparisonConfig config,
   System.Type t1,
   System.Type t2
)
Managed Extensions for C++
public: static System.bool ShouldExcludeType(
   ComparisonConfig* config,
   System.Type* t1,
   System.Type* t2
)

Parameters

config
t1
t2

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ExcludeLogic Class
ExcludeLogic Members


%%PageItemTitle%%

[image]
Compare .NET Objects
FileHelper Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : FileHelper Class

Glossary Item Box

Helper methods for files and directories

Object Model

FileHelper Class

Syntax

Visual Basic (Declaration)
Public MustInherit NotInheritable Class FileHelper
Visual Basic (Usage) Copy Code
Dim instance As FileHelper
C#
public static class FileHelper
Managed Extensions for C++
public __gc abstract __sealed class FileHelper

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.FileHelper

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

FileHelper Members
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
FileHelper Class Members
See Also Methods Send Feedback
KellermanSoftware.CompareNetObjects Namespace : FileHelper Class

Glossary Item Box

The following tables list the members exposed by FileHelper.

Public Methods

 | Name | Description
static (Shared in Visual Basic) | GetCurrentDirectory | Get the current directory of the executing assembly
static (Shared in Visual Basic) | PathSlash | Ensure the passed string ends with a directory separator character unless the string is blank.
Top

See Also

Reference

FileHelper Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
FileHelper Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : FileHelper Class

Glossary Item Box

For a list of all members of this type, see FileHelper members.

Public Methods

 | Name | Description
static (Shared in Visual Basic) | GetCurrentDirectory | Get the current directory of the executing assembly
static (Shared in Visual Basic) | PathSlash | Ensure the passed string ends with a directory separator character unless the string is blank.
Top

See Also

Reference

FileHelper Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
GetCurrentDirectory Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > FileHelper Class : GetCurrentDirectory Method

Glossary Item Box

Get the current directory of the executing assembly

Syntax

Visual Basic (Declaration)
Public Shared Function GetCurrentDirectory() As System.String
Visual Basic (Usage) Copy Code
Dim value As System.String

value = FileHelper.GetCurrentDirectory()
C#
public static System.string GetCurrentDirectory()
Managed Extensions for C++
public: static System.string* GetCurrentDirectory();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

FileHelper Class
FileHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
PathSlash Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > FileHelper Class : PathSlash Method

path
The string to append the backslash to.

Glossary Item Box

Ensure the passed string ends with a directory separator character unless the string is blank.

Syntax

Visual Basic (Declaration)
Public Shared Function PathSlash( _
   ByVal path As System.String _
) As System.String
Visual Basic (Usage) Copy Code
Dim path As System.String
Dim value As System.String

value = FileHelper.PathSlash(path)
C#
public static System.string PathSlash(
   System.string path
)
Managed Extensions for C++
public: static System.string* PathSlash(
   System.string* path
)

Parameters

path
The string to append the backslash to.

Return Value

String with a "/" on the end

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

FileHelper Class
FileHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
LogicEqualityComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : LogicEqualityComparer Class

Glossary Item Box

Implements methods to support the comparison of objects for equality, in a customizable fashion.

Object Model

LogicEqualityComparer Class

Syntax

Visual Basic (Declaration)
Public Class LogicEqualityComparer
   Inherits KellermanSoftware.CompareNetObjects.LogicEqualityComparer(Of Object)
Visual Basic (Usage) Copy Code
Dim instance As LogicEqualityComparer
C#
public class LogicEqualityComparer : KellermanSoftware.CompareNetObjects.LogicEqualityComparer<object>
Managed Extensions for C++
public __gc class LogicEqualityComparer : public KellermanSoftware.CompareNetObjects.LogicEqualityComparer<Object>

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.LogicEqualityComparer<T>
KellermanSoftware.CompareNetObjects.LogicEqualityComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

LogicEqualityComparer Members
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
LogicEqualityComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects Namespace : LogicEqualityComparer Class

Glossary Item Box

The following tables list the members exposed by LogicEqualityComparer.

Public Constructors

 | Name | Description
Public Constructor | LogicEqualityComparer Constructor |
Top

Public Properties

 | Name | Description
Public Property | CompareLogic | Defines the configuration and logic by which Equals comparisons will be performed. (Inherited from KellermanSoftware.CompareNetObjects.LogicEqualityComparer<object>)
Public Property | UseObjectHashes | Gets or sets a value indicating whether the base object hashes should be used. (Inherited from KellermanSoftware.CompareNetObjects.LogicEqualityComparer<object>)
Top

Public Methods

 | Name | Description
Public Method | Equals | Overloaded. (Inherited from KellermanSoftware.CompareNetObjects.LogicEqualityComparer<object>)
Public Method | GetHashCode | Overloaded. (Inherited from KellermanSoftware.CompareNetObjects.LogicEqualityComparer<object>)
Top

See Also

Reference

LogicEqualityComparer Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
LogicEqualityComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > LogicEqualityComparer Class : LogicEqualityComparer Constructor

Glossary Item Box

Syntax

Visual Basic (Declaration)
Public Function New()
Visual Basic (Usage) Copy Code
Dim instance As New LogicEqualityComparer()
C#
public LogicEqualityComparer()
Managed Extensions for C++
public: LogicEqualityComparer();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

LogicEqualityComparer Class
LogicEqualityComparer Members


%%PageItemTitle%%

T
The comparison object type.
[image]
Compare .NET Objects
LogicEqualityComparer<T> Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : LogicEqualityComparer<T> Class

Glossary Item Box

Implements methods to support the comparison of objects for equality, in a customizable fashion.

Object Model

LogicEqualityComparer<T> Class

Syntax

Visual Basic (Declaration)
Public Class LogicEqualityComparer(Of T)
Visual Basic (Usage) Copy Code
Dim instance As LogicEqualityComparer(Of T)
C#
public class LogicEqualityComparer<T>
Managed Extensions for C++
public __gc class LogicEqualityComparer<T>

Type Parameters

T
The comparison object type.

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.LogicEqualityComparer<T>
KellermanSoftware.CompareNetObjects.LogicEqualityComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

LogicEqualityComparer<T> Members
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
LogicEqualityComparer<T> Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects Namespace : LogicEqualityComparer<T> Class

Glossary Item Box

The following tables list the members exposed by LogicEqualityComparer<T>.

Public Constructors

 | Name | Description
Public Constructor | LogicEqualityComparer<T> Constructor |
Top

Public Properties

 | Name | Description
Public Property | CompareLogic | Defines the configuration and logic by which Equals comparisons will be performed.
Public Property | UseObjectHashes | Gets or sets a value indicating whether the base object hashes should be used.
Top

Public Methods

 | Name | Description
Public Method | Equals | Overloaded. Compare two objects of the same type to each other.
Public Method | GetHashCode | Overloaded. Retrieves the hash of the specified object.
Top

See Also

Reference

LogicEqualityComparer<T> Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
LogicEqualityComparer<T> Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > LogicEqualityComparer<T> Class : LogicEqualityComparer<T> Constructor

Glossary Item Box

Syntax

Visual Basic (Declaration)
Public Function New()
Visual Basic (Usage) Copy Code
Dim instance As New LogicEqualityComparer(Of T)()
C#
public LogicEqualityComparer<T>()
Managed Extensions for C++
public: LogicEqualityComparer<T>();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

LogicEqualityComparer<T> Class
LogicEqualityComparer<T> Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
LogicEqualityComparer<T> Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : LogicEqualityComparer<T> Class

Glossary Item Box

For a list of all members of this type, see LogicEqualityComparer<T> members.

Public Methods

 | Name | Description
Public Method | Equals | Overloaded. Compare two objects of the same type to each other.
Public Method | GetHashCode | Overloaded. Retrieves the hash of the specified object.
Top

See Also

Reference

LogicEqualityComparer<T> Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
Equals Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > LogicEqualityComparer<T> Class : Equals Method

Glossary Item Box

Compare two objects of the same type to each other.

Overload List

Overload | Description
Equals(T,T) | Compare two objects of the same type to each other.

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

LogicEqualityComparer<T> Class
LogicEqualityComparer<T> Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Equals(T,T) Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > LogicEqualityComparer<T> Class > Equals Method : Equals(T,T) Method

x
y

Glossary Item Box

Compare two objects of the same type to each other.

Syntax

Visual Basic (Declaration)
Public Overloads Function Equals( _
   ByVal x As T, _
   ByVal y As T _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As LogicEqualityComparer(Of T)
Dim x As T
Dim y As T
Dim value As System.Boolean

value = instance.Equals(x, y)
C#
public System.bool Equals(
   T x,
   T y
)
Managed Extensions for C++
public: System.bool Equals(
   T* x,
   T* y
)

Parameters

x
y

Return Value

True if the objects are considered equivalent, according to the current CompareLogic.

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

LogicEqualityComparer<T> Class
LogicEqualityComparer<T> Members
Overload List


%%PageItemTitle%%

[image]
Compare .NET Objects
GetHashCode Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > LogicEqualityComparer<T> Class : GetHashCode Method

Glossary Item Box

Retrieves the hash of the specified object.

Overload List

Overload | Description
GetHashCode(T) | Retrieves the hash of the specified object.

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

LogicEqualityComparer<T> Class
LogicEqualityComparer<T> Members


%%PageItemTitle%%

[image]
Compare .NET Objects
GetHashCode(T) Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > LogicEqualityComparer<T> Class > GetHashCode Method : GetHashCode(T) Method

obj
The object to retrieve a hash for.

Glossary Item Box

Retrieves the hash of the specified object.

Syntax

Visual Basic (Declaration)
Public Overloads Function GetHashCode( _
   ByVal obj As T _
) As System.Integer
Visual Basic (Usage) Copy Code
Dim instance As LogicEqualityComparer(Of T)
Dim obj As T
Dim value As System.Integer

value = instance.GetHashCode(obj)
C#
public System.int GetHashCode(
   T obj
)
Managed Extensions for C++
public: System.int GetHashCode(
   T* obj
)

Parameters

obj
The object to retrieve a hash for.

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

LogicEqualityComparer<T> Class
LogicEqualityComparer<T> Members
Overload List


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
LogicEqualityComparer<T> Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : LogicEqualityComparer<T> Class

Glossary Item Box

For a list of all members of this type, see LogicEqualityComparer<T> members.

Public Properties

 | Name | Description
Public Property | CompareLogic | Defines the configuration and logic by which Equals comparisons will be performed.
Public Property | UseObjectHashes | Gets or sets a value indicating whether the base object hashes should be used.
Top

See Also

Reference

LogicEqualityComparer<T> Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareLogic Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > LogicEqualityComparer<T> Class : CompareLogic Property

Glossary Item Box

Defines the configuration and logic by which Equals comparisons will be performed.

Syntax

Visual Basic (Declaration)
Public ReadOnly Property CompareLogic As CompareLogic
Visual Basic (Usage) Copy Code
Dim instance As LogicEqualityComparer(Of T)
Dim value As CompareLogic

value = instance.CompareLogic
C#
public CompareLogic CompareLogic {get;}
Managed Extensions for C++
public: __property CompareLogic* get_CompareLogic();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

LogicEqualityComparer<T> Class
LogicEqualityComparer<T> Members


%%PageItemTitle%%

[image]
Compare .NET Objects
UseObjectHashes Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > LogicEqualityComparer<T> Class : UseObjectHashes Property

Glossary Item Box

Gets or sets a value indicating whether the base object hashes should be used.

Syntax

Visual Basic (Declaration)
Public Property UseObjectHashes As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As LogicEqualityComparer(Of T)
Dim value As System.Boolean

instance.UseObjectHashes = value

value = instance.UseObjectHashes
C#
public System.bool UseObjectHashes {get; set;}
Managed Extensions for C++
public: __property System.bool get_UseObjectHashes();
public: __property void set_UseObjectHashes(
   System.bool value
);

Remarks

False by default to allow CompareLogic to evaluate equivalence of otherwise instance-sensitive hashing objects. NOTE: Any object which doesn't override GetHashCode will behave this way, so this property should generally be left false.

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

LogicEqualityComparer<T> Class
LogicEqualityComparer<T> Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ProcessHelper Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : ProcessHelper Class

Glossary Item Box

Helper methods for processes

Object Model

ProcessHelper Class

Syntax

Visual Basic (Declaration)
Public MustInherit NotInheritable Class ProcessHelper
Visual Basic (Usage) Copy Code
Dim instance As ProcessHelper
C#
public static class ProcessHelper
Managed Extensions for C++
public __gc abstract __sealed class ProcessHelper

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.ProcessHelper

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ProcessHelper Members
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
ProcessHelper Class Members
See Also Methods Send Feedback
KellermanSoftware.CompareNetObjects Namespace : ProcessHelper Class

Glossary Item Box

The following tables list the members exposed by ProcessHelper.

Public Methods

 | Name | Description
static (Shared in Visual Basic) | Shell | Execute an external program.
Top

See Also

Reference

ProcessHelper Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
ProcessHelper Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : ProcessHelper Class

Glossary Item Box

For a list of all members of this type, see ProcessHelper members.

Public Methods

 | Name | Description
static (Shared in Visual Basic) | Shell | Execute an external program.
Top

See Also

Reference

ProcessHelper Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
Shell Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ProcessHelper Class : Shell Method

executablePath
Path and filename of the executable.
arguments
Arguments to pass to the executable.
windowStyle
Window style for the process (hidden, minimized, maximized, etc).
waitUntilFinished
Wait for the process to finish.

Glossary Item Box

Execute an external program.

Syntax

Visual Basic (Declaration)
Public Shared Function Shell( _
   ByVal executablePath As System.String, _
   ByVal arguments As System.String, _
   ByVal windowStyle As System.Diagnostics.ProcessWindowStyle, _
   ByVal waitUntilFinished As System.Boolean _
) As System.Integer
Visual Basic (Usage) Copy Code
Dim executablePath As System.String
Dim arguments As System.String
Dim windowStyle As System.Diagnostics.ProcessWindowStyle
Dim waitUntilFinished As System.Boolean
Dim value As System.Integer

value = ProcessHelper.Shell(executablePath, arguments, windowStyle, waitUntilFinished)
C#
public static System.int Shell(
   System.string executablePath,
   System.string arguments,
   System.Diagnostics.ProcessWindowStyle windowStyle,
   System.bool waitUntilFinished
)
Managed Extensions for C++
public: static System.int Shell(
   System.string* executablePath,
   System.string* arguments,
   System.Diagnostics.ProcessWindowStyle windowStyle,
   System.bool waitUntilFinished
)

Parameters

executablePath
Path and filename of the executable.
arguments
Arguments to pass to the executable.
windowStyle
Window style for the process (hidden, minimized, maximized, etc).
waitUntilFinished
Wait for the process to finish.

Return Value

Exit Code

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ProcessHelper Class
ProcessHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
PropertyEntity Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : PropertyEntity Class

Glossary Item Box

Generic class for holding a Property Info, or Dynamic Info

Object Model

PropertyEntity Class

Syntax

Visual Basic (Declaration)
Public Class PropertyEntity
Visual Basic (Usage) Copy Code
Dim instance As PropertyEntity
C#
public class PropertyEntity
Managed Extensions for C++
public __gc class PropertyEntity

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.PropertyEntity

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

PropertyEntity Members
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
PropertyEntity Class Members
See Also Properties Send Feedback
KellermanSoftware.CompareNetObjects Namespace : PropertyEntity Class

Glossary Item Box

The following tables list the members exposed by PropertyEntity.

Public Constructors

 | Name | Description
Public Constructor | PropertyEntity Constructor | Constructor
Top

Public Properties

 | Name | Description
Public Property | CanRead | If the property can be read from
Public Property | CanWrite | If the property can be written to
Public Property | DeclaringType | The type of the parent
Public Property | Indexers | Indexers for the property
Public Property | IsDynamic | If true, this is a dynamic property
Public Property | Name | Name of the property
Public Property | PropertyInfo | Reference to the property info
Public Property | PropertyType | The type of the property
Public Property | ReflectedType | Let me reflect on this day
Public Property | Value | Value of the property
Top

See Also

Reference

PropertyEntity Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
PropertyEntity Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > PropertyEntity Class : PropertyEntity Constructor

Glossary Item Box

Constructor

Syntax

Visual Basic (Declaration)
Public Function New()
Visual Basic (Usage) Copy Code
Dim instance As New PropertyEntity()
C#
public PropertyEntity()
Managed Extensions for C++
public: PropertyEntity();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

PropertyEntity Class
PropertyEntity Members


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
PropertyEntity Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : PropertyEntity Class

Glossary Item Box

For a list of all members of this type, see PropertyEntity members.

Public Properties

 | Name | Description
Public Property | CanRead | If the property can be read from
Public Property | CanWrite | If the property can be written to
Public Property | DeclaringType | The type of the parent
Public Property | Indexers | Indexers for the property
Public Property | IsDynamic | If true, this is a dynamic property
Public Property | Name | Name of the property
Public Property | PropertyInfo | Reference to the property info
Public Property | PropertyType | The type of the property
Public Property | ReflectedType | Let me reflect on this day
Public Property | Value | Value of the property
Top

See Also

Reference

PropertyEntity Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CanRead Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > PropertyEntity Class : CanRead Property

Glossary Item Box

If the property can be read from

Syntax

Visual Basic (Declaration)
Public Property CanRead As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As PropertyEntity
Dim value As System.Boolean

instance.CanRead = value

value = instance.CanRead
C#
public System.bool CanRead {get; set;}
Managed Extensions for C++
public: __property System.bool get_CanRead();
public: __property void set_CanRead(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

PropertyEntity Class
PropertyEntity Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CanWrite Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > PropertyEntity Class : CanWrite Property

Glossary Item Box

If the property can be written to

Syntax

Visual Basic (Declaration)
Public Property CanWrite As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As PropertyEntity
Dim value As System.Boolean

instance.CanWrite = value

value = instance.CanWrite
C#
public System.bool CanWrite {get; set;}
Managed Extensions for C++
public: __property System.bool get_CanWrite();
public: __property void set_CanWrite(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

PropertyEntity Class
PropertyEntity Members


%%PageItemTitle%%

[image]
Compare .NET Objects
DeclaringType Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > PropertyEntity Class : DeclaringType Property

Glossary Item Box

The type of the parent

Syntax

Visual Basic (Declaration)
Public Property DeclaringType As System.Type
Visual Basic (Usage) Copy Code
Dim instance As PropertyEntity
Dim value As System.Type

instance.DeclaringType = value

value = instance.DeclaringType
C#
public System.Type DeclaringType {get; set;}
Managed Extensions for C++
public: __property System.Type* get_DeclaringType();
public: __property void set_DeclaringType(
   System.Type* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

PropertyEntity Class
PropertyEntity Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Indexers Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > PropertyEntity Class : Indexers Property

Glossary Item Box

Indexers for the property

Syntax

Visual Basic (Declaration)
Public Property Indexers As System.Collections.Generic.List(Of ParameterInfo)
Visual Basic (Usage) Copy Code
Dim instance As PropertyEntity
Dim value As System.Collections.Generic.List(Of ParameterInfo)

instance.Indexers = value

value = instance.Indexers
C#
public System.Collections.Generic.List<ParameterInfo> Indexers {get; set;}
Managed Extensions for C++
public: __property System.Collections.Generic.List<ParameterInfo*>* get_Indexers();
public: __property void set_Indexers(
   System.Collections.Generic.List<ParameterInfo*>* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

PropertyEntity Class
PropertyEntity Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsDynamic Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > PropertyEntity Class : IsDynamic Property

Glossary Item Box

If true, this is a dynamic property

Syntax

Visual Basic (Declaration)
Public Property IsDynamic As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As PropertyEntity
Dim value As System.Boolean

instance.IsDynamic = value

value = instance.IsDynamic
C#
public System.bool IsDynamic {get; set;}
Managed Extensions for C++
public: __property System.bool get_IsDynamic();
public: __property void set_IsDynamic(
   System.bool value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

PropertyEntity Class
PropertyEntity Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Name Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > PropertyEntity Class : Name Property

Glossary Item Box

Name of the property

Syntax

Visual Basic (Declaration)
Public Property Name As System.String
Visual Basic (Usage) Copy Code
Dim instance As PropertyEntity
Dim value As System.String

instance.Name = value

value = instance.Name
C#
public System.string Name {get; set;}
Managed Extensions for C++
public: __property System.string* get_Name();
public: __property void set_Name(
   System.string* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

PropertyEntity Class
PropertyEntity Members


%%PageItemTitle%%

[image]
Compare .NET Objects
PropertyInfo Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > PropertyEntity Class : PropertyInfo Property

Glossary Item Box

Reference to the property info

Syntax

Visual Basic (Declaration)
Public Property PropertyInfo As System.Reflection.PropertyInfo
Visual Basic (Usage) Copy Code
Dim instance As PropertyEntity
Dim value As System.Reflection.PropertyInfo

instance.PropertyInfo = value

value = instance.PropertyInfo
C#
public System.Reflection.PropertyInfo PropertyInfo {get; set;}
Managed Extensions for C++
public: __property System.Reflection.PropertyInfo* get_PropertyInfo();
public: __property void set_PropertyInfo(
   System.Reflection.PropertyInfo* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

PropertyEntity Class
PropertyEntity Members


%%PageItemTitle%%

[image]
Compare .NET Objects
PropertyType Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > PropertyEntity Class : PropertyType Property

Glossary Item Box

The type of the property

Syntax

Visual Basic (Declaration)
Public Property PropertyType As System.Type
Visual Basic (Usage) Copy Code
Dim instance As PropertyEntity
Dim value As System.Type

instance.PropertyType = value

value = instance.PropertyType
C#
public System.Type PropertyType {get; set;}
Managed Extensions for C++
public: __property System.Type* get_PropertyType();
public: __property void set_PropertyType(
   System.Type* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

PropertyEntity Class
PropertyEntity Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ReflectedType Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > PropertyEntity Class : ReflectedType Property

Glossary Item Box

Let me reflect on this day

Syntax

Visual Basic (Declaration)
Public Property ReflectedType As System.Type
Visual Basic (Usage) Copy Code
Dim instance As PropertyEntity
Dim value As System.Type

instance.ReflectedType = value

value = instance.ReflectedType
C#
public System.Type ReflectedType {get; set;}
Managed Extensions for C++
public: __property System.Type* get_ReflectedType();
public: __property void set_ReflectedType(
   System.Type* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

PropertyEntity Class
PropertyEntity Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Value Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > PropertyEntity Class : Value Property

Glossary Item Box

Value of the property

Syntax

Visual Basic (Declaration)
Public Property Value As System.Object
Visual Basic (Usage) Copy Code
Dim instance As PropertyEntity
Dim value As System.Object

instance.Value = value

value = instance.Value
C#
public System.object Value {get; set;}
Managed Extensions for C++
public: __property System.Object* get_Value();
public: __property void set_Value(
   System.Object* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

PropertyEntity Class
PropertyEntity Members


%%PageItemTitle%%

[image]
Compare .NET Objects
RootComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : RootComparer Class

Glossary Item Box

The base comparer which contains all the type comparers

Object Model

RootComparer Class

Syntax

Visual Basic (Declaration)
Public Class RootComparer
   Inherits KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
Visual Basic (Usage) Copy Code
Dim instance As RootComparer
C#
public class RootComparer : KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
Managed Extensions for C++
public __gc class RootComparer : public KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.RootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

RootComparer Members
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
RootComparer Class Members
See Also Methods Send Feedback
KellermanSoftware.CompareNetObjects Namespace : RootComparer Class

Glossary Item Box

The following tables list the members exposed by RootComparer.

Public Constructors

 | Name | Description
Public Constructor | RootComparer Constructor |
Top

Public Methods

 | Name | Description
Public Method | Compare | Compare two objects
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

RootComparer Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
RootComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > RootComparer Class : RootComparer Constructor

Glossary Item Box

Syntax

Visual Basic (Declaration)
Public Function New()
Visual Basic (Usage) Copy Code
Dim instance As New RootComparer()
C#
public RootComparer()
Managed Extensions for C++
public: RootComparer();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

RootComparer Class
RootComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
RootComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : RootComparer Class

Glossary Item Box

For a list of all members of this type, see RootComparer members.

Public Methods

 | Name | Description
Public Method | Compare | Compare two objects
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

RootComparer Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
Compare Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > RootComparer Class : Compare Method

parms

Glossary Item Box

Compare two objects

Syntax

Visual Basic (Declaration)
Public Function Compare( _
   ByVal parms As CompareParms _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As RootComparer
Dim parms As CompareParms
Dim value As System.Boolean

value = instance.Compare(parms)
C#
public System.bool Compare(
   CompareParms parms
)
Managed Extensions for C++
public: System.bool Compare(
   CompareParms* parms
)

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

RootComparer Class
RootComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
RootComparerFactory Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : RootComparerFactory Class

Glossary Item Box

Factory to create a root comparer

Object Model

RootComparerFactory Class

Syntax

Visual Basic (Declaration)
Public MustInherit NotInheritable Class RootComparerFactory
Visual Basic (Usage) Copy Code
Dim instance As RootComparerFactory
C#
public static class RootComparerFactory
Managed Extensions for C++
public __gc abstract __sealed class RootComparerFactory

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.RootComparerFactory

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

RootComparerFactory Members
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
RootComparerFactory Class Members
See Also Methods Send Feedback
KellermanSoftware.CompareNetObjects Namespace : RootComparerFactory Class

Glossary Item Box

The following tables list the members exposed by RootComparerFactory.

Public Methods

 | Name | Description
static (Shared in Visual Basic) | GetRootComparer | Get the current root comparer
Top

See Also

Reference

RootComparerFactory Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
RootComparerFactory Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : RootComparerFactory Class

Glossary Item Box

For a list of all members of this type, see RootComparerFactory members.

Public Methods

 | Name | Description
static (Shared in Visual Basic) | GetRootComparer | Get the current root comparer
Top

See Also

Reference

RootComparerFactory Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
GetRootComparer Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > RootComparerFactory Class : GetRootComparer Method

Glossary Item Box

Get the current root comparer

Syntax

Visual Basic (Declaration)
Public Shared Function GetRootComparer() As RootComparer
Visual Basic (Usage) Copy Code
Dim value As RootComparer

value = RootComparerFactory.GetRootComparer()
C#
public static RootComparer GetRootComparer()
Managed Extensions for C++
public: static RootComparer* GetRootComparer();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

RootComparerFactory Class
RootComparerFactory Members


%%PageItemTitle%%

[image]
Compare .NET Objects
StringHelper Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : StringHelper Class

Glossary Item Box

Methods for manipulating strings

Object Model

StringHelper Class

Syntax

Visual Basic (Declaration)
Public MustInherit NotInheritable Class StringHelper
Visual Basic (Usage) Copy Code
Dim instance As StringHelper
C#
public static class StringHelper
Managed Extensions for C++
public __gc abstract __sealed class StringHelper

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.StringHelper

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

StringHelper Members
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
StringHelper Class Members
See Also Methods Send Feedback
KellermanSoftware.CompareNetObjects Namespace : StringHelper Class

Glossary Item Box

The following tables list the members exposed by StringHelper.

Public Methods

 | Name | Description
static (Shared in Visual Basic) | InsertSpaces | Insert spaces into a string
Top

See Also

Reference

StringHelper Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
StringHelper Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : StringHelper Class

Glossary Item Box

For a list of all members of this type, see StringHelper members.

Public Methods

 | Name | Description
static (Shared in Visual Basic) | InsertSpaces | Insert spaces into a string
Top

See Also

Reference

StringHelper Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
InsertSpaces Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > StringHelper Class : InsertSpaces Method

input

Glossary Item Box

Insert spaces into a string

Syntax

Visual Basic (Declaration)
Public Shared Function InsertSpaces( _
   ByVal input As System.String _
) As System.String
Visual Basic (Usage) Copy Code
Dim input As System.String
Dim value As System.String

value = StringHelper.InsertSpaces(input)
C#
public static System.string InsertSpaces(
   System.string input
)
Managed Extensions for C++
public: static System.string* InsertSpaces(
   System.string* input
)

Parameters

input

Example

OrderDetails = Order Details
10Net30 = 10 Net 30
FTPHost = FTP Host

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

StringHelper Class
StringHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
TypeBackwardsCompatibilityExtensions Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : TypeBackwardsCompatibilityExtensions Class

Glossary Item Box

Extensions for Type to provide backward compatibility between latest and older .net Framework APIs.

Object Model

TypeBackwardsCompatibilityExtensions Class

Syntax

Visual Basic (Declaration)
<System.Runtime.CompilerServices.ExtensionAttribute()>
Public MustInherit NotInheritable Class TypeBackwardsCompatibilityExtensions
Visual Basic (Usage) Copy Code
Dim instance As TypeBackwardsCompatibilityExtensions
C#
[System.Runtime.CompilerServices.Extension()]
public static class TypeBackwardsCompatibilityExtensions
Managed Extensions for C++
[System.Runtime.CompilerServices.Extension()]
public __gc abstract __sealed class TypeBackwardsCompatibilityExtensions

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeBackwardsCompatibilityExtensions

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeBackwardsCompatibilityExtensions Members
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
TypeBackwardsCompatibilityExtensions Class Members
See Also Methods Send Feedback
KellermanSoftware.CompareNetObjects Namespace : TypeBackwardsCompatibilityExtensions Class

Glossary Item Box

The following tables list the members exposed by TypeBackwardsCompatibilityExtensions.

Public Methods

 | Name | Description
static (Shared in Visual Basic) | GetTypeInfo | Function to provide compilation compatibility between older code and newer style.
Top

See Also

Reference

TypeBackwardsCompatibilityExtensions Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
TypeBackwardsCompatibilityExtensions Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : TypeBackwardsCompatibilityExtensions Class

Glossary Item Box

For a list of all members of this type, see TypeBackwardsCompatibilityExtensions members.

Public Methods

 | Name | Description
static (Shared in Visual Basic) | GetTypeInfo | Function to provide compilation compatibility between older code and newer style.
Top

See Also

Reference

TypeBackwardsCompatibilityExtensions Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
GetTypeInfo Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeBackwardsCompatibilityExtensions Class : GetTypeInfo Method

type
The type.

Glossary Item Box

Function to provide compilation compatibility between older code and newer style.

Syntax

Visual Basic (Declaration)
<System.Runtime.CompilerServices.ExtensionAttribute()>
Public Shared Function GetTypeInfo( _
   ByVal type As System.Type _
) As System.Type
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Type

value = TypeBackwardsCompatibilityExtensions.GetTypeInfo(type)
C#
[System.Runtime.CompilerServices.Extension()]
public static System.Type GetTypeInfo(
   System.Type type
)
Managed Extensions for C++
[System.Runtime.CompilerServices.Extension()]
public: static System.Type* GetTypeInfo(
   System.Type* type
)

Parameters

type
The type.

Return Value

The type.

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeBackwardsCompatibilityExtensions Class
TypeBackwardsCompatibilityExtensions Members


%%PageItemTitle%%

[image]
Compare .NET Objects
TypeHelper Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : TypeHelper Class

Glossary Item Box

Methods for detecting

Object Model

TypeHelper Class

Syntax

Visual Basic (Declaration)
Public MustInherit NotInheritable Class TypeHelper
Visual Basic (Usage) Copy Code
Dim instance As TypeHelper
C#
public static class TypeHelper
Managed Extensions for C++
public __gc abstract __sealed class TypeHelper

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeHelper

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Members
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
TypeHelper Class Members
See Also Methods Send Feedback
KellermanSoftware.CompareNetObjects Namespace : TypeHelper Class

Glossary Item Box

The following tables list the members exposed by TypeHelper.

Public Methods

 | Name | Description
static (Shared in Visual Basic) | CanHaveChildren | Returns true if the type can have children
static (Shared in Visual Basic) | IsArray | True if the type is an array
static (Shared in Visual Basic) | IsByteArray | Returns true if it is a byte array
static (Shared in Visual Basic) | IsClass | Return true if the type is a class
static (Shared in Visual Basic) | IsDataColumn | Returns true if the Type is Data Column
static (Shared in Visual Basic) | IsDataRow | Returns true if the type is a data row
static (Shared in Visual Basic) | IsDataset | Returns true if the type is a dataset
static (Shared in Visual Basic) | IsDataTable | Returns true if the type is a data table
static (Shared in Visual Basic) | IsDateTime | Return true if the type is a DateTime
static (Shared in Visual Basic) | IsDateTimeOffset | Return true if the type is a DateTimeOffset
static (Shared in Visual Basic) | IsDecimal | Return true if the type is a Decimal
static (Shared in Visual Basic) | IsDouble | Return true if the type is a Double
static (Shared in Visual Basic) | IsDynamicObject | Returns true if it is a dynamic object
static (Shared in Visual Basic) | IsEnum | Return true if the type is an enum
static (Shared in Visual Basic) | IsEnumerable | Return true if the type is an Enumerable
static (Shared in Visual Basic) | IsFont | Returns true if the type is a font
static (Shared in Visual Basic) | IsHashSet | Return true if the type is a hashset
static (Shared in Visual Basic) | IsIDictionary | Return true if the type is a dictionary
static (Shared in Visual Basic) | IsIList | Return true if the type is a List
static (Shared in Visual Basic) | IsImmutableArray | True if the type is an System.Collections.Immutable.ImmutableArray
static (Shared in Visual Basic) | IsInterface | Return true if the type is an interface
static (Shared in Visual Basic) | IsIpEndPoint | Returns true if the type is an IPEndPoint
static (Shared in Visual Basic) | IsPointer | Return true if the type is a pointer
static (Shared in Visual Basic) | IsRuntimeType | Returns true if the Type is a Runtime type
static (Shared in Visual Basic) | IsSimpleType | Return true if the type is a primitive type, date, decimal, string, or GUID
static (Shared in Visual Basic) | IsString | Return true if the type is a string
static (Shared in Visual Basic) | IsStringBuilder | Return true if the type is a StringBuilder
static (Shared in Visual Basic) | IsStruct | Returns true if it is a struct
static (Shared in Visual Basic) | IsTimespan | Returns true if the type is a timespan
static (Shared in Visual Basic) | IsUri | Return true if the type is a URI
Top

See Also

Reference

TypeHelper Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
TypeHelper Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : TypeHelper Class

Glossary Item Box

For a list of all members of this type, see TypeHelper members.

Public Methods

 | Name | Description
static (Shared in Visual Basic) | CanHaveChildren | Returns true if the type can have children
static (Shared in Visual Basic) | IsArray | True if the type is an array
static (Shared in Visual Basic) | IsByteArray | Returns true if it is a byte array
static (Shared in Visual Basic) | IsClass | Return true if the type is a class
static (Shared in Visual Basic) | IsDataColumn | Returns true if the Type is Data Column
static (Shared in Visual Basic) | IsDataRow | Returns true if the type is a data row
static (Shared in Visual Basic) | IsDataset | Returns true if the type is a dataset
static (Shared in Visual Basic) | IsDataTable | Returns true if the type is a data table
static (Shared in Visual Basic) | IsDateTime | Return true if the type is a DateTime
static (Shared in Visual Basic) | IsDateTimeOffset | Return true if the type is a DateTimeOffset
static (Shared in Visual Basic) | IsDecimal | Return true if the type is a Decimal
static (Shared in Visual Basic) | IsDouble | Return true if the type is a Double
static (Shared in Visual Basic) | IsDynamicObject | Returns true if it is a dynamic object
static (Shared in Visual Basic) | IsEnum | Return true if the type is an enum
static (Shared in Visual Basic) | IsEnumerable | Return true if the type is an Enumerable
static (Shared in Visual Basic) | IsFont | Returns true if the type is a font
static (Shared in Visual Basic) | IsHashSet | Return true if the type is a hashset
static (Shared in Visual Basic) | IsIDictionary | Return true if the type is a dictionary
static (Shared in Visual Basic) | IsIList | Return true if the type is a List
static (Shared in Visual Basic) | IsImmutableArray | True if the type is an System.Collections.Immutable.ImmutableArray
static (Shared in Visual Basic) | IsInterface | Return true if the type is an interface
static (Shared in Visual Basic) | IsIpEndPoint | Returns true if the type is an IPEndPoint
static (Shared in Visual Basic) | IsPointer | Return true if the type is a pointer
static (Shared in Visual Basic) | IsRuntimeType | Returns true if the Type is a Runtime type
static (Shared in Visual Basic) | IsSimpleType | Return true if the type is a primitive type, date, decimal, string, or GUID
static (Shared in Visual Basic) | IsString | Return true if the type is a string
static (Shared in Visual Basic) | IsStringBuilder | Return true if the type is a StringBuilder
static (Shared in Visual Basic) | IsStruct | Returns true if it is a struct
static (Shared in Visual Basic) | IsTimespan | Returns true if the type is a timespan
static (Shared in Visual Basic) | IsUri | Return true if the type is a URI
Top

See Also

Reference

TypeHelper Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CanHaveChildren Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : CanHaveChildren Method

type

Glossary Item Box

Returns true if the type can have children

Syntax

Visual Basic (Declaration)
Public Shared Function CanHaveChildren( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.CanHaveChildren(type)
C#
public static System.bool CanHaveChildren(
   System.Type type
)
Managed Extensions for C++
public: static System.bool CanHaveChildren(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsArray Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsArray Method

type

Glossary Item Box

True if the type is an array

Syntax

Visual Basic (Declaration)
Public Shared Function IsArray( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsArray(type)
C#
public static System.bool IsArray(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsArray(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsByteArray Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsByteArray Method

type

Glossary Item Box

Returns true if it is a byte array

Syntax

Visual Basic (Declaration)
Public Shared Function IsByteArray( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsByteArray(type)
C#
public static System.bool IsByteArray(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsByteArray(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsClass Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsClass Method

type

Glossary Item Box

Return true if the type is a class

Syntax

Visual Basic (Declaration)
Public Shared Function IsClass( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsClass(type)
C#
public static System.bool IsClass(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsClass(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsDataColumn Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsDataColumn Method

type

Glossary Item Box

Returns true if the Type is Data Column

Syntax

Visual Basic (Declaration)
Public Shared Function IsDataColumn( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsDataColumn(type)
C#
public static System.bool IsDataColumn(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsDataColumn(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsDataRow Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsDataRow Method

type

Glossary Item Box

Returns true if the type is a data row

Syntax

Visual Basic (Declaration)
Public Shared Function IsDataRow( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsDataRow(type)
C#
public static System.bool IsDataRow(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsDataRow(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsDataset Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsDataset Method

type

Glossary Item Box

Returns true if the type is a dataset

Syntax

Visual Basic (Declaration)
Public Shared Function IsDataset( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsDataset(type)
C#
public static System.bool IsDataset(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsDataset(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsDataTable Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsDataTable Method

type

Glossary Item Box

Returns true if the type is a data table

Syntax

Visual Basic (Declaration)
Public Shared Function IsDataTable( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsDataTable(type)
C#
public static System.bool IsDataTable(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsDataTable(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsDateTime Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsDateTime Method

type

Glossary Item Box

Return true if the type is a DateTime

Syntax

Visual Basic (Declaration)
Public Shared Function IsDateTime( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsDateTime(type)
C#
public static System.bool IsDateTime(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsDateTime(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsDateTimeOffset Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsDateTimeOffset Method

type

Glossary Item Box

Return true if the type is a DateTimeOffset

Syntax

Visual Basic (Declaration)
Public Shared Function IsDateTimeOffset( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsDateTimeOffset(type)
C#
public static System.bool IsDateTimeOffset(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsDateTimeOffset(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsDecimal Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsDecimal Method

type

Glossary Item Box

Return true if the type is a Decimal

Syntax

Visual Basic (Declaration)
Public Shared Function IsDecimal( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsDecimal(type)
C#
public static System.bool IsDecimal(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsDecimal(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsDouble Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsDouble Method

type

Glossary Item Box

Return true if the type is a Double

Syntax

Visual Basic (Declaration)
Public Shared Function IsDouble( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsDouble(type)
C#
public static System.bool IsDouble(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsDouble(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsDynamicObject Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsDynamicObject Method

type

Glossary Item Box

Returns true if it is a dynamic object

Syntax

Visual Basic (Declaration)
Public Shared Function IsDynamicObject( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsDynamicObject(type)
C#
public static System.bool IsDynamicObject(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsDynamicObject(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsEnum Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsEnum Method

type

Glossary Item Box

Return true if the type is an enum

Syntax

Visual Basic (Declaration)
Public Shared Function IsEnum( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsEnum(type)
C#
public static System.bool IsEnum(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsEnum(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsEnumerable Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsEnumerable Method

type

Glossary Item Box

Return true if the type is an Enumerable

Syntax

Visual Basic (Declaration)
Public Shared Function IsEnumerable( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsEnumerable(type)
C#
public static System.bool IsEnumerable(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsEnumerable(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsFont Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsFont Method

type
The type1.

Glossary Item Box

Returns true if the type is a font

Syntax

Visual Basic (Declaration)
Public Shared Function IsFont( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsFont(type)
C#
public static System.bool IsFont(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsFont(
   System.Type* type
)

Parameters

type
The type1.

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsHashSet Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsHashSet Method

type

Glossary Item Box

Return true if the type is a hashset

Syntax

Visual Basic (Declaration)
Public Shared Function IsHashSet( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsHashSet(type)
C#
public static System.bool IsHashSet(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsHashSet(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsIDictionary Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsIDictionary Method

type

Glossary Item Box

Return true if the type is a dictionary

Syntax

Visual Basic (Declaration)
Public Shared Function IsIDictionary( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsIDictionary(type)
C#
public static System.bool IsIDictionary(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsIDictionary(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsIList Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsIList Method

type

Glossary Item Box

Return true if the type is a List

Syntax

Visual Basic (Declaration)
Public Shared Function IsIList( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsIList(type)
C#
public static System.bool IsIList(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsIList(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsImmutableArray Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsImmutableArray Method

type

Glossary Item Box

True if the type is an System.Collections.Immutable.ImmutableArray

Syntax

Visual Basic (Declaration)
Public Shared Function IsImmutableArray( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsImmutableArray(type)
C#
public static System.bool IsImmutableArray(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsImmutableArray(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsInterface Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsInterface Method

type

Glossary Item Box

Return true if the type is an interface

Syntax

Visual Basic (Declaration)
Public Shared Function IsInterface( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsInterface(type)
C#
public static System.bool IsInterface(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsInterface(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsIpEndPoint Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsIpEndPoint Method

type

Glossary Item Box

Returns true if the type is an IPEndPoint

Syntax

Visual Basic (Declaration)
Public Shared Function IsIpEndPoint( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsIpEndPoint(type)
C#
public static System.bool IsIpEndPoint(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsIpEndPoint(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsPointer Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsPointer Method

type

Glossary Item Box

Return true if the type is a pointer

Syntax

Visual Basic (Declaration)
Public Shared Function IsPointer( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsPointer(type)
C#
public static System.bool IsPointer(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsPointer(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsRuntimeType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsRuntimeType Method

type

Glossary Item Box

Returns true if the Type is a Runtime type

Syntax

Visual Basic (Declaration)
Public Shared Function IsRuntimeType( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsRuntimeType(type)
C#
public static System.bool IsRuntimeType(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsRuntimeType(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsSimpleType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsSimpleType Method

type

Glossary Item Box

Return true if the type is a primitive type, date, decimal, string, or GUID

Syntax

Visual Basic (Declaration)
Public Shared Function IsSimpleType( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsSimpleType(type)
C#
public static System.bool IsSimpleType(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsSimpleType(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsString Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsString Method

type

Glossary Item Box

Return true if the type is a string

Syntax

Visual Basic (Declaration)
Public Shared Function IsString( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsString(type)
C#
public static System.bool IsString(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsString(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsStringBuilder Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsStringBuilder Method

type

Glossary Item Box

Return true if the type is a StringBuilder

Syntax

Visual Basic (Declaration)
Public Shared Function IsStringBuilder( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsStringBuilder(type)
C#
public static System.bool IsStringBuilder(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsStringBuilder(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsStruct Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsStruct Method

type

Glossary Item Box

Returns true if it is a struct

Syntax

Visual Basic (Declaration)
Public Shared Function IsStruct( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsStruct(type)
C#
public static System.bool IsStruct(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsStruct(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTimespan Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsTimespan Method

type

Glossary Item Box

Returns true if the type is a timespan

Syntax

Visual Basic (Declaration)
Public Shared Function IsTimespan( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsTimespan(type)
C#
public static System.bool IsTimespan(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsTimespan(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsUri Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > TypeHelper Class : IsUri Method

type

Glossary Item Box

Return true if the type is a URI

Syntax

Visual Basic (Declaration)
Public Shared Function IsUri( _
   ByVal type As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim type As System.Type
Dim value As System.Boolean

value = TypeHelper.IsUri(type)
C#
public static System.bool IsUri(
   System.Type type
)
Managed Extensions for C++
public: static System.bool IsUri(
   System.Type* type
)

Parameters

type

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TypeHelper Class
TypeHelper Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ICompareLogic Interface
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : ICompareLogic Interface

Glossary Item Box

Interface for mocking

Syntax

Visual Basic (Declaration)
Public Interface ICompareLogic
Visual Basic (Usage) Copy Code
Dim instance As ICompareLogic
C#
public interface ICompareLogic
Managed Extensions for C++
public __gc __interface ICompareLogic

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ICompareLogic Members
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
ICompareLogic Interface Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects Namespace : ICompareLogic Interface

Glossary Item Box

The following tables list the members exposed by ICompareLogic.

Public Properties

 | Name | Description
Property | Config | The default configuration
Top

Public Methods

 | Name | Description
Method | ClearCache | Reflection properties and fields are cached. By default this cache is cleared automatically after each compare.
Method | Compare | Compare two objects of the same type to each other.
Top

See Also

Reference

ICompareLogic Interface
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
ICompareLogic Interface Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : ICompareLogic Interface

Glossary Item Box

For a list of all members of this type, see ICompareLogic members.

Public Methods

 | Name | Description
Method | ClearCache | Reflection properties and fields are cached. By default this cache is cleared automatically after each compare.
Method | Compare | Compare two objects of the same type to each other.
Top

See Also

Reference

ICompareLogic Interface
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
ClearCache Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ICompareLogic Interface : ClearCache Method

Glossary Item Box

Reflection properties and fields are cached. By default this cache is cleared automatically after each compare.

Syntax

Visual Basic (Declaration)
Sub ClearCache()
Visual Basic (Usage) Copy Code
Dim instance As ICompareLogic

instance.ClearCache()
C#
void ClearCache()
Managed Extensions for C++
void ClearCache();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ICompareLogic Interface
ICompareLogic Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Compare Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ICompareLogic Interface : Compare Method

object1
object2

Glossary Item Box

Compare two objects of the same type to each other.

Syntax

Visual Basic (Declaration)
Function Compare( _
   ByVal object1 As System.Object, _
   ByVal object2 As System.Object _
) As ComparisonResult
Visual Basic (Usage) Copy Code
Dim instance As ICompareLogic
Dim object1 As System.Object
Dim object2 As System.Object
Dim value As ComparisonResult

value = instance.Compare(object1, object2)
C#
ComparisonResult Compare(
   System.object object1,
   System.object object2
)
Managed Extensions for C++
ComparisonResult* Compare(
   System.Object* object1,
   System.Object* object2
)

Parameters

object1
object2

Return Value

True if they are equal

Remarks

Check the Differences or DifferencesString Properties for the differences. Default MaxDifferences is 1 for performance

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ICompareLogic Interface
ICompareLogic Members


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
ICompareLogic Interface Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : ICompareLogic Interface

Glossary Item Box

For a list of all members of this type, see ICompareLogic members.

Public Properties

 | Name | Description
Property | Config | The default configuration
Top

See Also

Reference

ICompareLogic Interface
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
Config Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > ICompareLogic Interface : Config Property

Glossary Item Box

The default configuration

Syntax

Visual Basic (Declaration)
Property Config As ComparisonConfig
Visual Basic (Usage) Copy Code
Dim instance As ICompareLogic
Dim value As ComparisonConfig

instance.Config = value

value = instance.Config
C#
ComparisonConfig Config {get; set;}
Managed Extensions for C++
__property ComparisonConfig* get_Config();
__property void set_Config(
   ComparisonConfig* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ICompareLogic Interface
ICompareLogic Members


%%ItemTitle%%

KellermanSoftware.CompareNetObjects.IgnoreOrderTypes Namespace
See Also Inheritance Hierarchy Send Feedback

Glossary Item Box

Classes

 | Class | Description
Class | IgnoreOrderLogic | Logic for comparing lists that are out of order based on a key

See Also

Reference

KellermanSoftware.Compare-NET-Objects Assembly


%%PageItemTitle%%

[image]
Compare .NET Objects
IgnoreOrderLogic Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.IgnoreOrderTypes Namespace : IgnoreOrderLogic Class

Glossary Item Box

Logic for comparing lists that are out of order based on a key

Object Model

IgnoreOrderLogic Class

Syntax

Visual Basic (Declaration)
Public Class IgnoreOrderLogic
   Inherits KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
Visual Basic (Usage) Copy Code
Dim instance As IgnoreOrderLogic
C#
public class IgnoreOrderLogic : KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
Managed Extensions for C++
public __gc class IgnoreOrderLogic : public KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.IgnoreOrderTypes.IgnoreOrderLogic

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

IgnoreOrderLogic Members
KellermanSoftware.CompareNetObjects.IgnoreOrderTypes Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
IgnoreOrderLogic Class Members
See Also Methods Send Feedback
KellermanSoftware.CompareNetObjects.IgnoreOrderTypes Namespace : IgnoreOrderLogic Class

Glossary Item Box

The following tables list the members exposed by IgnoreOrderLogic.

Public Constructors

 | Name | Description
Public Constructor | IgnoreOrderLogic Constructor | Initializes a new instance of the IgnoreOrderLogic class.
Top

Public Methods

 | Name | Description
Public Method | CompareEnumeratorIgnoreOrder | Compares the enumerators and ignores the order
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

IgnoreOrderLogic Class
KellermanSoftware.CompareNetObjects.IgnoreOrderTypes Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
IgnoreOrderLogic Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.IgnoreOrderTypes Namespace > IgnoreOrderLogic Class : IgnoreOrderLogic Constructor

rootComparer
The root comparer.

Glossary Item Box

Initializes a new instance of the IgnoreOrderLogic class.

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New IgnoreOrderLogic(rootComparer)
C#
public IgnoreOrderLogic(
   RootComparer rootComparer
)
Managed Extensions for C++
public: IgnoreOrderLogic(
   RootComparer* rootComparer
)

Parameters

rootComparer
The root comparer.

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

IgnoreOrderLogic Class
IgnoreOrderLogic Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
IgnoreOrderLogic Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.IgnoreOrderTypes Namespace : IgnoreOrderLogic Class

Glossary Item Box

For a list of all members of this type, see IgnoreOrderLogic members.

Public Methods

 | Name | Description
Public Method | CompareEnumeratorIgnoreOrder | Compares the enumerators and ignores the order
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

IgnoreOrderLogic Class
KellermanSoftware.CompareNetObjects.IgnoreOrderTypes Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareEnumeratorIgnoreOrder Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.IgnoreOrderTypes Namespace > IgnoreOrderLogic Class : CompareEnumeratorIgnoreOrder Method

parms
countsDifferent

Glossary Item Box

Compares the enumerators and ignores the order

Syntax

Visual Basic (Declaration)
Public Sub CompareEnumeratorIgnoreOrder( _
   ByVal parms As CompareParms, _
   ByVal countsDifferent As System.Boolean _
)
Visual Basic (Usage) Copy Code
Dim instance As IgnoreOrderLogic
Dim parms As CompareParms
Dim countsDifferent As System.Boolean

instance.CompareEnumeratorIgnoreOrder(parms, countsDifferent)
C#
public void CompareEnumeratorIgnoreOrder(
   CompareParms parms,
   System.bool countsDifferent
)
Managed Extensions for C++
public: void CompareEnumeratorIgnoreOrder(
   CompareParms* parms,
   System.bool countsDifferent
)

Parameters

parms
countsDifferent

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

IgnoreOrderLogic Class
IgnoreOrderLogic Members


%%ItemTitle%%

KellermanSoftware.CompareNetObjects.Reports Namespace
See Also Inheritance Hierarchy Send Feedback

Glossary Item Box

Classes

 | Class | Description
Class | BaseDualFileReport | Abstract Base Duel File Report that has default Output
Class | BeyondCompareReport | Output files and launch Beyond Compare
Class | CsvReport | Create a CSV file of the differences and launch the default CSV handler (usually Excel)
Class | UserFriendlyReport | Report for showing differences to an end user
Class | WinMergeReport | Output files and launch WinMerge

Interfaces

 | Interface | Description
Interface | IDualFileReport | Define a dual file report like Beyond Compare, WinMerge etc.
Interface | ISingleFileReport | Defines a Single File Report

See Also

Reference

KellermanSoftware.Compare-NET-Objects Assembly


%%PageItemTitle%%

[image]
Compare .NET Objects
BaseDualFileReport Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace : BaseDualFileReport Class

Glossary Item Box

Abstract Base Duel File Report that has default Output

Object Model

BaseDualFileReport Class

Syntax

Visual Basic (Declaration)
Public MustInherit Class BaseDualFileReport
   Implements IDualFileReport
Visual Basic (Usage) Copy Code
Dim instance As BaseDualFileReport
C#
public abstract class BaseDualFileReport : IDualFileReport
Managed Extensions for C++
public __gc abstract class BaseDualFileReport : public IDualFileReport

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.Reports.BaseDualFileReport
KellermanSoftware.CompareNetObjects.Reports.BeyondCompareReport
KellermanSoftware.CompareNetObjects.Reports.WinMergeReport

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

BaseDualFileReport Members
KellermanSoftware.CompareNetObjects.Reports Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
BaseDualFileReport Class Members
See Also Methods Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace : BaseDualFileReport Class

Glossary Item Box

The following tables list the members exposed by BaseDualFileReport.

Public Methods

 | Name | Description
Public Method | LaunchApplication | Launch application to compare two files
Public Method | OutputFiles | Create two difference files and compare in WinMerge
Top

See Also

Reference

BaseDualFileReport Class
KellermanSoftware.CompareNetObjects.Reports Namespace


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
BaseDualFileReport Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace : BaseDualFileReport Class

Glossary Item Box

For a list of all members of this type, see BaseDualFileReport members.

Public Methods

 | Name | Description
Public Method | LaunchApplication | Launch application to compare two files
Public Method | OutputFiles | Create two difference files and compare in WinMerge
Top

See Also

Reference

BaseDualFileReport Class
KellermanSoftware.CompareNetObjects.Reports Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
LaunchApplication Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > BaseDualFileReport Class : LaunchApplication Method

expectedFilePath
The path for the expected file results
actualFilePath
The path for the actual file results

Glossary Item Box

Launch application to compare two files

Syntax

Visual Basic (Declaration)
Public MustOverride Sub LaunchApplication( _
   ByVal expectedFilePath As System.String, _
   ByVal actualFilePath As System.String _
)
Visual Basic (Usage) Copy Code
Dim instance As BaseDualFileReport
Dim expectedFilePath As System.String
Dim actualFilePath As System.String

instance.LaunchApplication(expectedFilePath, actualFilePath)
C#
public abstract void LaunchApplication(
   System.string expectedFilePath,
   System.string actualFilePath
)
Managed Extensions for C++
public: abstract void LaunchApplication(
   System.string* expectedFilePath,
   System.string* actualFilePath
)

Parameters

expectedFilePath
The path for the expected file results
actualFilePath
The path for the actual file results

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

BaseDualFileReport Class
BaseDualFileReport Members


%%PageItemTitle%%

[image]
Compare .NET Objects
OutputFiles Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > BaseDualFileReport Class : OutputFiles Method

differences
A list of the differences
expectedFilePath
The path to write the expected results
actualFilePath
The path to write the actual results

Glossary Item Box

Create two difference files and compare in WinMerge

Syntax

Visual Basic (Declaration)
Public Overridable Sub OutputFiles( _
   ByVal differences As System.Collections.Generic.List(Of Difference), _
   ByVal expectedFilePath As System.String, _
   ByVal actualFilePath As System.String _
)
Visual Basic (Usage) Copy Code
Dim instance As BaseDualFileReport
Dim differences As System.Collections.Generic.List(Of Difference)
Dim expectedFilePath As System.String
Dim actualFilePath As System.String

instance.OutputFiles(differences, expectedFilePath, actualFilePath)
C#
public virtual void OutputFiles(
   System.Collections.Generic.List<Difference> differences,
   System.string expectedFilePath,
   System.string actualFilePath
)
Managed Extensions for C++
public: virtual void OutputFiles(
   System.Collections.Generic.List<Difference*>* differences,
   System.string* expectedFilePath,
   System.string* actualFilePath
)

Parameters

differences
A list of the differences
expectedFilePath
The path to write the expected results
actualFilePath
The path to write the actual results

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

BaseDualFileReport Class
BaseDualFileReport Members


%%PageItemTitle%%

[image]
Compare .NET Objects
BeyondCompareReport Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace : BeyondCompareReport Class

Glossary Item Box

Output files and launch Beyond Compare

Object Model

BeyondCompareReport Class

Syntax

Visual Basic (Declaration)
Public Class BeyondCompareReport
   Inherits BaseDualFileReport
   Implements IDualFileReport
Visual Basic (Usage) Copy Code
Dim instance As BeyondCompareReport
C#
public class BeyondCompareReport : BaseDualFileReport, IDualFileReport
Managed Extensions for C++
public __gc class BeyondCompareReport : public BaseDualFileReport, IDualFileReport

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.Reports.BaseDualFileReport
KellermanSoftware.CompareNetObjects.Reports.BeyondCompareReport

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

BeyondCompareReport Members
KellermanSoftware.CompareNetObjects.Reports Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
BeyondCompareReport Class Members
See Also Methods Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace : BeyondCompareReport Class

Glossary Item Box

The following tables list the members exposed by BeyondCompareReport.

Public Constructors

 | Name | Description
Public Constructor | BeyondCompareReport Constructor |
Top

Public Methods

 | Name | Description
Public Method | FindBeyondCompare | Find the path of the Beyond Compare executable
Public Method | LaunchApplication | Overridden. Launch the WinMerge
Public Method | OutputFiles | Create two difference files and compare in WinMerge (Inherited from KellermanSoftware.CompareNetObjects.Reports.BaseDualFileReport)
Top

See Also

Reference

BeyondCompareReport Class
KellermanSoftware.CompareNetObjects.Reports Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
BeyondCompareReport Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > BeyondCompareReport Class : BeyondCompareReport Constructor

Glossary Item Box

Syntax

Visual Basic (Declaration)
Public Function New()
Visual Basic (Usage) Copy Code
Dim instance As New BeyondCompareReport()
C#
public BeyondCompareReport()
Managed Extensions for C++
public: BeyondCompareReport();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

BeyondCompareReport Class
BeyondCompareReport Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
BeyondCompareReport Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace : BeyondCompareReport Class

Glossary Item Box

For a list of all members of this type, see BeyondCompareReport members.

Public Methods

 | Name | Description
Public Method | FindBeyondCompare | Find the path of the Beyond Compare executable
Public Method | LaunchApplication | Overridden. Launch the WinMerge
Public Method | OutputFiles | Create two difference files and compare in WinMerge (Inherited from KellermanSoftware.CompareNetObjects.Reports.BaseDualFileReport)
Top

See Also

Reference

BeyondCompareReport Class
KellermanSoftware.CompareNetObjects.Reports Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
FindBeyondCompare Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > BeyondCompareReport Class : FindBeyondCompare Method

Glossary Item Box

Find the path of the Beyond Compare executable

Syntax

Visual Basic (Declaration)
Public Function FindBeyondCompare() As System.String
Visual Basic (Usage) Copy Code
Dim instance As BeyondCompareReport
Dim value As System.String

value = instance.FindBeyondCompare()
C#
public System.string FindBeyondCompare()
Managed Extensions for C++
public: System.string* FindBeyondCompare();

Return Value

The path or null if not found

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

BeyondCompareReport Class
BeyondCompareReport Members


%%PageItemTitle%%

[image]
Compare .NET Objects
LaunchApplication Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > BeyondCompareReport Class : LaunchApplication Method

expectedFilePath
The path to write the expected results
actualFilePath
The path to write the actual results

Glossary Item Box

Launch the WinMerge

Syntax

Visual Basic (Declaration)
Public Overrides Sub LaunchApplication( _
   ByVal expectedFilePath As System.String, _
   ByVal actualFilePath As System.String _
)
Visual Basic (Usage) Copy Code
Dim instance As BeyondCompareReport
Dim expectedFilePath As System.String
Dim actualFilePath As System.String

instance.LaunchApplication(expectedFilePath, actualFilePath)
C#
public override void LaunchApplication(
   System.string expectedFilePath,
   System.string actualFilePath
)
Managed Extensions for C++
public: void LaunchApplication(
   System.string* expectedFilePath,
   System.string* actualFilePath
) override

Parameters

expectedFilePath
The path to write the expected results
actualFilePath
The path to write the actual results

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

BeyondCompareReport Class
BeyondCompareReport Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CsvReport Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace : CsvReport Class

Glossary Item Box

Create a CSV file of the differences and launch the default CSV handler (usually Excel)

Object Model

CsvReport Class

Syntax

Visual Basic (Declaration)
Public Class CsvReport
   Implements ISingleFileReport
Visual Basic (Usage) Copy Code
Dim instance As CsvReport
C#
public class CsvReport : ISingleFileReport
Managed Extensions for C++
public __gc class CsvReport : public ISingleFileReport

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.Reports.CsvReport

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CsvReport Members
KellermanSoftware.CompareNetObjects.Reports Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
CsvReport Class Members
See Also Methods Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace : CsvReport Class

Glossary Item Box

The following tables list the members exposed by CsvReport.

Public Constructors

 | Name | Description
Public Constructor | CsvReport Constructor |
Top

Public Methods

 | Name | Description
Public Method | LaunchApplication | Launch the WinMerge
Public Method | OutputFile | Output the differences to a file
Public Method | OutputStream | Output the differences to a stream
Public Method | OutputString | Output the differences to a string
Top

See Also

Reference

CsvReport Class
KellermanSoftware.CompareNetObjects.Reports Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CsvReport Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > CsvReport Class : CsvReport Constructor

Glossary Item Box

Syntax

Visual Basic (Declaration)
Public Function New()
Visual Basic (Usage) Copy Code
Dim instance As New CsvReport()
C#
public CsvReport()
Managed Extensions for C++
public: CsvReport();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CsvReport Class
CsvReport Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
CsvReport Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace : CsvReport Class

Glossary Item Box

For a list of all members of this type, see CsvReport members.

Public Methods

 | Name | Description
Public Method | LaunchApplication | Launch the WinMerge
Public Method | OutputFile | Output the differences to a file
Public Method | OutputStream | Output the differences to a stream
Public Method | OutputString | Output the differences to a string
Top

See Also

Reference

CsvReport Class
KellermanSoftware.CompareNetObjects.Reports Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
LaunchApplication Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > CsvReport Class : LaunchApplication Method

filePath
The differences file

Glossary Item Box

Launch the WinMerge

Syntax

Visual Basic (Declaration)
Public Sub LaunchApplication( _
   ByVal filePath As System.String _
)
Visual Basic (Usage) Copy Code
Dim instance As CsvReport
Dim filePath As System.String

instance.LaunchApplication(filePath)
C#
public void LaunchApplication(
   System.string filePath
)
Managed Extensions for C++
public: void LaunchApplication(
   System.string* filePath
)

Parameters

filePath
The differences file

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CsvReport Class
CsvReport Members


%%PageItemTitle%%

[image]
Compare .NET Objects
OutputFile Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > CsvReport Class : OutputFile Method

differences
A list of differences
filePath
The file path

Glossary Item Box

Output the differences to a file

Syntax

Visual Basic (Declaration)
Public Sub OutputFile( _
   ByVal differences As System.Collections.Generic.List(Of Difference), _
   ByVal filePath As System.String _
)
Visual Basic (Usage) Copy Code
Dim instance As CsvReport
Dim differences As System.Collections.Generic.List(Of Difference)
Dim filePath As System.String

instance.OutputFile(differences, filePath)
C#
public void OutputFile(
   System.Collections.Generic.List<Difference> differences,
   System.string filePath
)
Managed Extensions for C++
public: void OutputFile(
   System.Collections.Generic.List<Difference*>* differences,
   System.string* filePath
)

Parameters

differences
A list of differences
filePath
The file path

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CsvReport Class
CsvReport Members


%%PageItemTitle%%

[image]
Compare .NET Objects
OutputStream Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > CsvReport Class : OutputStream Method

differences
A list of differences
stream
An output stream

Glossary Item Box

Output the differences to a stream

Syntax

Visual Basic (Declaration)
Public Sub OutputStream( _
   ByVal differences As System.Collections.Generic.List(Of Difference), _
   ByVal stream As System.IO.Stream _
)
Visual Basic (Usage) Copy Code
Dim instance As CsvReport
Dim differences As System.Collections.Generic.List(Of Difference)
Dim stream As System.IO.Stream

instance.OutputStream(differences, stream)
C#
public void OutputStream(
   System.Collections.Generic.List<Difference> differences,
   System.IO.Stream stream
)
Managed Extensions for C++
public: void OutputStream(
   System.Collections.Generic.List<Difference*>* differences,
   System.IO.Stream* stream
)

Parameters

differences
A list of differences
stream
An output stream

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CsvReport Class
CsvReport Members


%%PageItemTitle%%

[image]
Compare .NET Objects
OutputString Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > CsvReport Class : OutputString Method

differences
A list of differences

Glossary Item Box

Output the differences to a string

Syntax

Visual Basic (Declaration)
Public Function OutputString( _
   ByVal differences As System.Collections.Generic.List(Of Difference) _
) As System.String
Visual Basic (Usage) Copy Code
Dim instance As CsvReport
Dim differences As System.Collections.Generic.List(Of Difference)
Dim value As System.String

value = instance.OutputString(differences)
C#
public System.string OutputString(
   System.Collections.Generic.List<Difference> differences
)
Managed Extensions for C++
public: System.string* OutputString(
   System.Collections.Generic.List<Difference*>* differences
)

Parameters

differences
A list of differences

Return Value

A string

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CsvReport Class
CsvReport Members


%%PageItemTitle%%

[image]
Compare .NET Objects
UserFriendlyReport Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace : UserFriendlyReport Class

Glossary Item Box

Report for showing differences to an end user

Object Model

UserFriendlyReport Class

Syntax

Visual Basic (Declaration)
Public Class UserFriendlyReport
   Implements ISingleFileReport
Visual Basic (Usage) Copy Code
Dim instance As UserFriendlyReport
C#
public class UserFriendlyReport : ISingleFileReport
Managed Extensions for C++
public __gc class UserFriendlyReport : public ISingleFileReport

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.Reports.UserFriendlyReport

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

UserFriendlyReport Members
KellermanSoftware.CompareNetObjects.Reports Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
UserFriendlyReport Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace : UserFriendlyReport Class

Glossary Item Box

The following tables list the members exposed by UserFriendlyReport.

Public Constructors

 | Name | Description
Public Constructor | UserFriendlyReport Constructor | Initializes a new instance of the UserFriendlyReport class.
Top

Public Properties

 | Name | Description
Public Property | ChangedToText | The text in between the values. Defaults to: CHANGED TO ->
Top

Public Methods

 | Name | Description
Public Method | LaunchApplication | Launch the application for showing the file
Public Method | OutputFile | Output the differences to a file
Public Method | OutputStream | Output the differences to a stream
Public Method | OutputString | Output the differences to a string
Top

See Also

Reference

UserFriendlyReport Class
KellermanSoftware.CompareNetObjects.Reports Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
UserFriendlyReport Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > UserFriendlyReport Class : UserFriendlyReport Constructor

Glossary Item Box

Initializes a new instance of the UserFriendlyReport class.

Syntax

Visual Basic (Declaration)
Public Function New()
Visual Basic (Usage) Copy Code
Dim instance As New UserFriendlyReport()
C#
public UserFriendlyReport()
Managed Extensions for C++
public: UserFriendlyReport();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

UserFriendlyReport Class
UserFriendlyReport Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
UserFriendlyReport Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace : UserFriendlyReport Class

Glossary Item Box

For a list of all members of this type, see UserFriendlyReport members.

Public Methods

 | Name | Description
Public Method | LaunchApplication | Launch the application for showing the file
Public Method | OutputFile | Output the differences to a file
Public Method | OutputStream | Output the differences to a stream
Public Method | OutputString | Output the differences to a string
Top

See Also

Reference

UserFriendlyReport Class
KellermanSoftware.CompareNetObjects.Reports Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
LaunchApplication Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > UserFriendlyReport Class : LaunchApplication Method

filePath
The file path

Glossary Item Box

Launch the application for showing the file

Syntax

Visual Basic (Declaration)
Public Sub LaunchApplication( _
   ByVal filePath As System.String _
)
Visual Basic (Usage) Copy Code
Dim instance As UserFriendlyReport
Dim filePath As System.String

instance.LaunchApplication(filePath)
C#
public void LaunchApplication(
   System.string filePath
)
Managed Extensions for C++
public: void LaunchApplication(
   System.string* filePath
)

Parameters

filePath
The file path

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

UserFriendlyReport Class
UserFriendlyReport Members


%%PageItemTitle%%

[image]
Compare .NET Objects
OutputFile Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > UserFriendlyReport Class : OutputFile Method

differences
A list of differences
filePath
The file path

Glossary Item Box

Output the differences to a file

Syntax

Visual Basic (Declaration)
Public Sub OutputFile( _
   ByVal differences As System.Collections.Generic.List(Of Difference), _
   ByVal filePath As System.String _
)
Visual Basic (Usage) Copy Code
Dim instance As UserFriendlyReport
Dim differences As System.Collections.Generic.List(Of Difference)
Dim filePath As System.String

instance.OutputFile(differences, filePath)
C#
public void OutputFile(
   System.Collections.Generic.List<Difference> differences,
   System.string filePath
)
Managed Extensions for C++
public: void OutputFile(
   System.Collections.Generic.List<Difference*>* differences,
   System.string* filePath
)

Parameters

differences
A list of differences
filePath
The file path

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

UserFriendlyReport Class
UserFriendlyReport Members


%%PageItemTitle%%

[image]
Compare .NET Objects
OutputStream Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > UserFriendlyReport Class : OutputStream Method

differences
A list of differences
stream
Where to write to

Glossary Item Box

Output the differences to a stream

Syntax

Visual Basic (Declaration)
Public Sub OutputStream( _
   ByVal differences As System.Collections.Generic.List(Of Difference), _
   ByVal stream As System.IO.Stream _
)
Visual Basic (Usage) Copy Code
Dim instance As UserFriendlyReport
Dim differences As System.Collections.Generic.List(Of Difference)
Dim stream As System.IO.Stream

instance.OutputStream(differences, stream)
C#
public void OutputStream(
   System.Collections.Generic.List<Difference> differences,
   System.IO.Stream stream
)
Managed Extensions for C++
public: void OutputStream(
   System.Collections.Generic.List<Difference*>* differences,
   System.IO.Stream* stream
)

Parameters

differences
A list of differences
stream
Where to write to

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

UserFriendlyReport Class
UserFriendlyReport Members


%%PageItemTitle%%

[image]
Compare .NET Objects
OutputString Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > UserFriendlyReport Class : OutputString Method

differences
A list of differences

Glossary Item Box

Output the differences to a string

Syntax

Visual Basic (Declaration)
Public Function OutputString( _
   ByVal differences As System.Collections.Generic.List(Of Difference) _
) As System.String
Visual Basic (Usage) Copy Code
Dim instance As UserFriendlyReport
Dim differences As System.Collections.Generic.List(Of Difference)
Dim value As System.String

value = instance.OutputString(differences)
C#
public System.string OutputString(
   System.Collections.Generic.List<Difference> differences
)
Managed Extensions for C++
public: System.string* OutputString(
   System.Collections.Generic.List<Difference*>* differences
)

Parameters

differences
A list of differences

Return Value

A string

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

UserFriendlyReport Class
UserFriendlyReport Members


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
UserFriendlyReport Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace : UserFriendlyReport Class

Glossary Item Box

For a list of all members of this type, see UserFriendlyReport members.

Public Properties

 | Name | Description
Public Property | ChangedToText | The text in between the values. Defaults to: CHANGED TO ->
Top

See Also

Reference

UserFriendlyReport Class
KellermanSoftware.CompareNetObjects.Reports Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
ChangedToText Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > UserFriendlyReport Class : ChangedToText Property

Glossary Item Box

The text in between the values. Defaults to: CHANGED TO ->

Syntax

Visual Basic (Declaration)
Public Property ChangedToText As System.String
Visual Basic (Usage) Copy Code
Dim instance As UserFriendlyReport
Dim value As System.String

instance.ChangedToText = value

value = instance.ChangedToText
C#
public System.string ChangedToText {get; set;}
Managed Extensions for C++
public: __property System.string* get_ChangedToText();
public: __property void set_ChangedToText(
   System.string* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

UserFriendlyReport Class
UserFriendlyReport Members


%%PageItemTitle%%

[image]
Compare .NET Objects
WinMergeReport Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace : WinMergeReport Class

Glossary Item Box

Output files and launch WinMerge

Object Model

WinMergeReport Class

Syntax

Visual Basic (Declaration)
Public Class WinMergeReport
   Inherits BaseDualFileReport
   Implements IDualFileReport
Visual Basic (Usage) Copy Code
Dim instance As WinMergeReport
C#
public class WinMergeReport : BaseDualFileReport, IDualFileReport
Managed Extensions for C++
public __gc class WinMergeReport : public BaseDualFileReport, IDualFileReport

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.Reports.BaseDualFileReport
KellermanSoftware.CompareNetObjects.Reports.WinMergeReport

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

WinMergeReport Members
KellermanSoftware.CompareNetObjects.Reports Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
WinMergeReport Class Members
See Also Methods Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace : WinMergeReport Class

Glossary Item Box

The following tables list the members exposed by WinMergeReport.

Public Constructors

 | Name | Description
Public Constructor | WinMergeReport Constructor |
Top

Public Methods

 | Name | Description
Public Method | FindWinMerge | Find the path of the WinMerge executable
Public Method | LaunchApplication | Overridden. Launch the WinMerge
Public Method | OutputFiles | Create two difference files and compare in WinMerge (Inherited from KellermanSoftware.CompareNetObjects.Reports.BaseDualFileReport)
Top

See Also

Reference

WinMergeReport Class
KellermanSoftware.CompareNetObjects.Reports Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
WinMergeReport Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > WinMergeReport Class : WinMergeReport Constructor

Glossary Item Box

Syntax

Visual Basic (Declaration)
Public Function New()
Visual Basic (Usage) Copy Code
Dim instance As New WinMergeReport()
C#
public WinMergeReport()
Managed Extensions for C++
public: WinMergeReport();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

WinMergeReport Class
WinMergeReport Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
WinMergeReport Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace : WinMergeReport Class

Glossary Item Box

For a list of all members of this type, see WinMergeReport members.

Public Methods

 | Name | Description
Public Method | FindWinMerge | Find the path of the WinMerge executable
Public Method | LaunchApplication | Overridden. Launch the WinMerge
Public Method | OutputFiles | Create two difference files and compare in WinMerge (Inherited from KellermanSoftware.CompareNetObjects.Reports.BaseDualFileReport)
Top

See Also

Reference

WinMergeReport Class
KellermanSoftware.CompareNetObjects.Reports Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
FindWinMerge Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > WinMergeReport Class : FindWinMerge Method

Glossary Item Box

Find the path of the WinMerge executable

Syntax

Visual Basic (Declaration)
Public Function FindWinMerge() As System.String
Visual Basic (Usage) Copy Code
Dim instance As WinMergeReport
Dim value As System.String

value = instance.FindWinMerge()
C#
public System.string FindWinMerge()
Managed Extensions for C++
public: System.string* FindWinMerge();

Return Value

The path or null if not found

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

WinMergeReport Class
WinMergeReport Members


%%PageItemTitle%%

[image]
Compare .NET Objects
LaunchApplication Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > WinMergeReport Class : LaunchApplication Method

expectedFilePath
The path to write the expected results
actualFilePath
The path to write the actual results

Glossary Item Box

Launch the WinMerge

Syntax

Visual Basic (Declaration)
Public Overrides Sub LaunchApplication( _
   ByVal expectedFilePath As System.String, _
   ByVal actualFilePath As System.String _
)
Visual Basic (Usage) Copy Code
Dim instance As WinMergeReport
Dim expectedFilePath As System.String
Dim actualFilePath As System.String

instance.LaunchApplication(expectedFilePath, actualFilePath)
C#
public override void LaunchApplication(
   System.string expectedFilePath,
   System.string actualFilePath
)
Managed Extensions for C++
public: void LaunchApplication(
   System.string* expectedFilePath,
   System.string* actualFilePath
) override

Parameters

expectedFilePath
The path to write the expected results
actualFilePath
The path to write the actual results

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

WinMergeReport Class
WinMergeReport Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IDualFileReport Interface
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace : IDualFileReport Interface

Glossary Item Box

Define a dual file report like Beyond Compare, WinMerge etc.

Syntax

Visual Basic (Declaration)
Public Interface IDualFileReport
Visual Basic (Usage) Copy Code
Dim instance As IDualFileReport
C#
public interface IDualFileReport
Managed Extensions for C++
public __gc __interface IDualFileReport

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

IDualFileReport Members
KellermanSoftware.CompareNetObjects.Reports Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
IDualFileReport Interface Members
See Also Methods Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace : IDualFileReport Interface

Glossary Item Box

The following tables list the members exposed by IDualFileReport.

Public Methods

 | Name | Description
Method | LaunchApplication | Launch the comparison application
Method | OutputFiles | Output the differences to two files
Top

See Also

Reference

IDualFileReport Interface
KellermanSoftware.CompareNetObjects.Reports Namespace


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
IDualFileReport Interface Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace : IDualFileReport Interface

Glossary Item Box

For a list of all members of this type, see IDualFileReport members.

Public Methods

 | Name | Description
Method | LaunchApplication | Launch the comparison application
Method | OutputFiles | Output the differences to two files
Top

See Also

Reference

IDualFileReport Interface
KellermanSoftware.CompareNetObjects.Reports Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
LaunchApplication Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > IDualFileReport Interface : LaunchApplication Method

expectedFilePath
The path to write the expected results
actualFilePath
The path to write the actual results

Glossary Item Box

Launch the comparison application

Syntax

Visual Basic (Declaration)
Sub LaunchApplication( _
   ByVal expectedFilePath As System.String, _
   ByVal actualFilePath As System.String _
)
Visual Basic (Usage) Copy Code
Dim instance As IDualFileReport
Dim expectedFilePath As System.String
Dim actualFilePath As System.String

instance.LaunchApplication(expectedFilePath, actualFilePath)
C#
void LaunchApplication(
   System.string expectedFilePath,
   System.string actualFilePath
)
Managed Extensions for C++
void LaunchApplication(
   System.string* expectedFilePath,
   System.string* actualFilePath
)

Parameters

expectedFilePath
The path to write the expected results
actualFilePath
The path to write the actual results

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

IDualFileReport Interface
IDualFileReport Members


%%PageItemTitle%%

[image]
Compare .NET Objects
OutputFiles Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > IDualFileReport Interface : OutputFiles Method

differences
A list of differences
expectedFilePath
The path to write the expected results
actualFilePath
The path to write the actual results

Glossary Item Box

Output the differences to two files

Syntax

Visual Basic (Declaration)
Sub OutputFiles( _
   ByVal differences As System.Collections.Generic.List(Of Difference), _
   ByVal expectedFilePath As System.String, _
   ByVal actualFilePath As System.String _
)
Visual Basic (Usage) Copy Code
Dim instance As IDualFileReport
Dim differences As System.Collections.Generic.List(Of Difference)
Dim expectedFilePath As System.String
Dim actualFilePath As System.String

instance.OutputFiles(differences, expectedFilePath, actualFilePath)
C#
void OutputFiles(
   System.Collections.Generic.List<Difference> differences,
   System.string expectedFilePath,
   System.string actualFilePath
)
Managed Extensions for C++
void OutputFiles(
   System.Collections.Generic.List<Difference*>* differences,
   System.string* expectedFilePath,
   System.string* actualFilePath
)

Parameters

differences
A list of differences
expectedFilePath
The path to write the expected results
actualFilePath
The path to write the actual results

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

IDualFileReport Interface
IDualFileReport Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ISingleFileReport Interface
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace : ISingleFileReport Interface

Glossary Item Box

Defines a Single File Report

Syntax

Visual Basic (Declaration)
Public Interface ISingleFileReport
Visual Basic (Usage) Copy Code
Dim instance As ISingleFileReport
C#
public interface ISingleFileReport
Managed Extensions for C++
public __gc __interface ISingleFileReport

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ISingleFileReport Members
KellermanSoftware.CompareNetObjects.Reports Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
ISingleFileReport Interface Members
See Also Methods Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace : ISingleFileReport Interface

Glossary Item Box

The following tables list the members exposed by ISingleFileReport.

Public Methods

 | Name | Description
Method | LaunchApplication | Launch the application for showing the file
Method | OutputFile | Output the differences to a file
Method | OutputStream | Output the differences to a stream
Method | OutputString | Output the differences to a string
Top

See Also

Reference

ISingleFileReport Interface
KellermanSoftware.CompareNetObjects.Reports Namespace


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
ISingleFileReport Interface Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace : ISingleFileReport Interface

Glossary Item Box

For a list of all members of this type, see ISingleFileReport members.

Public Methods

 | Name | Description
Method | LaunchApplication | Launch the application for showing the file
Method | OutputFile | Output the differences to a file
Method | OutputStream | Output the differences to a stream
Method | OutputString | Output the differences to a string
Top

See Also

Reference

ISingleFileReport Interface
KellermanSoftware.CompareNetObjects.Reports Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
LaunchApplication Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > ISingleFileReport Interface : LaunchApplication Method

filePath
The file path

Glossary Item Box

Launch the application for showing the file

Syntax

Visual Basic (Declaration)
Sub LaunchApplication( _
   ByVal filePath As System.String _
)
Visual Basic (Usage) Copy Code
Dim instance As ISingleFileReport
Dim filePath As System.String

instance.LaunchApplication(filePath)
C#
void LaunchApplication(
   System.string filePath
)
Managed Extensions for C++
void LaunchApplication(
   System.string* filePath
)

Parameters

filePath
The file path

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ISingleFileReport Interface
ISingleFileReport Members


%%PageItemTitle%%

[image]
Compare .NET Objects
OutputFile Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > ISingleFileReport Interface : OutputFile Method

differences
A list of differences
filePath
The file path

Glossary Item Box

Output the differences to a file

Syntax

Visual Basic (Declaration)
Sub OutputFile( _
   ByVal differences As System.Collections.Generic.List(Of Difference), _
   ByVal filePath As System.String _
)
Visual Basic (Usage) Copy Code
Dim instance As ISingleFileReport
Dim differences As System.Collections.Generic.List(Of Difference)
Dim filePath As System.String

instance.OutputFile(differences, filePath)
C#
void OutputFile(
   System.Collections.Generic.List<Difference> differences,
   System.string filePath
)
Managed Extensions for C++
void OutputFile(
   System.Collections.Generic.List<Difference*>* differences,
   System.string* filePath
)

Parameters

differences
A list of differences
filePath
The file path

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ISingleFileReport Interface
ISingleFileReport Members


%%PageItemTitle%%

[image]
Compare .NET Objects
OutputStream Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > ISingleFileReport Interface : OutputStream Method

differences
A list of differences
stream
Where to write to

Glossary Item Box

Output the differences to a stream

Syntax

Visual Basic (Declaration)
Sub OutputStream( _
   ByVal differences As System.Collections.Generic.List(Of Difference), _
   ByVal stream As System.IO.Stream _
)
Visual Basic (Usage) Copy Code
Dim instance As ISingleFileReport
Dim differences As System.Collections.Generic.List(Of Difference)
Dim stream As System.IO.Stream

instance.OutputStream(differences, stream)
C#
void OutputStream(
   System.Collections.Generic.List<Difference> differences,
   System.IO.Stream stream
)
Managed Extensions for C++
void OutputStream(
   System.Collections.Generic.List<Difference*>* differences,
   System.IO.Stream* stream
)

Parameters

differences
A list of differences
stream
Where to write to

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ISingleFileReport Interface
ISingleFileReport Members


%%PageItemTitle%%

[image]
Compare .NET Objects
OutputString Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.Reports Namespace > ISingleFileReport Interface : OutputString Method

differences
A list of differences

Glossary Item Box

Output the differences to a string

Syntax

Visual Basic (Declaration)
Function OutputString( _
   ByVal differences As System.Collections.Generic.List(Of Difference) _
) As System.String
Visual Basic (Usage) Copy Code
Dim instance As ISingleFileReport
Dim differences As System.Collections.Generic.List(Of Difference)
Dim value As System.String

value = instance.OutputString(differences)
C#
System.string OutputString(
   System.Collections.Generic.List<Difference> differences
)
Managed Extensions for C++
System.string* OutputString(
   System.Collections.Generic.List<Difference*>* differences
)

Parameters

differences
A list of differences

Return Value

A string

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ISingleFileReport Interface
ISingleFileReport Members


%%ItemTitle%%

KellermanSoftware.CompareNetObjects.TypeComparers Namespace
See Also Inheritance Hierarchy Send Feedback

Glossary Item Box

Classes

 | Class | Description
Class | BaseComparer | Common functionality for all Comparers
Class | BaseTypeComparer | Common functionality for all Type Comparers
Class | ByteArrayComparer | Compare two byte arrays
Class | ClassComparer | Compare two objects of type class
Class | CollectionComparer | Logic to compare two collections of different types.
Class | DataColumnComparer | Compare a data column
Class | DataRowComparer | Compare all columns in a data row
Class | DatasetComparer | Compare all tables and all rows in all tables
Class | DataTableComparer | Compare all rows in a data table
Class | DateComparer | Compare dates with the option to ignore based on milliseconds
Class | DateTimeOffSetComparer | Compare DateTimeOffsets with the ability to ignore millisecond differences
Class | DecimalComparer | Compare Decimal values with the ability to specify the precision
Class | DictionaryComparer | Logic to compare two dictionaries
Class | DoubleComparer | Compare Double values with the ability to specify the precision
Class | EnumComparer | Logic to compare to enum values
Class | EnumerableComparer | Logic to compare two LINQ enumerators
Class | FieldComparer | Compare all the fields of a class or struct (Note this derrives from BaseComparer, not TypeComparer)
Class | FontComparer | Class FontDescriptorComparer.
Class | HashSetComparer | Logic to compare two hash sets
Class | ImmutableArrayComparer | Compares System.Collections.Immutable.ImmutableArray
Class | IndexerComparer | Logic to compare an integer indexer (Note, inherits from BaseComparer, not TypeComparer)
Class | IpEndPointComparer | Logic to compare two IP End Points
Class | ListComparer | Compare objects that implement IList
Class | PointerComparer | Logic to compare to pointers
Class | PropertyComparer | Compare two properties (Note inherits from BaseComparer instead of TypeComparer
Class | RuntimeTypeComparer | Logic to compare two runtime types
Class | SimpleTypeComparer | Compare primitive types (long, int, short, byte etc.) and DateTime, decimal, and Guid
Class | StringBuilderComparer | Compare two StringBuilders
Class | StringComparer | Compare two strings
Class | StructComparer | Compare two structs
Class | TimespanComparer | Logic to compare two timespans
Class | UriComparer | Compare two URIs

See Also

Reference

KellermanSoftware.Compare-NET-Objects Assembly


%%PageItemTitle%%

[image]
Compare .NET Objects
BaseComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : BaseComparer Class

Glossary Item Box

Common functionality for all Comparers

Object Model

BaseComparer Class

Syntax

Visual Basic (Declaration)
Public Class BaseComparer
Visual Basic (Usage) Copy Code
Dim instance As BaseComparer
C#
public class BaseComparer
Managed Extensions for C++
public __gc class BaseComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.IgnoreOrderTypes.IgnoreOrderLogic
KellermanSoftware.CompareNetObjects.RootComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.FieldComparer
KellermanSoftware.CompareNetObjects.TypeComparers.IndexerComparer
KellermanSoftware.CompareNetObjects.TypeComparers.PropertyComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

BaseComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
BaseComparer Class Members
See Also Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : BaseComparer Class

Glossary Item Box

The following tables list the members exposed by BaseComparer.

Public Constructors

 | Name | Description
Public Constructor | BaseComparer Constructor |
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters
Protected Method | NiceString | Convert an object to a nicely formatted string
Top

See Also

Reference

BaseComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
BaseComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > BaseComparer Class : BaseComparer Constructor

Glossary Item Box

Syntax

Visual Basic (Declaration)
Public Function New()
Visual Basic (Usage) Copy Code
Dim instance As New BaseComparer()
C#
public BaseComparer()
Managed Extensions for C++
public: BaseComparer();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

BaseComparer Class
BaseComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
BaseComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : BaseComparer Class

Glossary Item Box

For a list of all members of this type, see BaseComparer members.

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters
Protected Method | NiceString | Convert an object to a nicely formatted string
Top

See Also

Reference

BaseComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
AddBreadCrumb Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > BaseComparer Class : AddBreadCrumb Method

Glossary Item Box

Add a breadcrumb to an existing breadcrumb

Overload List

Overload | Description
AddBreadCrumb(ComparisonConfig,String,String) | Add a breadcrumb to an existing breadcrumb
AddBreadCrumb(ComparisonConfig,String,String,String,Int32) | Add a breadcrumb to an existing breadcrumb
AddBreadCrumb(ComparisonConfig,String,String,String,String) | Add a breadcrumb to an existing breadcrumb

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

BaseComparer Class
BaseComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
AddBreadCrumb(ComparisonConfig,String,String) Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > BaseComparer Class > AddBreadCrumb Method : AddBreadCrumb(ComparisonConfig,String,String) Method

config
Comparison configuration
existing
The existing breadcrumb
name
The field or property name

Glossary Item Box

Add a breadcrumb to an existing breadcrumb

Syntax

Visual Basic (Declaration)
Protected Overloads Function AddBreadCrumb( _
   ByVal config As ComparisonConfig, _
   ByVal existing As System.String, _
   ByVal name As System.String _
) As System.String
Visual Basic (Usage) Copy Code
Dim instance As BaseComparer
Dim config As ComparisonConfig
Dim existing As System.String
Dim name As System.String
Dim value As System.String

value = instance.AddBreadCrumb(config, existing, name)
C#
protected System.string AddBreadCrumb(
   ComparisonConfig config,
   System.string existing,
   System.string name
)
Managed Extensions for C++
protected: System.string* AddBreadCrumb(
   ComparisonConfig* config,
   System.string* existing,
   System.string* name
)

Parameters

config
Comparison configuration
existing
The existing breadcrumb
name
The field or property name

Return Value

The new breadcrumb

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

BaseComparer Class
BaseComparer Members
Overload List


%%PageItemTitle%%

[image]
Compare .NET Objects
AddBreadCrumb(ComparisonConfig,String,String,String,Int32) Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > BaseComparer Class > AddBreadCrumb Method : AddBreadCrumb(ComparisonConfig,String,String,String,Int32) Method

config
The comparison configuration
existing
The existing breadcrumb
name
The property or field name
extra
Extra information to output after the name
index
The index for an array, list, or row

Glossary Item Box

Add a breadcrumb to an existing breadcrumb

Syntax

Visual Basic (Declaration)
Protected Overloads Function AddBreadCrumb( _
   ByVal config As ComparisonConfig, _
   ByVal existing As System.String, _
   ByVal name As System.String, _
   ByVal extra As System.String, _
   ByVal index As System.Integer _
) As System.String
Visual Basic (Usage) Copy Code
Dim instance As BaseComparer
Dim config As ComparisonConfig
Dim existing As System.String
Dim name As System.String
Dim extra As System.String
Dim index As System.Integer
Dim value As System.String

value = instance.AddBreadCrumb(config, existing, name, extra, index)
C#
protected System.string AddBreadCrumb(
   ComparisonConfig config,
   System.string existing,
   System.string name,
   System.string extra,
   System.int index
)
Managed Extensions for C++
protected: System.string* AddBreadCrumb(
   ComparisonConfig* config,
   System.string* existing,
   System.string* name,
   System.string* extra,
   System.int index
)

Parameters

config
The comparison configuration
existing
The existing breadcrumb
name
The property or field name
extra
Extra information to output after the name
index
The index for an array, list, or row

Return Value

The new breadcrumb

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

BaseComparer Class
BaseComparer Members
Overload List


%%PageItemTitle%%

[image]
Compare .NET Objects
AddBreadCrumb(ComparisonConfig,String,String,String,String) Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > BaseComparer Class > AddBreadCrumb Method : AddBreadCrumb(ComparisonConfig,String,String,String,String) Method

config
Comparison configuration
existing
The existing breadcrumb
name
The field or property name
extra
Extra information to append after the name
index
The index if it is an array, list, row etc.

Glossary Item Box

Add a breadcrumb to an existing breadcrumb

Syntax

Visual Basic (Declaration)
Protected Overloads Function AddBreadCrumb( _
   ByVal config As ComparisonConfig, _
   ByVal existing As System.String, _
   ByVal name As System.String, _
   ByVal extra As System.String, _
   ByVal index As System.String _
) As System.String
Visual Basic (Usage) Copy Code
Dim instance As BaseComparer
Dim config As ComparisonConfig
Dim existing As System.String
Dim name As System.String
Dim extra As System.String
Dim index As System.String
Dim value As System.String

value = instance.AddBreadCrumb(config, existing, name, extra, index)
C#
protected System.string AddBreadCrumb(
   ComparisonConfig config,
   System.string existing,
   System.string name,
   System.string extra,
   System.string index
)
Managed Extensions for C++
protected: System.string* AddBreadCrumb(
   ComparisonConfig* config,
   System.string* existing,
   System.string* name,
   System.string* extra,
   System.string* index
)

Parameters

config
Comparison configuration
existing
The existing breadcrumb
name
The field or property name
extra
Extra information to append after the name
index
The index if it is an array, list, row etc.

Return Value

The new breadcrumb

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

BaseComparer Class
BaseComparer Members
Overload List


%%PageItemTitle%%

[image]
Compare .NET Objects
AddDifference Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > BaseComparer Class : AddDifference Method

Glossary Item Box

Add a difference for the current parameters

Overload List

Overload | Description
AddDifference(CompareParms) | Add a difference for the current parameters
AddDifference(ComparisonResult,Difference) | Add a difference to the result

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

BaseComparer Class
BaseComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
AddDifference(CompareParms) Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > BaseComparer Class > AddDifference Method : AddDifference(CompareParms) Method

parameters

Glossary Item Box

Add a difference for the current parameters

Syntax

Visual Basic (Declaration)
Protected Overloads Sub AddDifference( _
   ByVal parameters As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As BaseComparer
Dim parameters As CompareParms

instance.AddDifference(parameters)
C#
protected void AddDifference(
   CompareParms parameters
)
Managed Extensions for C++
protected: void AddDifference(
   CompareParms* parameters
)

Parameters

parameters

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

BaseComparer Class
BaseComparer Members
Overload List


%%PageItemTitle%%

[image]
Compare .NET Objects
AddDifference(ComparisonResult,Difference) Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > BaseComparer Class > AddDifference Method : AddDifference(ComparisonResult,Difference) Method

result
The comparison result
difference
The difference to add to the result

Glossary Item Box

Add a difference to the result

Syntax

Visual Basic (Declaration)
Protected Overloads Sub AddDifference( _
   ByVal result As ComparisonResult, _
   ByVal difference As Difference _
)
Visual Basic (Usage) Copy Code
Dim instance As BaseComparer
Dim result As ComparisonResult
Dim difference As Difference

instance.AddDifference(result, difference)
C#
protected void AddDifference(
   ComparisonResult result,
   Difference difference
)
Managed Extensions for C++
protected: void AddDifference(
   ComparisonResult* result,
   Difference* difference
)

Parameters

result
The comparison result
difference
The difference to add to the result

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

BaseComparer Class
BaseComparer Members
Overload List


%%PageItemTitle%%

[image]
Compare .NET Objects
NiceString Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > BaseComparer Class : NiceString Method

value

Glossary Item Box

Convert an object to a nicely formatted string

Syntax

Visual Basic (Declaration)
Protected Function NiceString( _
   ByVal value As System.Object _
) As System.String
Visual Basic (Usage) Copy Code
Dim instance As BaseComparer
Dim value As System.Object
Dim value As System.String

value = instance.NiceString(value)
C#
protected System.string NiceString(
   System.object value
)
Managed Extensions for C++
protected: System.string* NiceString(
   System.Object* value
)

Parameters

value

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

BaseComparer Class
BaseComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
BaseTypeComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : BaseTypeComparer Class

Glossary Item Box

Common functionality for all Type Comparers

Object Model

BaseTypeComparer Class

Syntax

Visual Basic (Declaration)
Public MustInherit Class BaseTypeComparer
   Inherits BaseComparer
Visual Basic (Usage) Copy Code
Dim instance As BaseTypeComparer
C#
public abstract class BaseTypeComparer : BaseComparer
Managed Extensions for C++
public __gc abstract class BaseTypeComparer : public BaseComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.ByteArrayComparer
KellermanSoftware.CompareNetObjects.TypeComparers.ClassComparer
KellermanSoftware.CompareNetObjects.TypeComparers.CollectionComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DataColumnComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DataRowComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DatasetComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DataTableComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DateComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DateTimeOffSetComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DecimalComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DictionaryComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DoubleComparer
KellermanSoftware.CompareNetObjects.TypeComparers.EnumComparer
KellermanSoftware.CompareNetObjects.TypeComparers.EnumerableComparer
KellermanSoftware.CompareNetObjects.TypeComparers.FontComparer
KellermanSoftware.CompareNetObjects.TypeComparers.HashSetComparer
KellermanSoftware.CompareNetObjects.TypeComparers.ImmutableArrayComparer
KellermanSoftware.CompareNetObjects.TypeComparers.IpEndPointComparer
KellermanSoftware.CompareNetObjects.TypeComparers.ListComparer
KellermanSoftware.CompareNetObjects.TypeComparers.PointerComparer
KellermanSoftware.CompareNetObjects.TypeComparers.RuntimeTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.SimpleTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.StringBuilderComparer
KellermanSoftware.CompareNetObjects.TypeComparers.StringComparer
KellermanSoftware.CompareNetObjects.TypeComparers.StructComparer
KellermanSoftware.CompareNetObjects.TypeComparers.TimespanComparer
KellermanSoftware.CompareNetObjects.TypeComparers.UriComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

BaseTypeComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
BaseTypeComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : BaseTypeComparer Class

Glossary Item Box

The following tables list the members exposed by BaseTypeComparer.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory
Top

Public Methods

 | Name | Description
Public Method | CompareType | Compare the two objects
Public Method | IsTypeMatch | If true the type comparer will handle the comparison for the type
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

BaseTypeComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
BaseTypeComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : BaseTypeComparer Class

Glossary Item Box

For a list of all members of this type, see BaseTypeComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Compare the two objects
Public Method | IsTypeMatch | If true the type comparer will handle the comparison for the type
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

BaseTypeComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > BaseTypeComparer Class : CompareType Method

parms

Glossary Item Box

Compare the two objects

Syntax

Visual Basic (Declaration)
Public MustOverride Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As BaseTypeComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public abstract void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: abstract void CompareType(
   CompareParms* parms
)

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

BaseTypeComparer Class
BaseTypeComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > BaseTypeComparer Class : IsTypeMatch Method

type1
The type of the first object
type2
The type of the second object

Glossary Item Box

If true the type comparer will handle the comparison for the type

Syntax

Visual Basic (Declaration)
Public MustOverride Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As BaseTypeComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public abstract System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: abstract System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
)

Parameters

type1
The type of the first object
type2
The type of the second object

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

BaseTypeComparer Class
BaseTypeComparer Members


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
BaseTypeComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : BaseTypeComparer Class

Glossary Item Box

For a list of all members of this type, see BaseTypeComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory
Top

See Also

Reference

BaseTypeComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
RootComparer Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > BaseTypeComparer Class : RootComparer Property

Glossary Item Box

A reference to the root comparer as newed up by the RootComparerFactory

Syntax

Visual Basic (Declaration)
Public Property RootComparer As RootComparer
Visual Basic (Usage) Copy Code
Dim instance As BaseTypeComparer
Dim value As RootComparer

instance.RootComparer = value

value = instance.RootComparer
C#
public RootComparer RootComparer {get; set;}
Managed Extensions for C++
public: __property RootComparer* get_RootComparer();
public: __property void set_RootComparer(
   RootComparer* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

BaseTypeComparer Class
BaseTypeComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ByteArrayComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : ByteArrayComparer Class

Glossary Item Box

Compare two byte arrays

Object Model

ByteArrayComparer Class

Syntax

Visual Basic (Declaration)
Public Class ByteArrayComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As ByteArrayComparer
C#
public class ByteArrayComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class ByteArrayComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.ByteArrayComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ByteArrayComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
ByteArrayComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : ByteArrayComparer Class

Glossary Item Box

The following tables list the members exposed by ByteArrayComparer.

Public Constructors

 | Name | Description
Public Constructor | ByteArrayComparer Constructor | Protected constructor that references the root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two byte array objects
Public Method | IsTypeMatch | Overridden. If true the type comparer will handle the comparison for the type
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

ByteArrayComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
ByteArrayComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > ByteArrayComparer Class : ByteArrayComparer Constructor

rootComparer
The root comparer.

Glossary Item Box

Protected constructor that references the root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New ByteArrayComparer(rootComparer)
C#
public ByteArrayComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: ByteArrayComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer
The root comparer.

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ByteArrayComparer Class
ByteArrayComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
ByteArrayComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : ByteArrayComparer Class

Glossary Item Box

For a list of all members of this type, see ByteArrayComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two byte array objects
Public Method | IsTypeMatch | Overridden. If true the type comparer will handle the comparison for the type
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

ByteArrayComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > ByteArrayComparer Class : CompareType Method

parms

Glossary Item Box

Compare two byte array objects

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As ByteArrayComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ByteArrayComparer Class
ByteArrayComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > ByteArrayComparer Class : IsTypeMatch Method

type1
The type of the first object
type2
The type of the second object

Glossary Item Box

If true the type comparer will handle the comparison for the type

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ByteArrayComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
The type of the first object
type2
The type of the second object

Return Value

true if it is a byte array; otherwise, false.

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ByteArrayComparer Class
ByteArrayComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ClassComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : ClassComparer Class

Glossary Item Box

Compare two objects of type class

Object Model

ClassComparer Class

Syntax

Visual Basic (Declaration)
Public Class ClassComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As ClassComparer
C#
public class ClassComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class ClassComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.ClassComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ClassComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
ClassComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : ClassComparer Class

Glossary Item Box

The following tables list the members exposed by ClassComparer.

Public Constructors

 | Name | Description
Public Constructor | ClassComparer Constructor | Constructor for the class comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two classes
Public Method | IsTypeMatch | Overridden. Returns true if the both objects are a class
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

ClassComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
ClassComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > ClassComparer Class : ClassComparer Constructor

rootComparer
The root comparer instantiated by the RootComparerFactory

Glossary Item Box

Constructor for the class comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New ClassComparer(rootComparer)
C#
public ClassComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: ClassComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer
The root comparer instantiated by the RootComparerFactory

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ClassComparer Class
ClassComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
ClassComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : ClassComparer Class

Glossary Item Box

For a list of all members of this type, see ClassComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two classes
Public Method | IsTypeMatch | Overridden. Returns true if the both objects are a class
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

ClassComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > ClassComparer Class : CompareType Method

parms

Glossary Item Box

Compare two classes

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As ClassComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ClassComparer Class
ClassComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > ClassComparer Class : IsTypeMatch Method

type1
The type of the first object
type2
The type of the second object

Glossary Item Box

Returns true if the both objects are a class

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ClassComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
The type of the first object
type2
The type of the second object

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ClassComparer Class
ClassComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
CollectionComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : CollectionComparer Class

Glossary Item Box

Logic to compare two collections of different types.

Object Model

CollectionComparer Class

Syntax

Visual Basic (Declaration)
Public Class CollectionComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As CollectionComparer
C#
public class CollectionComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class CollectionComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.CollectionComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CollectionComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
CollectionComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : CollectionComparer Class

Glossary Item Box

The following tables list the members exposed by CollectionComparer.

Public Constructors

 | Name | Description
Public Constructor | CollectionComparer Constructor | The main constructor.
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two collections.
Public Method | IsTypeMatch | Overridden. Returns true if both objects are collections.
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

CollectionComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CollectionComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > CollectionComparer Class : CollectionComparer Constructor

rootComparer

Glossary Item Box

The main constructor.

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New CollectionComparer(rootComparer)
C#
public CollectionComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: CollectionComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CollectionComparer Class
CollectionComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
CollectionComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : CollectionComparer Class

Glossary Item Box

For a list of all members of this type, see CollectionComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two collections.
Public Method | IsTypeMatch | Overridden. Returns true if both objects are collections.
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

CollectionComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > CollectionComparer Class : CompareType Method

parms

Glossary Item Box

Compare two collections.

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As CollectionComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CollectionComparer Class
CollectionComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > CollectionComparer Class : IsTypeMatch Method

type1
The type of the first object
type2
The type of the second object

Glossary Item Box

Returns true if both objects are collections.

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As CollectionComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
The type of the first object
type2
The type of the second object

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CollectionComparer Class
CollectionComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
DataColumnComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DataColumnComparer Class

Glossary Item Box

Compare a data column

Object Model

DataColumnComparer Class

Syntax

Visual Basic (Declaration)
Public Class DataColumnComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As DataColumnComparer
C#
public class DataColumnComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class DataColumnComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DataColumnComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DataColumnComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
DataColumnComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DataColumnComparer Class

Glossary Item Box

The following tables list the members exposed by DataColumnComparer.

Public Constructors

 | Name | Description
Public Constructor | DataColumnComparer Constructor | Default constructor
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare a Data Column
Public Method | IsTypeMatch | Overridden. Returns true if both types compared are a DataColumn
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

DataColumnComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
DataColumnComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DataColumnComparer Class : DataColumnComparer Constructor

rootComparer

Glossary Item Box

Default constructor

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New DataColumnComparer(rootComparer)
C#
public DataColumnComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: DataColumnComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DataColumnComparer Class
DataColumnComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
DataColumnComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DataColumnComparer Class

Glossary Item Box

For a list of all members of this type, see DataColumnComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare a Data Column
Public Method | IsTypeMatch | Overridden. Returns true if both types compared are a DataColumn
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

DataColumnComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DataColumnComparer Class : CompareType Method

parms

Glossary Item Box

Compare a Data Column

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As DataColumnComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DataColumnComparer Class
DataColumnComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DataColumnComparer Class : IsTypeMatch Method

type1
type2

Glossary Item Box

Returns true if both types compared are a DataColumn

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As DataColumnComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
type2

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DataColumnComparer Class
DataColumnComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
DataRowComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DataRowComparer Class

Glossary Item Box

Compare all columns in a data row

Object Model

DataRowComparer Class

Syntax

Visual Basic (Declaration)
Public Class DataRowComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As DataRowComparer
C#
public class DataRowComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class DataRowComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DataRowComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DataRowComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
DataRowComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DataRowComparer Class

Glossary Item Box

The following tables list the members exposed by DataRowComparer.

Public Constructors

 | Name | Description
Public Constructor | DataRowComparer Constructor | Constructor that takes a root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two data rows
Public Method | IsTypeMatch | Overridden. Returns true if this is a DataRow
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

DataRowComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
DataRowComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DataRowComparer Class : DataRowComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New DataRowComparer(rootComparer)
C#
public DataRowComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: DataRowComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DataRowComparer Class
DataRowComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
DataRowComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DataRowComparer Class

Glossary Item Box

For a list of all members of this type, see DataRowComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two data rows
Public Method | IsTypeMatch | Overridden. Returns true if this is a DataRow
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

DataRowComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DataRowComparer Class : CompareType Method

parms

Glossary Item Box

Compare two data rows

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As DataRowComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DataRowComparer Class
DataRowComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DataRowComparer Class : IsTypeMatch Method

type1
The type of the first object
type2
The type of the second object

Glossary Item Box

Returns true if this is a DataRow

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As DataRowComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
The type of the first object
type2
The type of the second object

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DataRowComparer Class
DataRowComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
DatasetComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DatasetComparer Class

Glossary Item Box

Compare all tables and all rows in all tables

Object Model

DatasetComparer Class

Syntax

Visual Basic (Declaration)
Public Class DatasetComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As DatasetComparer
C#
public class DatasetComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class DatasetComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DatasetComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DatasetComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
DatasetComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DatasetComparer Class

Glossary Item Box

The following tables list the members exposed by DatasetComparer.

Public Constructors

 | Name | Description
Public Constructor | DatasetComparer Constructor | Constructor that takes a root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two data sets
Public Method | IsTypeMatch | Overridden. Returns true if both objects are data sets
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

DatasetComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
DatasetComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DatasetComparer Class : DatasetComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New DatasetComparer(rootComparer)
C#
public DatasetComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: DatasetComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DatasetComparer Class
DatasetComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
DatasetComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DatasetComparer Class

Glossary Item Box

For a list of all members of this type, see DatasetComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two data sets
Public Method | IsTypeMatch | Overridden. Returns true if both objects are data sets
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

DatasetComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DatasetComparer Class : CompareType Method

parms

Glossary Item Box

Compare two data sets

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As DatasetComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DatasetComparer Class
DatasetComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DatasetComparer Class : IsTypeMatch Method

type1
The type of the first object
type2
The type of the second object

Glossary Item Box

Returns true if both objects are data sets

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As DatasetComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
The type of the first object
type2
The type of the second object

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DatasetComparer Class
DatasetComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
DataTableComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DataTableComparer Class

Glossary Item Box

Compare all rows in a data table

Object Model

DataTableComparer Class

Syntax

Visual Basic (Declaration)
Public Class DataTableComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As DataTableComparer
C#
public class DataTableComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class DataTableComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DataTableComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DataTableComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
DataTableComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DataTableComparer Class

Glossary Item Box

The following tables list the members exposed by DataTableComparer.

Public Constructors

 | Name | Description
Public Constructor | DataTableComparer Constructor | Constructor that takes a root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two datatables
Public Method | IsTypeMatch | Overridden. Returns true if both objects are of type DataTable
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

DataTableComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
DataTableComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DataTableComparer Class : DataTableComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New DataTableComparer(rootComparer)
C#
public DataTableComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: DataTableComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DataTableComparer Class
DataTableComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
DataTableComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DataTableComparer Class

Glossary Item Box

For a list of all members of this type, see DataTableComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two datatables
Public Method | IsTypeMatch | Overridden. Returns true if both objects are of type DataTable
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

DataTableComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DataTableComparer Class : CompareType Method

parms

Glossary Item Box

Compare two datatables

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As DataTableComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DataTableComparer Class
DataTableComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DataTableComparer Class : IsTypeMatch Method

type1
The type of the first object
type2
The type of the second object

Glossary Item Box

Returns true if both objects are of type DataTable

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As DataTableComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
The type of the first object
type2
The type of the second object

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DataTableComparer Class
DataTableComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
DateComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DateComparer Class

Glossary Item Box

Compare dates with the option to ignore based on milliseconds

Object Model

DateComparer Class

Syntax

Visual Basic (Declaration)
Public Class DateComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As DateComparer
C#
public class DateComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class DateComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DateComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DateComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
DateComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DateComparer Class

Glossary Item Box

The following tables list the members exposed by DateComparer.

Public Constructors

 | Name | Description
Public Constructor | DateComparer Constructor | Constructor that takes a root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two DateTime variables
Public Method | IsTypeMatch | Overridden. Returns true if both types are DateTime
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

DateComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
DateComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DateComparer Class : DateComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New DateComparer(rootComparer)
C#
public DateComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: DateComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DateComparer Class
DateComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
DateComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DateComparer Class

Glossary Item Box

For a list of all members of this type, see DateComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two DateTime variables
Public Method | IsTypeMatch | Overridden. Returns true if both types are DateTime
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

DateComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DateComparer Class : CompareType Method

parms

Glossary Item Box

Compare two DateTime variables

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As DateComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DateComparer Class
DateComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DateComparer Class : IsTypeMatch Method

type1
type2

Glossary Item Box

Returns true if both types are DateTime

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As DateComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
type2

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DateComparer Class
DateComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
DateTimeOffSetComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DateTimeOffSetComparer Class

Glossary Item Box

Compare DateTimeOffsets with the ability to ignore millisecond differences

Object Model

DateTimeOffSetComparer Class

Syntax

Visual Basic (Declaration)
Public Class DateTimeOffSetComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As DateTimeOffSetComparer
C#
public class DateTimeOffSetComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class DateTimeOffSetComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DateTimeOffSetComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DateTimeOffSetComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
DateTimeOffSetComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DateTimeOffSetComparer Class

Glossary Item Box

The following tables list the members exposed by DateTimeOffSetComparer.

Public Constructors

 | Name | Description
Public Constructor | DateTimeOffSetComparer Constructor | Constructor that takes a root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two DateTimeOffset
Public Method | IsTypeMatch | Overridden. Returns true if both types are DateTimeOffset
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

DateTimeOffSetComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
DateTimeOffSetComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DateTimeOffSetComparer Class : DateTimeOffSetComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New DateTimeOffSetComparer(rootComparer)
C#
public DateTimeOffSetComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: DateTimeOffSetComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DateTimeOffSetComparer Class
DateTimeOffSetComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
DateTimeOffSetComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DateTimeOffSetComparer Class

Glossary Item Box

For a list of all members of this type, see DateTimeOffSetComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two DateTimeOffset
Public Method | IsTypeMatch | Overridden. Returns true if both types are DateTimeOffset
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

DateTimeOffSetComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DateTimeOffSetComparer Class : CompareType Method

parms

Glossary Item Box

Compare two DateTimeOffset

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As DateTimeOffSetComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DateTimeOffSetComparer Class
DateTimeOffSetComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DateTimeOffSetComparer Class : IsTypeMatch Method

type1
type2

Glossary Item Box

Returns true if both types are DateTimeOffset

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As DateTimeOffSetComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
type2

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DateTimeOffSetComparer Class
DateTimeOffSetComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
DecimalComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DecimalComparer Class

Glossary Item Box

Compare Decimal values with the ability to specify the precision

Object Model

DecimalComparer Class

Syntax

Visual Basic (Declaration)
Public Class DecimalComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As DecimalComparer
C#
public class DecimalComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class DecimalComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DecimalComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DecimalComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
DecimalComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DecimalComparer Class

Glossary Item Box

The following tables list the members exposed by DecimalComparer.

Public Constructors

 | Name | Description
Public Constructor | DecimalComparer Constructor | Constructor that takes a root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two decimals
Public Method | IsTypeMatch | Overridden. Returns true if both types are double
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

DecimalComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
DecimalComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DecimalComparer Class : DecimalComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New DecimalComparer(rootComparer)
C#
public DecimalComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: DecimalComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DecimalComparer Class
DecimalComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
DecimalComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DecimalComparer Class

Glossary Item Box

For a list of all members of this type, see DecimalComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two decimals
Public Method | IsTypeMatch | Overridden. Returns true if both types are double
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

DecimalComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DecimalComparer Class : CompareType Method

parms

Glossary Item Box

Compare two decimals

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As DecimalComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DecimalComparer Class
DecimalComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DecimalComparer Class : IsTypeMatch Method

type1
type2

Glossary Item Box

Returns true if both types are double

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As DecimalComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
type2

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DecimalComparer Class
DecimalComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
DictionaryComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DictionaryComparer Class

Glossary Item Box

Logic to compare two dictionaries

Object Model

DictionaryComparer Class

Syntax

Visual Basic (Declaration)
Public Class DictionaryComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As DictionaryComparer
C#
public class DictionaryComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class DictionaryComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DictionaryComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DictionaryComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
DictionaryComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DictionaryComparer Class

Glossary Item Box

The following tables list the members exposed by DictionaryComparer.

Public Constructors

 | Name | Description
Public Constructor | DictionaryComparer Constructor | Constructor that takes a root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two dictionaries
Public Method | IsTypeMatch | Overridden. Returns true if both types are dictionaries
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

DictionaryComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
DictionaryComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DictionaryComparer Class : DictionaryComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New DictionaryComparer(rootComparer)
C#
public DictionaryComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: DictionaryComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DictionaryComparer Class
DictionaryComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
DictionaryComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DictionaryComparer Class

Glossary Item Box

For a list of all members of this type, see DictionaryComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two dictionaries
Public Method | IsTypeMatch | Overridden. Returns true if both types are dictionaries
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

DictionaryComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DictionaryComparer Class : CompareType Method

parms

Glossary Item Box

Compare two dictionaries

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As DictionaryComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DictionaryComparer Class
DictionaryComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DictionaryComparer Class : IsTypeMatch Method

type1
The type of the first object
type2
The type of the second object

Glossary Item Box

Returns true if both types are dictionaries

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As DictionaryComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
The type of the first object
type2
The type of the second object

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DictionaryComparer Class
DictionaryComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
DoubleComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DoubleComparer Class

Glossary Item Box

Compare Double values with the ability to specify the precision

Object Model

DoubleComparer Class

Syntax

Visual Basic (Declaration)
Public Class DoubleComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As DoubleComparer
C#
public class DoubleComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class DoubleComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DoubleComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DoubleComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
DoubleComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DoubleComparer Class

Glossary Item Box

The following tables list the members exposed by DoubleComparer.

Public Constructors

 | Name | Description
Public Constructor | DoubleComparer Constructor | Constructor that takes a root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two doubles
Public Method | IsTypeMatch | Overridden. Returns true if both types are double
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

DoubleComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
DoubleComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DoubleComparer Class : DoubleComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New DoubleComparer(rootComparer)
C#
public DoubleComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: DoubleComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DoubleComparer Class
DoubleComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
DoubleComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DoubleComparer Class

Glossary Item Box

For a list of all members of this type, see DoubleComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two doubles
Public Method | IsTypeMatch | Overridden. Returns true if both types are double
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

DoubleComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DoubleComparer Class : CompareType Method

parms

Glossary Item Box

Compare two doubles

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As DoubleComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DoubleComparer Class
DoubleComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > DoubleComparer Class : IsTypeMatch Method

type1
type2

Glossary Item Box

Returns true if both types are double

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As DoubleComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
type2

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

DoubleComparer Class
DoubleComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
EnumComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : EnumComparer Class

Glossary Item Box

Logic to compare to enum values

Object Model

EnumComparer Class

Syntax

Visual Basic (Declaration)
Public Class EnumComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As EnumComparer
C#
public class EnumComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class EnumComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.EnumComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

EnumComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
EnumComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : EnumComparer Class

Glossary Item Box

The following tables list the members exposed by EnumComparer.

Public Constructors

 | Name | Description
Public Constructor | EnumComparer Constructor | Constructor with a default root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two enums
Public Method | IsTypeMatch | Overridden. Returns true if both objects are of type enum
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

EnumComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
EnumComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > EnumComparer Class : EnumComparer Constructor

rootComparer

Glossary Item Box

Constructor with a default root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New EnumComparer(rootComparer)
C#
public EnumComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: EnumComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

EnumComparer Class
EnumComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
EnumComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : EnumComparer Class

Glossary Item Box

For a list of all members of this type, see EnumComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two enums
Public Method | IsTypeMatch | Overridden. Returns true if both objects are of type enum
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

EnumComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > EnumComparer Class : CompareType Method

parms

Glossary Item Box

Compare two enums

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As EnumComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

EnumComparer Class
EnumComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > EnumComparer Class : IsTypeMatch Method

type1
The type of the first object
type2
The type of the second object

Glossary Item Box

Returns true if both objects are of type enum

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As EnumComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
The type of the first object
type2
The type of the second object

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

EnumComparer Class
EnumComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
EnumerableComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : EnumerableComparer Class

Glossary Item Box

Logic to compare two LINQ enumerators

Object Model

EnumerableComparer Class

Syntax

Visual Basic (Declaration)
Public Class EnumerableComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As EnumerableComparer
C#
public class EnumerableComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class EnumerableComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.EnumerableComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

EnumerableComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
EnumerableComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : EnumerableComparer Class

Glossary Item Box

The following tables list the members exposed by EnumerableComparer.

Public Constructors

 | Name | Description
Public Constructor | EnumerableComparer Constructor | Constructor that takes a root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two objects that implement LINQ Enumerator
Public Method | IsTypeMatch | Overridden. Returns true if either object is of type LINQ Enumerator
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

EnumerableComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
EnumerableComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > EnumerableComparer Class : EnumerableComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New EnumerableComparer(rootComparer)
C#
public EnumerableComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: EnumerableComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

EnumerableComparer Class
EnumerableComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
EnumerableComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : EnumerableComparer Class

Glossary Item Box

For a list of all members of this type, see EnumerableComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two objects that implement LINQ Enumerator
Public Method | IsTypeMatch | Overridden. Returns true if either object is of type LINQ Enumerator
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

EnumerableComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > EnumerableComparer Class : CompareType Method

parms

Glossary Item Box

Compare two objects that implement LINQ Enumerator

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As EnumerableComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

EnumerableComparer Class
EnumerableComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > EnumerableComparer Class : IsTypeMatch Method

type1
The type of the first object
type2
The type of the second object

Glossary Item Box

Returns true if either object is of type LINQ Enumerator

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As EnumerableComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
The type of the first object
type2
The type of the second object

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

EnumerableComparer Class
EnumerableComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
FieldComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : FieldComparer Class

Glossary Item Box

Compare all the fields of a class or struct (Note this derrives from BaseComparer, not TypeComparer)

Object Model

FieldComparer Class

Syntax

Visual Basic (Declaration)
Public Class FieldComparer
   Inherits BaseComparer
Visual Basic (Usage) Copy Code
Dim instance As FieldComparer
C#
public class FieldComparer : BaseComparer
Managed Extensions for C++
public __gc class FieldComparer : public BaseComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.FieldComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

FieldComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
FieldComparer Class Members
See Also Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : FieldComparer Class

Glossary Item Box

The following tables list the members exposed by FieldComparer.

Public Constructors

 | Name | Description
Public Constructor | FieldComparer Constructor | Constructor with a root comparer
Top

Public Methods

 | Name | Description
Public Method | PerformCompareFields | Compare the fields of a class
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

FieldComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
FieldComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > FieldComparer Class : FieldComparer Constructor

rootComparer

Glossary Item Box

Constructor with a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New FieldComparer(rootComparer)
C#
public FieldComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: FieldComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

FieldComparer Class
FieldComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
FieldComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : FieldComparer Class

Glossary Item Box

For a list of all members of this type, see FieldComparer members.

Public Methods

 | Name | Description
Public Method | PerformCompareFields | Compare the fields of a class
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

FieldComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
PerformCompareFields Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > FieldComparer Class : PerformCompareFields Method

parms

Glossary Item Box

Compare the fields of a class

Syntax

Visual Basic (Declaration)
Public Sub PerformCompareFields( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As FieldComparer
Dim parms As CompareParms

instance.PerformCompareFields(parms)
C#
public void PerformCompareFields(
   CompareParms parms
)
Managed Extensions for C++
public: void PerformCompareFields(
   CompareParms* parms
)

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

FieldComparer Class
FieldComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
FontComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : FontComparer Class

Glossary Item Box

Class FontDescriptorComparer.

Object Model

FontComparer Class

Syntax

Visual Basic (Declaration)
Public Class FontComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As FontComparer
C#
public class FontComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class FontComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.FontComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

FontComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
FontComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : FontComparer Class

Glossary Item Box

The following tables list the members exposed by FontComparer.

Public Constructors

 | Name | Description
Public Constructor | FontComparer Constructor | Protected constructor that references the root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare the two fonts
Public Method | IsTypeMatch | Overridden. If true the type comparer will handle the comparison for the type
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

FontComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
FontComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > FontComparer Class : FontComparer Constructor

rootComparer
The root comparer.

Glossary Item Box

Protected constructor that references the root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New FontComparer(rootComparer)
C#
public FontComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: FontComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer
The root comparer.

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

FontComparer Class
FontComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
FontComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : FontComparer Class

Glossary Item Box

For a list of all members of this type, see FontComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare the two fonts
Public Method | IsTypeMatch | Overridden. If true the type comparer will handle the comparison for the type
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

FontComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > FontComparer Class : CompareType Method

parms

Glossary Item Box

Compare the two fonts

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As FontComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

FontComparer Class
FontComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > FontComparer Class : IsTypeMatch Method

type1
The type of the first object
type2
The type of the second object

Glossary Item Box

If true the type comparer will handle the comparison for the type

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As FontComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
The type of the first object
type2
The type of the second object

Return Value

true if [is type match] [the specified type1]; otherwise, false.

Exceptions

Exception | Description
System.NotImplementedException | The exception that is thrown when a requested method or operation is not implemented.

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

FontComparer Class
FontComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
HashSetComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : HashSetComparer Class

Glossary Item Box

Logic to compare two hash sets

Object Model

HashSetComparer Class

Syntax

Visual Basic (Declaration)
Public Class HashSetComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As HashSetComparer
C#
public class HashSetComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class HashSetComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.HashSetComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

HashSetComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
HashSetComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : HashSetComparer Class

Glossary Item Box

The following tables list the members exposed by HashSetComparer.

Public Constructors

 | Name | Description
Public Constructor | HashSetComparer Constructor | Constructor that takes a root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two hash sets
Public Method | IsTypeMatch | Overridden. Returns true if both objects are hash sets
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

HashSetComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
HashSetComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > HashSetComparer Class : HashSetComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New HashSetComparer(rootComparer)
C#
public HashSetComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: HashSetComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

HashSetComparer Class
HashSetComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
HashSetComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : HashSetComparer Class

Glossary Item Box

For a list of all members of this type, see HashSetComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two hash sets
Public Method | IsTypeMatch | Overridden. Returns true if both objects are hash sets
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

HashSetComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > HashSetComparer Class : CompareType Method

parms

Glossary Item Box

Compare two hash sets

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As HashSetComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

HashSetComparer Class
HashSetComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > HashSetComparer Class : IsTypeMatch Method

type1
The type of the first object
type2
The type of the second object

Glossary Item Box

Returns true if both objects are hash sets

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As HashSetComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
The type of the first object
type2
The type of the second object

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

HashSetComparer Class
HashSetComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ImmutableArrayComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : ImmutableArrayComparer Class

Glossary Item Box

Compares System.Collections.Immutable.ImmutableArray

Object Model

ImmutableArrayComparer Class

Syntax

Visual Basic (Declaration)
Public Class ImmutableArrayComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As ImmutableArrayComparer
C#
public class ImmutableArrayComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class ImmutableArrayComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.ImmutableArrayComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ImmutableArrayComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
ImmutableArrayComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : ImmutableArrayComparer Class

Glossary Item Box

The following tables list the members exposed by ImmutableArrayComparer.

Public Constructors

 | Name | Description
Public Constructor | ImmutableArrayComparer Constructor | Constructor that takes a root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compares two immutable arrays
Public Method | IsTypeMatch | Overridden. Returns true if both are immutable arrays with same generic argument type
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

ImmutableArrayComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
ImmutableArrayComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > ImmutableArrayComparer Class : ImmutableArrayComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New ImmutableArrayComparer(rootComparer)
C#
public ImmutableArrayComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: ImmutableArrayComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ImmutableArrayComparer Class
ImmutableArrayComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
ImmutableArrayComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : ImmutableArrayComparer Class

Glossary Item Box

For a list of all members of this type, see ImmutableArrayComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compares two immutable arrays
Public Method | IsTypeMatch | Overridden. Returns true if both are immutable arrays with same generic argument type
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

ImmutableArrayComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > ImmutableArrayComparer Class : CompareType Method

parms

Glossary Item Box

Compares two immutable arrays

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As ImmutableArrayComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ImmutableArrayComparer Class
ImmutableArrayComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > ImmutableArrayComparer Class : IsTypeMatch Method

type1
The type of the first object
type2
The type of the second object

Glossary Item Box

Returns true if both are immutable arrays with same generic argument type

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ImmutableArrayComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
The type of the first object
type2
The type of the second object

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ImmutableArrayComparer Class
ImmutableArrayComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IndexerComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : IndexerComparer Class

Glossary Item Box

Logic to compare an integer indexer (Note, inherits from BaseComparer, not TypeComparer)

Object Model

IndexerComparer Class

Syntax

Visual Basic (Declaration)
Public Class IndexerComparer
   Inherits BaseComparer
Visual Basic (Usage) Copy Code
Dim instance As IndexerComparer
C#
public class IndexerComparer : BaseComparer
Managed Extensions for C++
public __gc class IndexerComparer : public BaseComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.IndexerComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

IndexerComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
IndexerComparer Class Members
See Also Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : IndexerComparer Class

Glossary Item Box

The following tables list the members exposed by IndexerComparer.

Public Constructors

 | Name | Description
Public Constructor | IndexerComparer Constructor | Constructor that takes a root comparer
Top

Public Methods

 | Name | Description
Public Method | CompareIndexer | Compare an integer indexer
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

IndexerComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
IndexerComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > IndexerComparer Class : IndexerComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New IndexerComparer(rootComparer)
C#
public IndexerComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: IndexerComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

IndexerComparer Class
IndexerComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
IndexerComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : IndexerComparer Class

Glossary Item Box

For a list of all members of this type, see IndexerComparer members.

Public Methods

 | Name | Description
Public Method | CompareIndexer | Compare an integer indexer
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

IndexerComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareIndexer Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > IndexerComparer Class : CompareIndexer Method

parms
info

Glossary Item Box

Compare an integer indexer

Syntax

Visual Basic (Declaration)
Public Sub CompareIndexer( _
   ByVal parms As CompareParms, _
   ByVal info As PropertyEntity _
)
Visual Basic (Usage) Copy Code
Dim instance As IndexerComparer
Dim parms As CompareParms
Dim info As PropertyEntity

instance.CompareIndexer(parms, info)
C#
public void CompareIndexer(
   CompareParms parms,
   PropertyEntity info
)
Managed Extensions for C++
public: void CompareIndexer(
   CompareParms* parms,
   PropertyEntity* info
)

Parameters

parms
info

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

IndexerComparer Class
IndexerComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IpEndPointComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : IpEndPointComparer Class

Glossary Item Box

Logic to compare two IP End Points

Object Model

IpEndPointComparer Class

Syntax

Visual Basic (Declaration)
Public Class IpEndPointComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As IpEndPointComparer
C#
public class IpEndPointComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class IpEndPointComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.IpEndPointComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

IpEndPointComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
IpEndPointComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : IpEndPointComparer Class

Glossary Item Box

The following tables list the members exposed by IpEndPointComparer.

Public Constructors

 | Name | Description
Public Constructor | IpEndPointComparer Constructor | Constructor that takes a root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two IP End Points
Public Method | IsTypeMatch | Overridden. Returns true if both objects are an IP End Point
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

IpEndPointComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
IpEndPointComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > IpEndPointComparer Class : IpEndPointComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New IpEndPointComparer(rootComparer)
C#
public IpEndPointComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: IpEndPointComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

IpEndPointComparer Class
IpEndPointComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
IpEndPointComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : IpEndPointComparer Class

Glossary Item Box

For a list of all members of this type, see IpEndPointComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two IP End Points
Public Method | IsTypeMatch | Overridden. Returns true if both objects are an IP End Point
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

IpEndPointComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > IpEndPointComparer Class : CompareType Method

parms

Glossary Item Box

Compare two IP End Points

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As IpEndPointComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

IpEndPointComparer Class
IpEndPointComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > IpEndPointComparer Class : IsTypeMatch Method

type1
The type of the first object
type2
The type of the second object

Glossary Item Box

Returns true if both objects are an IP End Point

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As IpEndPointComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
The type of the first object
type2
The type of the second object

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

IpEndPointComparer Class
IpEndPointComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ListComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : ListComparer Class

Glossary Item Box

Compare objects that implement IList

Object Model

ListComparer Class

Syntax

Visual Basic (Declaration)
Public Class ListComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As ListComparer
C#
public class ListComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class ListComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.ListComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ListComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
ListComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : ListComparer Class

Glossary Item Box

The following tables list the members exposed by ListComparer.

Public Constructors

 | Name | Description
Public Constructor | ListComparer Constructor | Constructor that takes a root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two objects that implement IList
Public Method | IsTypeMatch | Overridden. Returns true if both objects implement IList
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

ListComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
ListComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > ListComparer Class : ListComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New ListComparer(rootComparer)
C#
public ListComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: ListComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ListComparer Class
ListComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
ListComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : ListComparer Class

Glossary Item Box

For a list of all members of this type, see ListComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two objects that implement IList
Public Method | IsTypeMatch | Overridden. Returns true if both objects implement IList
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

ListComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > ListComparer Class : CompareType Method

parms

Glossary Item Box

Compare two objects that implement IList

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As ListComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ListComparer Class
ListComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > ListComparer Class : IsTypeMatch Method

type1
The type of the first object
type2
The type of the second object

Glossary Item Box

Returns true if both objects implement IList

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As ListComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
The type of the first object
type2
The type of the second object

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

ListComparer Class
ListComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
PointerComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : PointerComparer Class

Glossary Item Box

Logic to compare to pointers

Object Model

PointerComparer Class

Syntax

Visual Basic (Declaration)
Public Class PointerComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As PointerComparer
C#
public class PointerComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class PointerComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.PointerComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

PointerComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
PointerComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : PointerComparer Class

Glossary Item Box

The following tables list the members exposed by PointerComparer.

Public Constructors

 | Name | Description
Public Constructor | PointerComparer Constructor | Constructor that takes a root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two pointers
Public Method | IsTypeMatch | Overridden. Returns true if both types are a pointer
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

PointerComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
PointerComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > PointerComparer Class : PointerComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New PointerComparer(rootComparer)
C#
public PointerComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: PointerComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

PointerComparer Class
PointerComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
PointerComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : PointerComparer Class

Glossary Item Box

For a list of all members of this type, see PointerComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two pointers
Public Method | IsTypeMatch | Overridden. Returns true if both types are a pointer
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

PointerComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > PointerComparer Class : CompareType Method

parms

Glossary Item Box

Compare two pointers

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As PointerComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

PointerComparer Class
PointerComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > PointerComparer Class : IsTypeMatch Method

type1
The type of the first object
type2
The type of the second object

Glossary Item Box

Returns true if both types are a pointer

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As PointerComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
The type of the first object
type2
The type of the second object

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

PointerComparer Class
PointerComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
PropertyComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : PropertyComparer Class

Glossary Item Box

Compare two properties (Note inherits from BaseComparer instead of TypeComparer

Object Model

PropertyComparer Class

Syntax

Visual Basic (Declaration)
Public Class PropertyComparer
   Inherits BaseComparer
Visual Basic (Usage) Copy Code
Dim instance As PropertyComparer
C#
public class PropertyComparer : BaseComparer
Managed Extensions for C++
public __gc class PropertyComparer : public BaseComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.PropertyComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

PropertyComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
PropertyComparer Class Members
See Also Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : PropertyComparer Class

Glossary Item Box

The following tables list the members exposed by PropertyComparer.

Public Constructors

 | Name | Description
Public Constructor | PropertyComparer Constructor | Constructor that takes a root comparer
Top

Public Methods

 | Name | Description
Public Method | PerformCompareProperties | Compare the properties of a class
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

PropertyComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
PropertyComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > PropertyComparer Class : PropertyComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New PropertyComparer(rootComparer)
C#
public PropertyComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: PropertyComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

PropertyComparer Class
PropertyComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
PropertyComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : PropertyComparer Class

Glossary Item Box

For a list of all members of this type, see PropertyComparer members.

Public Methods

 | Name | Description
Public Method | PerformCompareProperties | Compare the properties of a class
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

PropertyComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
PerformCompareProperties Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > PropertyComparer Class : PerformCompareProperties Method

parms
ignoreBaseList

Glossary Item Box

Compare the properties of a class

Syntax

Visual Basic (Declaration)
Public Sub PerformCompareProperties( _
   ByVal parms As CompareParms, _
   Optional ByVal ignoreBaseList As System.Boolean _
)
Visual Basic (Usage) Copy Code
Dim instance As PropertyComparer
Dim parms As CompareParms
Dim ignoreBaseList As System.Boolean

instance.PerformCompareProperties(parms, ignoreBaseList)
C#
public void PerformCompareProperties(
   CompareParms parms,
   System.bool ignoreBaseList
)
Managed Extensions for C++
public: void PerformCompareProperties(
   CompareParms* parms,
   System.bool ignoreBaseList
)

Parameters

parms
ignoreBaseList

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

PropertyComparer Class
PropertyComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
RuntimeTypeComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : RuntimeTypeComparer Class

Glossary Item Box

Logic to compare two runtime types

Object Model

RuntimeTypeComparer Class

Syntax

Visual Basic (Declaration)
Public Class RuntimeTypeComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As RuntimeTypeComparer
C#
public class RuntimeTypeComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class RuntimeTypeComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.RuntimeTypeComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

RuntimeTypeComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
RuntimeTypeComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : RuntimeTypeComparer Class

Glossary Item Box

The following tables list the members exposed by RuntimeTypeComparer.

Public Constructors

 | Name | Description
Public Constructor | RuntimeTypeComparer Constructor | Constructor that takes a root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two runtime types
Public Method | IsTypeMatch | Overridden. Returns true if both types are of type runtme type
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

RuntimeTypeComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
RuntimeTypeComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > RuntimeTypeComparer Class : RuntimeTypeComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New RuntimeTypeComparer(rootComparer)
C#
public RuntimeTypeComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: RuntimeTypeComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

RuntimeTypeComparer Class
RuntimeTypeComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
RuntimeTypeComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : RuntimeTypeComparer Class

Glossary Item Box

For a list of all members of this type, see RuntimeTypeComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two runtime types
Public Method | IsTypeMatch | Overridden. Returns true if both types are of type runtme type
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

RuntimeTypeComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > RuntimeTypeComparer Class : CompareType Method

parms

Glossary Item Box

Compare two runtime types

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As RuntimeTypeComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

RuntimeTypeComparer Class
RuntimeTypeComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > RuntimeTypeComparer Class : IsTypeMatch Method

type1
type2

Glossary Item Box

Returns true if both types are of type runtme type

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As RuntimeTypeComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
type2

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

RuntimeTypeComparer Class
RuntimeTypeComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
SimpleTypeComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : SimpleTypeComparer Class

Glossary Item Box

Compare primitive types (long, int, short, byte etc.) and DateTime, decimal, and Guid

Object Model

SimpleTypeComparer Class

Syntax

Visual Basic (Declaration)
Public Class SimpleTypeComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As SimpleTypeComparer
C#
public class SimpleTypeComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class SimpleTypeComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.SimpleTypeComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

SimpleTypeComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
SimpleTypeComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : SimpleTypeComparer Class

Glossary Item Box

The following tables list the members exposed by SimpleTypeComparer.

Public Constructors

 | Name | Description
Public Constructor | SimpleTypeComparer Constructor | Constructor that takes a root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two simple types
Public Method | IsTypeMatch | Overridden. Returns true if the type is a simple type
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

SimpleTypeComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
SimpleTypeComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > SimpleTypeComparer Class : SimpleTypeComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New SimpleTypeComparer(rootComparer)
C#
public SimpleTypeComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: SimpleTypeComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

SimpleTypeComparer Class
SimpleTypeComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
SimpleTypeComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : SimpleTypeComparer Class

Glossary Item Box

For a list of all members of this type, see SimpleTypeComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two simple types
Public Method | IsTypeMatch | Overridden. Returns true if the type is a simple type
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

SimpleTypeComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > SimpleTypeComparer Class : CompareType Method

parms

Glossary Item Box

Compare two simple types

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As SimpleTypeComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

SimpleTypeComparer Class
SimpleTypeComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > SimpleTypeComparer Class : IsTypeMatch Method

type1
The type of the first object
type2
The type of the second object

Glossary Item Box

Returns true if the type is a simple type

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As SimpleTypeComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
The type of the first object
type2
The type of the second object

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

SimpleTypeComparer Class
SimpleTypeComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
StringBuilderComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : StringBuilderComparer Class

Glossary Item Box

Compare two StringBuilders

Object Model

StringBuilderComparer Class

Syntax

Visual Basic (Declaration)
Public Class StringBuilderComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As StringBuilderComparer
C#
public class StringBuilderComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class StringBuilderComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.StringBuilderComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

StringBuilderComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
StringBuilderComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : StringBuilderComparer Class

Glossary Item Box

The following tables list the members exposed by StringBuilderComparer.

Public Constructors

 | Name | Description
Public Constructor | StringBuilderComparer Constructor | Constructor that takes a root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two string builders
Public Method | IsTypeMatch | Overridden. Returns true if both objects are a StringBuilder
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

StringBuilderComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
StringBuilderComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > StringBuilderComparer Class : StringBuilderComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New StringBuilderComparer(rootComparer)
C#
public StringBuilderComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: StringBuilderComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

StringBuilderComparer Class
StringBuilderComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
StringBuilderComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : StringBuilderComparer Class

Glossary Item Box

For a list of all members of this type, see StringBuilderComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two string builders
Public Method | IsTypeMatch | Overridden. Returns true if both objects are a StringBuilder
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

StringBuilderComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > StringBuilderComparer Class : CompareType Method

parms

Glossary Item Box

Compare two string builders

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As StringBuilderComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

StringBuilderComparer Class
StringBuilderComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > StringBuilderComparer Class : IsTypeMatch Method

type1
The type of the first object
type2
The type of the second object

Glossary Item Box

Returns true if both objects are a StringBuilder

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As StringBuilderComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
The type of the first object
type2
The type of the second object

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

StringBuilderComparer Class
StringBuilderComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
StringComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : StringComparer Class

Glossary Item Box

Compare two strings

Object Model

StringComparer Class

Syntax

Visual Basic (Declaration)
Public Class StringComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As StringComparer
C#
public class StringComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class StringComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.StringComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

StringComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
StringComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : StringComparer Class

Glossary Item Box

The following tables list the members exposed by StringComparer.

Public Constructors

 | Name | Description
Public Constructor | StringComparer Constructor | Constructor that takes a root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two strings
Public Method | IsTypeMatch | Overridden. Returns true if both objects are a string or if one is a string and one is a a null
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

StringComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
StringComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > StringComparer Class : StringComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New StringComparer(rootComparer)
C#
public StringComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: StringComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

StringComparer Class
StringComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
StringComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : StringComparer Class

Glossary Item Box

For a list of all members of this type, see StringComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two strings
Public Method | IsTypeMatch | Overridden. Returns true if both objects are a string or if one is a string and one is a a null
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

StringComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > StringComparer Class : CompareType Method

parms

Glossary Item Box

Compare two strings

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As StringComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

StringComparer Class
StringComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > StringComparer Class : IsTypeMatch Method

type1
The type of the first object
type2
The type of the second object

Glossary Item Box

Returns true if both objects are a string or if one is a string and one is a a null

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As StringComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
The type of the first object
type2
The type of the second object

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

StringComparer Class
StringComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
StructComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : StructComparer Class

Glossary Item Box

Compare two structs

Object Model

StructComparer Class

Syntax

Visual Basic (Declaration)
Public Class StructComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As StructComparer
C#
public class StructComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class StructComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.StructComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

StructComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
StructComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : StructComparer Class

Glossary Item Box

The following tables list the members exposed by StructComparer.

Public Constructors

 | Name | Description
Public Constructor | StructComparer Constructor | Constructor that takes a root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two structs
Public Method | IsTypeMatch | Overridden. Returns true if both objects are of type struct
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

StructComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
StructComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > StructComparer Class : StructComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New StructComparer(rootComparer)
C#
public StructComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: StructComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

StructComparer Class
StructComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
StructComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : StructComparer Class

Glossary Item Box

For a list of all members of this type, see StructComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two structs
Public Method | IsTypeMatch | Overridden. Returns true if both objects are of type struct
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

StructComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > StructComparer Class : CompareType Method

parms

Glossary Item Box

Compare two structs

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As StructComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

StructComparer Class
StructComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > StructComparer Class : IsTypeMatch Method

type1
type2

Glossary Item Box

Returns true if both objects are of type struct

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As StructComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
type2

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

StructComparer Class
StructComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
TimespanComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : TimespanComparer Class

Glossary Item Box

Logic to compare two timespans

Object Model

TimespanComparer Class

Syntax

Visual Basic (Declaration)
Public Class TimespanComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As TimespanComparer
C#
public class TimespanComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class TimespanComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.TimespanComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TimespanComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
TimespanComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : TimespanComparer Class

Glossary Item Box

The following tables list the members exposed by TimespanComparer.

Public Constructors

 | Name | Description
Public Constructor | TimespanComparer Constructor | Constructor that takes a root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two timespans
Public Method | IsTypeMatch | Overridden. Returns true if both objects are timespans
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

TimespanComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
TimespanComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > TimespanComparer Class : TimespanComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New TimespanComparer(rootComparer)
C#
public TimespanComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: TimespanComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TimespanComparer Class
TimespanComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
TimespanComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : TimespanComparer Class

Glossary Item Box

For a list of all members of this type, see TimespanComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two timespans
Public Method | IsTypeMatch | Overridden. Returns true if both objects are timespans
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

TimespanComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > TimespanComparer Class : CompareType Method

parms

Glossary Item Box

Compare two timespans

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As TimespanComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TimespanComparer Class
TimespanComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > TimespanComparer Class : IsTypeMatch Method

type1
The type of the first object
type2
The type of the second object

Glossary Item Box

Returns true if both objects are timespans

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As TimespanComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
The type of the first object
type2
The type of the second object

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

TimespanComparer Class
TimespanComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
UriComparer Class
Members See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : UriComparer Class

Glossary Item Box

Compare two URIs

Object Model

UriComparer Class

Syntax

Visual Basic (Declaration)
Public Class UriComparer
   Inherits BaseTypeComparer
Visual Basic (Usage) Copy Code
Dim instance As UriComparer
C#
public class UriComparer : BaseTypeComparer
Managed Extensions for C++
public __gc class UriComparer : public BaseTypeComparer

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.UriComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

UriComparer Members
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Members$$

[image]
Compare .NET Objects
UriComparer Class Members
See Also Properties Methods Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : UriComparer Class

Glossary Item Box

The following tables list the members exposed by UriComparer.

Public Constructors

 | Name | Description
Public Constructor | UriComparer Constructor | Constructor that takes a root comparer
Top

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two URIs
Public Method | IsTypeMatch | Overridden. Returns true if both types are a URI
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

UriComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
UriComparer Constructor
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > UriComparer Class : UriComparer Constructor

rootComparer

Glossary Item Box

Constructor that takes a root comparer

Syntax

Visual Basic (Declaration)
Public Function New( _
   ByVal rootComparer As RootComparer _
)
Visual Basic (Usage) Copy Code
Dim rootComparer As RootComparer

Dim instance As New UriComparer(rootComparer)
C#
public UriComparer(
   RootComparer rootComparer
)
Managed Extensions for C++
public: UriComparer(
   RootComparer* rootComparer
)

Parameters

rootComparer

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

UriComparer Class
UriComparer Members


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
UriComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : UriComparer Class

Glossary Item Box

For a list of all members of this type, see UriComparer members.

Public Methods

 | Name | Description
Public Method | CompareType | Overridden. Compare two URIs
Public Method | IsTypeMatch | Overridden. Returns true if both types are a URI
Top

Protected Methods

 | Name | Description
Protected Method | AddBreadCrumb | Overloaded. Add a breadcrumb to an existing breadcrumb (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | AddDifference | Overloaded. Add a difference for the current parameters (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Protected Method | NiceString | Convert an object to a nicely formatted string (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer)
Top

See Also

Reference

UriComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
CompareType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > UriComparer Class : CompareType Method

parms

Glossary Item Box

Compare two URIs

Syntax

Visual Basic (Declaration)
Public Overrides Sub CompareType( _
   ByVal parms As CompareParms _
)
Visual Basic (Usage) Copy Code
Dim instance As UriComparer
Dim parms As CompareParms

instance.CompareType(parms)
C#
public override void CompareType(
   CompareParms parms
)
Managed Extensions for C++
public: void CompareType(
   CompareParms* parms
) override

Parameters

parms

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

UriComparer Class
UriComparer Members


%%PageItemTitle%%

[image]
Compare .NET Objects
IsTypeMatch Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace > UriComparer Class : IsTypeMatch Method

type1
The type of the first object
type2
The type of the second object

Glossary Item Box

Returns true if both types are a URI

Syntax

Visual Basic (Declaration)
Public Overrides Function IsTypeMatch( _
   ByVal type1 As System.Type, _
   ByVal type2 As System.Type _
) As System.Boolean
Visual Basic (Usage) Copy Code
Dim instance As UriComparer
Dim type1 As System.Type
Dim type2 As System.Type
Dim value As System.Boolean

value = instance.IsTypeMatch(type1, type2)
C#
public override System.bool IsTypeMatch(
   System.Type type1,
   System.Type type2
)
Managed Extensions for C++
public: System.bool IsTypeMatch(
   System.Type* type1,
   System.Type* type2
) override

Parameters

type1
The type of the first object
type2
The type of the second object

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

UriComparer Class
UriComparer Members


%%PageItemTitle%% $$Events$$

[image]
Compare .NET Objects
CompareException Class Events
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : CompareException Class

Glossary Item Box

For a list of all members of this type, see CompareException members.

Protected Events

 | Name | Description
Protected Event | SerializeObjectState | (Inherited from System.Exception)
Top

See Also

Reference

CompareException Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
CompareException Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : CompareException Class

Glossary Item Box

For a list of all members of this type, see CompareException members.

Public Methods

 | Name | Description
Public Method | GetBaseException | (Inherited from System.Exception)
Public Method | GetObjectData | (Inherited from System.Exception)
Public Method | GetType | (Inherited from System.Exception)
Public Method | ToString | (Inherited from System.Exception)
Top

See Also

Reference

CompareException Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%%

[image]
Compare .NET Objects
Data Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareException Class : Data Property

Glossary Item Box

Syntax

Visual Basic (Declaration)
<__DynamicallyInvokableAttribute()>
Public Overridable ReadOnly Property Data As System.Collections.IDictionary
Visual Basic (Usage) Copy Code
Dim instance As CompareException
Dim value As System.Collections.IDictionary

value = instance.Data
C#
[__DynamicallyInvokable()]
public virtual System.Collections.IDictionary Data {get;}
Managed Extensions for C++
[__DynamicallyInvokable()]
public: __property virtual System.Collections.IDictionary* get_Data();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareException Class
CompareException Members


%%PageItemTitle%%

[image]
Compare .NET Objects
GetBaseException Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareException Class : GetBaseException Method

Glossary Item Box

Syntax

Visual Basic (Declaration)
<__DynamicallyInvokableAttribute()>
Public Overridable Function GetBaseException() As System.Exception
Visual Basic (Usage) Copy Code
Dim instance As CompareException
Dim value As System.Exception

value = instance.GetBaseException()
C#
[__DynamicallyInvokable()]
public virtual System.Exception GetBaseException()
Managed Extensions for C++
[__DynamicallyInvokable()]
public: virtual System.Exception* GetBaseException();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareException Class
CompareException Members


%%PageItemTitle%%

[image]
Compare .NET Objects
GetObjectData Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareException Class : GetObjectData Method

info
context

Glossary Item Box

Syntax

Visual Basic (Declaration)
<System.Security.SecurityCriticalAttribute()>
Public Overridable Sub GetObjectData( _
   ByVal info As System.Runtime.Serialization.SerializationInfo, _
   ByVal context As System.Runtime.Serialization.StreamingContext _
)
Visual Basic (Usage) Copy Code
Dim instance As CompareException
Dim info As System.Runtime.Serialization.SerializationInfo
Dim context As System.Runtime.Serialization.StreamingContext

instance.GetObjectData(info, context)
C#
[System.Security.SecurityCritical()]
public virtual void GetObjectData(
   System.Runtime.Serialization.SerializationInfo info,
   System.Runtime.Serialization.StreamingContext context
)
Managed Extensions for C++
[System.Security.SecurityCritical()]
public: virtual void GetObjectData(
   System.Runtime.Serialization.SerializationInfo* info,
   System.Runtime.Serialization.StreamingContext context
)

Parameters

info
context

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareException Class
CompareException Members


%%PageItemTitle%%

[image]
Compare .NET Objects
GetType Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareException Class : GetType Method

Glossary Item Box

Overload List

Overload | Description
GetType | (Inherited from System.Exception)

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareException Class
CompareException Members


%%PageItemTitle%%

[image]
Compare .NET Objects
GetType() Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareException Class : GetType() Method

Glossary Item Box

Syntax

Visual Basic (Declaration)
<__DynamicallyInvokableAttribute()>
Public Function GetType() As System.Type
Visual Basic (Usage) Copy Code
Dim instance As CompareException
Dim value As System.Type

value = instance.GetType()
C#
[__DynamicallyInvokable()]
public System.Type GetType()
Managed Extensions for C++
[__DynamicallyInvokable()]
public: System.Type* GetType();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareException Class
CompareException Members


%%PageItemTitle%%

[image]
Compare .NET Objects
HelpLink Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareException Class : HelpLink Property

Glossary Item Box

Syntax

Visual Basic (Declaration)
<__DynamicallyInvokableAttribute()>
Public Overridable Property HelpLink As System.String
Visual Basic (Usage) Copy Code
Dim instance As CompareException
Dim value As System.String

instance.HelpLink = value

value = instance.HelpLink
C#
[__DynamicallyInvokable()]
public virtual System.string HelpLink {get; set;}
Managed Extensions for C++
[__DynamicallyInvokable()]
public: __property virtual System.string* get_HelpLink();
public: __property virtual void set_HelpLink(
   System.string* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareException Class
CompareException Members


%%PageItemTitle%%

[image]
Compare .NET Objects
HResult Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareException Class : HResult Property

Glossary Item Box

Syntax

Visual Basic (Declaration)
<__DynamicallyInvokableAttribute()>
Public ReadOnly Property HResult As System.Integer
Visual Basic (Usage) Copy Code
Dim instance As CompareException
Dim value As System.Integer

value = instance.HResult
C#
[__DynamicallyInvokable()]
public System.int HResult {get;}
Managed Extensions for C++
[__DynamicallyInvokable()]
public: __property System.int get_HResult();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareException Class
CompareException Members


%%PageItemTitle%%

[image]
Compare .NET Objects
InnerException Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareException Class : InnerException Property

Glossary Item Box

Syntax

Visual Basic (Declaration)
<__DynamicallyInvokableAttribute()>
Public ReadOnly Property InnerException As System.Exception
Visual Basic (Usage) Copy Code
Dim instance As CompareException
Dim value As System.Exception

value = instance.InnerException
C#
[__DynamicallyInvokable()]
public System.Exception InnerException {get;}
Managed Extensions for C++
[__DynamicallyInvokable()]
public: __property System.Exception* get_InnerException();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareException Class
CompareException Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Message Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareException Class : Message Property

Glossary Item Box

Syntax

Visual Basic (Declaration)
<__DynamicallyInvokableAttribute()>
Public Overridable ReadOnly Property Message As System.String
Visual Basic (Usage) Copy Code
Dim instance As CompareException
Dim value As System.String

value = instance.Message
C#
[__DynamicallyInvokable()]
public virtual System.string Message {get;}
Managed Extensions for C++
[__DynamicallyInvokable()]
public: __property virtual System.string* get_Message();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareException Class
CompareException Members


%%PageItemTitle%%

[image]
Compare .NET Objects
SerializeObjectState Event
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareException Class : SerializeObjectState Event

Glossary Item Box

Syntax

Visual Basic (Declaration)
Protected Event SerializeObjectState As System.EventHandler(Of SafeSerializationEventArgs)
Visual Basic (Usage) Copy Code
Dim instance As CompareException
Dim handler As System.EventHandler(Of SafeSerializationEventArgs)

AddHandler instance.SerializeObjectState, handler
C#
protected event System.EventHandler<SafeSerializationEventArgs> SerializeObjectState
Managed Extensions for C++
protected: __event System.EventHandler<SafeSerializationEventArgs*>* SerializeObjectState

Event Data

The event handler receives an argument of type System.Runtime.Serialization.SafeSerializationEventArgs containing data related to this event. The following SafeSerializationEventArgs properties provide information specific to this event.

Property | Description
StreamingContext | Gets or sets an object that describes the source and destination of a serialized stream.

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareException Class
CompareException Members


%%PageItemTitle%%

[image]
Compare .NET Objects
Source Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareException Class : Source Property

Glossary Item Box

Syntax

Visual Basic (Declaration)
<__DynamicallyInvokableAttribute()>
Public Overridable Property Source As System.String
Visual Basic (Usage) Copy Code
Dim instance As CompareException
Dim value As System.String

instance.Source = value

value = instance.Source
C#
[__DynamicallyInvokable()]
public virtual System.string Source {get; set;}
Managed Extensions for C++
[__DynamicallyInvokable()]
public: __property virtual System.string* get_Source();
public: __property virtual void set_Source(
   System.string* value
);

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareException Class
CompareException Members


%%PageItemTitle%%

[image]
Compare .NET Objects
StackTrace Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareException Class : StackTrace Property

Glossary Item Box

Syntax

Visual Basic (Declaration)
<__DynamicallyInvokableAttribute()>
Public Overridable ReadOnly Property StackTrace As System.String
Visual Basic (Usage) Copy Code
Dim instance As CompareException
Dim value As System.String

value = instance.StackTrace
C#
[__DynamicallyInvokable()]
public virtual System.string StackTrace {get;}
Managed Extensions for C++
[__DynamicallyInvokable()]
public: __property virtual System.string* get_StackTrace();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareException Class
CompareException Members


%%PageItemTitle%%

[image]
Compare .NET Objects
TargetSite Property
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareException Class : TargetSite Property

Glossary Item Box

Syntax

Visual Basic (Declaration)
Public ReadOnly Property TargetSite As System.Reflection.MethodBase
Visual Basic (Usage) Copy Code
Dim instance As CompareException
Dim value As System.Reflection.MethodBase

value = instance.TargetSite
C#
public System.Reflection.MethodBase TargetSite {get;}
Managed Extensions for C++
public: __property System.Reflection.MethodBase* get_TargetSite();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareException Class
CompareException Members


%%PageItemTitle%%

[image]
Compare .NET Objects
ToString Method
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace > CompareException Class : ToString Method

Glossary Item Box

Syntax

Visual Basic (Declaration)
<__DynamicallyInvokableAttribute()>
Public Overridable Function ToString() As System.String
Visual Basic (Usage) Copy Code
Dim instance As CompareException
Dim value As System.String

value = instance.ToString()
C#
[__DynamicallyInvokable()]
public virtual System.string ToString()
Managed Extensions for C++
[__DynamicallyInvokable()]
public: virtual System.string* ToString();

Requirements

Target Platforms: Windows 7, Windows Vista SP1 or later, Windows XP SP3, Windows Server 2008 (Server Core not supported), Windows Server 2008 R2 (Server Core supported with SP1 or later), Windows Server 2003 SP2

See Also

Reference

CompareException Class
CompareException Members


%%ItemTitle%% $$INHERITANCE_HIERARCHY$$

KellermanSoftware.CompareNetObjects.IgnoreOrderTypes Namespace Inheritance Hierarchy
See Also Send Feedback

Glossary Item Box

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.IgnoreOrderTypes.IgnoreOrderLogic

See Also

Reference

KellermanSoftware.Compare-NET-Objects Assembly


%%PageItemTitle%% $$Methods$$

[image]
Compare .NET Objects
LogicEqualityComparer Class Methods
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : LogicEqualityComparer Class

Glossary Item Box

For a list of all members of this type, see LogicEqualityComparer members.

Public Methods

 | Name | Description
Public Method | Equals | Overloaded. (Inherited from KellermanSoftware.CompareNetObjects.LogicEqualityComparer<object>)
Public Method | GetHashCode | Overloaded. (Inherited from KellermanSoftware.CompareNetObjects.LogicEqualityComparer<object>)
Top

See Also

Reference

LogicEqualityComparer Class
KellermanSoftware.CompareNetObjects Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
LogicEqualityComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects Namespace : LogicEqualityComparer Class

Glossary Item Box

For a list of all members of this type, see LogicEqualityComparer members.

Public Properties

 | Name | Description
Public Property | CompareLogic | Defines the configuration and logic by which Equals comparisons will be performed. (Inherited from KellermanSoftware.CompareNetObjects.LogicEqualityComparer<object>)
Public Property | UseObjectHashes | Gets or sets a value indicating whether the base object hashes should be used. (Inherited from KellermanSoftware.CompareNetObjects.LogicEqualityComparer<object>)
Top

See Also

Reference

LogicEqualityComparer Class
KellermanSoftware.CompareNetObjects Namespace


%%ItemTitle%% $$INHERITANCE_HIERARCHY$$

KellermanSoftware.CompareNetObjects.Reports Namespace Inheritance Hierarchy
See Also Send Feedback

Glossary Item Box

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.Reports.BaseDualFileReport
KellermanSoftware.CompareNetObjects.Reports.BeyondCompareReport
KellermanSoftware.CompareNetObjects.Reports.WinMergeReport
KellermanSoftware.CompareNetObjects.Reports.CsvReport
KellermanSoftware.CompareNetObjects.Reports.UserFriendlyReport

See Also

Reference

KellermanSoftware.Compare-NET-Objects Assembly


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
ByteArrayComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : ByteArrayComparer Class

Glossary Item Box

For a list of all members of this type, see ByteArrayComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

ByteArrayComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
ClassComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : ClassComparer Class

Glossary Item Box

For a list of all members of this type, see ClassComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

ClassComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
CollectionComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : CollectionComparer Class

Glossary Item Box

For a list of all members of this type, see CollectionComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

CollectionComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
DataColumnComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DataColumnComparer Class

Glossary Item Box

For a list of all members of this type, see DataColumnComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

DataColumnComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
DataRowComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DataRowComparer Class

Glossary Item Box

For a list of all members of this type, see DataRowComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

DataRowComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
DatasetComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DatasetComparer Class

Glossary Item Box

For a list of all members of this type, see DatasetComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

DatasetComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
DataTableComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DataTableComparer Class

Glossary Item Box

For a list of all members of this type, see DataTableComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

DataTableComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
DateComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DateComparer Class

Glossary Item Box

For a list of all members of this type, see DateComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

DateComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
DateTimeOffSetComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DateTimeOffSetComparer Class

Glossary Item Box

For a list of all members of this type, see DateTimeOffSetComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

DateTimeOffSetComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
DecimalComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DecimalComparer Class

Glossary Item Box

For a list of all members of this type, see DecimalComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

DecimalComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
DictionaryComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DictionaryComparer Class

Glossary Item Box

For a list of all members of this type, see DictionaryComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

DictionaryComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
DoubleComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : DoubleComparer Class

Glossary Item Box

For a list of all members of this type, see DoubleComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

DoubleComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
EnumComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : EnumComparer Class

Glossary Item Box

For a list of all members of this type, see EnumComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

EnumComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
EnumerableComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : EnumerableComparer Class

Glossary Item Box

For a list of all members of this type, see EnumerableComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

EnumerableComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
FontComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : FontComparer Class

Glossary Item Box

For a list of all members of this type, see FontComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

FontComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
HashSetComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : HashSetComparer Class

Glossary Item Box

For a list of all members of this type, see HashSetComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

HashSetComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
ImmutableArrayComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : ImmutableArrayComparer Class

Glossary Item Box

For a list of all members of this type, see ImmutableArrayComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

ImmutableArrayComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
IpEndPointComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : IpEndPointComparer Class

Glossary Item Box

For a list of all members of this type, see IpEndPointComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

IpEndPointComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
ListComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : ListComparer Class

Glossary Item Box

For a list of all members of this type, see ListComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

ListComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
PointerComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : PointerComparer Class

Glossary Item Box

For a list of all members of this type, see PointerComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

PointerComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
RuntimeTypeComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : RuntimeTypeComparer Class

Glossary Item Box

For a list of all members of this type, see RuntimeTypeComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

RuntimeTypeComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
SimpleTypeComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : SimpleTypeComparer Class

Glossary Item Box

For a list of all members of this type, see SimpleTypeComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

SimpleTypeComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
StringBuilderComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : StringBuilderComparer Class

Glossary Item Box

For a list of all members of this type, see StringBuilderComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

StringBuilderComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
StringComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : StringComparer Class

Glossary Item Box

For a list of all members of this type, see StringComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

StringComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
StructComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : StructComparer Class

Glossary Item Box

For a list of all members of this type, see StructComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

StructComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
TimespanComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : TimespanComparer Class

Glossary Item Box

For a list of all members of this type, see TimespanComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

TimespanComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%PageItemTitle%% $$Properties$$

[image]
Compare .NET Objects
UriComparer Class Properties
See Also Send Feedback
KellermanSoftware.CompareNetObjects.TypeComparers Namespace : UriComparer Class

Glossary Item Box

For a list of all members of this type, see UriComparer members.

Public Properties

 | Name | Description
Public Property | RootComparer | A reference to the root comparer as newed up by the RootComparerFactory (Inherited from KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer)
Top

See Also

Reference

UriComparer Class
KellermanSoftware.CompareNetObjects.TypeComparers Namespace


%%ItemTitle%% $$INHERITANCE_HIERARCHY$$

KellermanSoftware.CompareNetObjects.TypeComparers Namespace Inheritance Hierarchy
See Also Send Feedback

Glossary Item Box

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.IgnoreOrderTypes.IgnoreOrderLogic
KellermanSoftware.CompareNetObjects.RootComparer
KellermanSoftware.CompareNetObjects.TypeComparers.BaseTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.ByteArrayComparer
KellermanSoftware.CompareNetObjects.TypeComparers.ClassComparer
KellermanSoftware.CompareNetObjects.TypeComparers.CollectionComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DataColumnComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DataRowComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DatasetComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DataTableComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DateComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DateTimeOffSetComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DecimalComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DictionaryComparer
KellermanSoftware.CompareNetObjects.TypeComparers.DoubleComparer
KellermanSoftware.CompareNetObjects.TypeComparers.EnumComparer
KellermanSoftware.CompareNetObjects.TypeComparers.EnumerableComparer
KellermanSoftware.CompareNetObjects.TypeComparers.FontComparer
KellermanSoftware.CompareNetObjects.TypeComparers.HashSetComparer
KellermanSoftware.CompareNetObjects.TypeComparers.ImmutableArrayComparer
KellermanSoftware.CompareNetObjects.TypeComparers.IpEndPointComparer
KellermanSoftware.CompareNetObjects.TypeComparers.ListComparer
KellermanSoftware.CompareNetObjects.TypeComparers.PointerComparer
KellermanSoftware.CompareNetObjects.TypeComparers.RuntimeTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.SimpleTypeComparer
KellermanSoftware.CompareNetObjects.TypeComparers.StringBuilderComparer
KellermanSoftware.CompareNetObjects.TypeComparers.StringComparer
KellermanSoftware.CompareNetObjects.TypeComparers.StructComparer
KellermanSoftware.CompareNetObjects.TypeComparers.TimespanComparer
KellermanSoftware.CompareNetObjects.TypeComparers.UriComparer
KellermanSoftware.CompareNetObjects.TypeComparers.FieldComparer
KellermanSoftware.CompareNetObjects.TypeComparers.IndexerComparer
KellermanSoftware.CompareNetObjects.TypeComparers.PropertyComparer

See Also

Reference

KellermanSoftware.Compare-NET-Objects Assembly


%%ItemTitle%% $$INHERITANCE_HIERARCHY$$

KellermanSoftware.CompareNetObjects Namespace Inheritance Hierarchy
See Also Send Feedback

Glossary Item Box

Inheritance Hierarchy

System.Object
KellermanSoftware.CompareNetObjects.CompareExtensions
KellermanSoftware.CompareNetObjects.CompareLogic
KellermanSoftware.CompareNetObjects.CompareObjects
KellermanSoftware.CompareNetObjects.CompareParms
KellermanSoftware.CompareNetObjects.ComparisonConfig
KellermanSoftware.CompareNetObjects.ComparisonResult
KellermanSoftware.CompareNetObjects.Difference
KellermanSoftware.CompareNetObjects.ExcludeLogic
KellermanSoftware.CompareNetObjects.FileHelper
KellermanSoftware.CompareNetObjects.LogicEqualityComparer<T>
KellermanSoftware.CompareNetObjects.LogicEqualityComparer
KellermanSoftware.CompareNetObjects.ProcessHelper
KellermanSoftware.CompareNetObjects.PropertyEntity
KellermanSoftware.CompareNetObjects.RootComparerFactory
KellermanSoftware.CompareNetObjects.StringHelper
KellermanSoftware.CompareNetObjects.TypeBackwardsCompatibilityExtensions
KellermanSoftware.CompareNetObjects.TypeComparers.BaseComparer
KellermanSoftware.CompareNetObjects.RootComparer
KellermanSoftware.CompareNetObjects.TypeHelper
System.Exception
KellermanSoftware.CompareNetObjects.CompareException

See Also

Reference

KellermanSoftware.Compare-NET-Objects Assembly